class comment {
	static container_id;
	static resource_comment_url;
	static child_comment_url;
	static add_comment_url;
	static like_url;
	static module_namespace;
	static resource_id;
	static order_by;
	static items_per_page = 10;
	static username;
	static avatar;

	/**
	 * 获取资源评论
	 * @param page_number
	 */
	static get_resource_comment(page_number) {
		$.ajax(this.resource_comment_url, {
			type: 'GET',
			data: {
				module_namespace: this.module_namespace,
				resource_id: this.resource_id,
				order_by: this.order_by,
				page_number: page_number,
				items_per_page: this.items_per_page
			},
			success: function (r) {
				//parse_timestamp
				r = comment.parse_timestamp(r, 3);

				$("#" + comment.container_id).html(r);

				//emojiParse
				$(".comment-content").emojiParse({
					icons: emoji_icons
				});
				//emoji
				$(".comment-box textarea").emoji({
					button: '.emoji-btn',
					icons: emoji_icons
				});
				//view-more
				$(".view-more-btn").click(function () {
					let parent_id = $(this).attr("data-parent-id");
					comment.get_child_comment(this, parent_id, 1, 10);
				});
			}
		});
	}

	/**
	 * 获取子评论
	 * @param obj 调用该方法的元素对象
	 * @param parent_id
	 * @param page_number
	 * @param items_per_page
	 */
	static get_child_comment(obj, parent_id, page_number, items_per_page) {
		$.get(this.child_comment_url, {parent_id, page_number, items_per_page}, function (r) {
			let child_comment_container = $(obj).parents(".child-comment-container");
			//parse_timestamp
			r = comment.parse_timestamp(r, 3);
			child_comment_container.html(r);
			child_comment_container.find(".comment-content").each(function () {
				$(this).html($.emojiParseText($(this).html(), emoji_icons));
			});
		});
	}

	/**
	 * 发布评论
	 * @param obj
	 */
	static post_comment(obj) {
		let comment_box = $(obj).parents(".comment-box");
		let textarea = comment_box.find("textarea");
		let content = textarea.val();
		let module_namespace = this.module_namespace;
		let resource_id = this.resource_id;
		let parent_id = textarea.attr("data-parent-id");
		let at_user = textarea.attr("data-at-user");
		let child_comment_list = $(obj).parents(".child-comment-container").find(".child-comment-list");
		let send = comment_box.find(".send");
		let my_spinner_border = send.find(".my-spinner-border");
		//disable send
		send.addClass("disabled");
		my_spinner_border.removeClass("f-d-n");

		$.post(this.add_comment_url, {
			data: {
				module_namespace,
				resource_id,
				parent_id,
				at_user,
				content
			}
		}, function (r) {

			if (r.id === 1) {
				if (parseInt(parent_id, 10) === 0) {
					textarea.val('');
					$("#no-comment").remove(); //移除暂无评论提示
					$(".comment-list").prepend(comment.get_resource_comment_template(r.data.comment_id, r.data.content));
				} else {
					comment_box.remove();
					child_comment_list.append(comment.get_child_comment_template(r.data.comment_id, parent_id, at_user, r.data.content));
				}
			} else if (r.id === 2) {
				parseInt(parent_id, 10) === 0 ? textarea.val('') : comment_box.remove();
				layer.msg(r.msg);
			} else if (r.hasOwnProperty('msg')) {
				layer.msg(r.msg);
			} else {
				layer.msg(home_lang.unknown_error);
			}

			//enable send
			send.removeClass("disabled");
			my_spinner_border.addClass("f-d-n");
		});
	}

	/**
	 * 获取资源评论模板
	 * @param comment_id
	 * @param content
	 * @returns {string}
	 */
	static get_resource_comment_template(comment_id, content) {
		let emoji_content = $.emojiParseText(content, emoji_icons);

		return `
			<div class="comment-item" data-child-id="">
				<!-- resource comment -->
				<div class="resource-comment-container">
					<div class="avatar"><img src="${this.avatar}"/></div>
					<div class="content-warp">
						<div class="user-info">
							<div class="user-name">
								<span class="time float-end">${home_lang.just_now}</span>
								${this.username}
							</div>
						</div>
						<div class="resource-comment">
							<div class="comment-content">${emoji_content}</div>
							<div class="comment-info">
								<span class="like">
									<i onclick="comment.like(this, ${comment_id}, 1)"><svg viewBox="0 0 1024 1024" xmlns="http://www.w3.org/2000/svg" width="200" height="200"><path
										d="M594.176 151.168a34.048 34.048 0 0 0-29.184 10.816c-11.264 13.184-15.872 24.064-21.504 40.064l-1.92 5.632c-5.632 16.128-12.8 36.864-27.648 63.232-25.408 44.928-50.304 74.432-86.208 97.024-23.04 14.528-43.648 26.368-65.024 32.576v419.648a4569.408 4569.408 0 0 0 339.072-4.672c38.72-2.048 72-21.12 88.96-52.032 21.504-39.36 47.168-95.744 63.552-163.008a782.72 782.72 0 0 0 22.528-163.008c0.448-16.832-13.44-32.256-35.328-32.256h-197.312a32 32 0 0 1-28.608-46.336l0.192-0.32 0.64-1.344 2.56-5.504c2.112-4.8 5.12-11.776 8.32-20.16 6.592-17.088 13.568-39.04 16.768-60.416 4.992-33.344 3.776-60.16-9.344-84.992-14.08-26.688-30.016-33.728-40.512-34.944zM691.84 341.12h149.568c52.736 0 100.864 40.192 99.328 98.048a845.888 845.888 0 0 1-24.32 176.384 742.336 742.336 0 0 1-69.632 178.56c-29.184 53.44-84.48 82.304-141.76 85.248-55.68 2.88-138.304 5.952-235.712 5.952-96 0-183.552-3.008-244.672-5.76-66.432-3.136-123.392-51.392-131.008-119.872a1380.672 1380.672 0 0 1-0.768-296.704c7.68-72.768 70.4-121.792 140.032-121.792h97.728c13.76 0 28.16-5.504 62.976-27.456 24.064-15.104 42.432-35.2 64.512-74.24 11.904-21.184 17.408-36.928 22.912-52.8l2.048-5.888c6.656-18.88 14.4-38.4 33.28-60.416a97.984 97.984 0 0 1 85.12-32.768c35.264 4.096 67.776 26.88 89.792 68.608 22.208 42.176 21.888 84.864 16 124.352a342.464 342.464 0 0 1-15.424 60.544z m-393.216 477.248V405.184H232.96c-40.448 0-72.448 27.712-76.352 64.512a1318.912 1318.912 0 0 0 0.64 282.88c3.904 34.752 32.96 61.248 70.4 62.976 20.8 0.96 44.8 1.92 71.04 2.816z"
										fill="#9499a0"></path></svg></i>
									<span>0</span>
								</span>
								<span class="dislike">
									<i onclick="comment.like(this, ${comment_id}, 2)"><svg viewBox="0 0 1024 1024" xmlns="http://www.w3.org/2000/svg" width="200" height="200"><path
										d="M594.112 872.768a34.048 34.048 0 0 1-29.12-10.816c-11.264-13.248-15.872-24.064-21.504-40.064l-1.92-5.632c-5.632-16.128-12.8-36.864-27.712-63.232-25.344-44.928-50.24-74.432-86.144-97.024-23.104-14.528-43.648-26.432-65.024-32.64V203.84a4570.24 4570.24 0 0 1 339.072 4.672c38.656 2.048 72 21.12 88.896 52.032 21.504 39.36 47.232 95.744 63.552 163.008 16.448 67.52 21.568 123.776 22.592 163.008 0.448 16.832-13.44 32.256-35.392 32.256h-197.248a32 32 0 0 0-28.608 46.336l0.128 0.32 0.64 1.28 2.56 5.568c2.176 4.8 5.12 11.776 8.384 20.16 6.528 17.088 13.568 39.04 16.768 60.416 4.928 33.344 3.712 60.16-9.344 84.992-14.08 26.688-30.016 33.728-40.576 34.944z m97.728-190.016h149.568c52.8 0 100.864-40.128 99.392-97.92a846.336 846.336 0 0 0-24.32-176.448 742.016 742.016 0 0 0-69.632-178.56c-29.248-53.44-84.48-82.304-141.824-85.248-55.68-2.88-138.24-5.952-235.712-5.952-96 0-183.488 3.008-244.672 5.76-66.368 3.136-123.328 51.392-130.944 119.872a1380.608 1380.608 0 0 0-0.768 296.704c7.68 72.768 70.4 121.792 140.032 121.792h97.728c13.76 0 28.16 5.504 62.976 27.392 24.064 15.168 42.432 35.264 64.448 74.368 11.968 21.12 17.472 36.864 22.976 52.736l2.048 5.888c6.656 18.88 14.336 38.4 33.216 60.416 19.456 22.72 51.456 36.736 85.184 32.768 35.2-4.096 67.776-26.88 89.792-68.672 22.208-42.112 21.888-84.8 16-124.288a343.04 343.04 0 0 0-15.488-60.608zM298.688 205.568v413.184H232.96c-40.512 0-72.448-27.712-76.352-64.512a1318.912 1318.912 0 0 1 0.64-282.88c3.904-34.816 32.896-61.248 70.4-62.976 20.8-0.96 44.736-1.92 71.04-2.816z"
										fill="#9499a0"></path></svg></i>
									<span>0</span>
								</span>
								<span class="reply" onclick="comment.show_comment_box(this, ${comment_id}, ${comment_id}, '')">${home_lang.reply}</span>
							</div>
						</div>
					</div>
				</div>
				
				<!-- child comment -->
				<div class="child-comment-container"><div class="child-comment-list"></div></div>
				
				<!-- bottom line -->
				<div class="bottom-line"></div>
			</div>
		`;
	}

	/**
	 * 获取子评论模板
	 * @param comment_id
	 * @param parent_id
	 * @param at_user
	 * @param content
	 * @returns {string}
	 */
	static get_child_comment_template(comment_id, parent_id, at_user, content) {
		let emoji_content = $.emojiParseText(content, emoji_icons);
		let at_user_template = typeof at_user == 'string' && at_user.length > 0 ? `
		<span class="reply-info">
			${home_lang.reply}	
			<span class="reply-to">${at_user}</span>:
		</span>
		` : '';

		return `
			<div class="child-comment-item">
				<div class="user-info">
					<div class="avatar">
						<img src="${this.avatar}"/>
					</div>
					<div class="user-name">${this.username}</div>
				</div>
				
				${at_user_template}
				<span class="comment-content">${emoji_content}</span>
				
				<div class="comment-info">
					<span class="time d-none d-sm-block">${home_lang.just_now}</span>
					<span class="like">
						<i onClick="comment.like(this, ${comment_id}, 1)"><svg
							viewBox="0 0 1024 1024" xmlns="http://www.w3.org/2000/svg" width="200"
							height="200"><path
							d="M594.176 151.168a34.048 34.048 0 0 0-29.184 10.816c-11.264 13.184-15.872 24.064-21.504 40.064l-1.92 5.632c-5.632 16.128-12.8 36.864-27.648 63.232-25.408 44.928-50.304 74.432-86.208 97.024-23.04 14.528-43.648 26.368-65.024 32.576v419.648a4569.408 4569.408 0 0 0 339.072-4.672c38.72-2.048 72-21.12 88.96-52.032 21.504-39.36 47.168-95.744 63.552-163.008a782.72 782.72 0 0 0 22.528-163.008c0.448-16.832-13.44-32.256-35.328-32.256h-197.312a32 32 0 0 1-28.608-46.336l0.192-0.32 0.64-1.344 2.56-5.504c2.112-4.8 5.12-11.776 8.32-20.16 6.592-17.088 13.568-39.04 16.768-60.416 4.992-33.344 3.776-60.16-9.344-84.992-14.08-26.688-30.016-33.728-40.512-34.944zM691.84 341.12h149.568c52.736 0 100.864 40.192 99.328 98.048a845.888 845.888 0 0 1-24.32 176.384 742.336 742.336 0 0 1-69.632 178.56c-29.184 53.44-84.48 82.304-141.76 85.248-55.68 2.88-138.304 5.952-235.712 5.952-96 0-183.552-3.008-244.672-5.76-66.432-3.136-123.392-51.392-131.008-119.872a1380.672 1380.672 0 0 1-0.768-296.704c7.68-72.768 70.4-121.792 140.032-121.792h97.728c13.76 0 28.16-5.504 62.976-27.456 24.064-15.104 42.432-35.2 64.512-74.24 11.904-21.184 17.408-36.928 22.912-52.8l2.048-5.888c6.656-18.88 14.4-38.4 33.28-60.416a97.984 97.984 0 0 1 85.12-32.768c35.264 4.096 67.776 26.88 89.792 68.608 22.208 42.176 21.888 84.864 16 124.352a342.464 342.464 0 0 1-15.424 60.544z m-393.216 477.248V405.184H232.96c-40.448 0-72.448 27.712-76.352 64.512a1318.912 1318.912 0 0 0 0.64 282.88c3.904 34.752 32.96 61.248 70.4 62.976 20.8 0.96 44.8 1.92 71.04 2.816z"
							fill="#9499a0"></path></svg></i>
						<span>0</span>
					</span>
					<span class="dislike">
						<i onClick="comment.like(this, ${comment_id}, 2)"><svg
							viewBox="0 0 1024 1024" xmlns="http://www.w3.org/2000/svg" width="200"
							height="200"><path
							d="M594.112 872.768a34.048 34.048 0 0 1-29.12-10.816c-11.264-13.248-15.872-24.064-21.504-40.064l-1.92-5.632c-5.632-16.128-12.8-36.864-27.712-63.232-25.344-44.928-50.24-74.432-86.144-97.024-23.104-14.528-43.648-26.432-65.024-32.64V203.84a4570.24 4570.24 0 0 1 339.072 4.672c38.656 2.048 72 21.12 88.896 52.032 21.504 39.36 47.232 95.744 63.552 163.008 16.448 67.52 21.568 123.776 22.592 163.008 0.448 16.832-13.44 32.256-35.392 32.256h-197.248a32 32 0 0 0-28.608 46.336l0.128 0.32 0.64 1.28 2.56 5.568c2.176 4.8 5.12 11.776 8.384 20.16 6.528 17.088 13.568 39.04 16.768 60.416 4.928 33.344 3.712 60.16-9.344 84.992-14.08 26.688-30.016 33.728-40.576 34.944z m97.728-190.016h149.568c52.8 0 100.864-40.128 99.392-97.92a846.336 846.336 0 0 0-24.32-176.448 742.016 742.016 0 0 0-69.632-178.56c-29.248-53.44-84.48-82.304-141.824-85.248-55.68-2.88-138.24-5.952-235.712-5.952-96 0-183.488 3.008-244.672 5.76-66.368 3.136-123.328 51.392-130.944 119.872a1380.608 1380.608 0 0 0-0.768 296.704c7.68 72.768 70.4 121.792 140.032 121.792h97.728c13.76 0 28.16 5.504 62.976 27.392 24.064 15.168 42.432 35.264 64.448 74.368 11.968 21.12 17.472 36.864 22.976 52.736l2.048 5.888c6.656 18.88 14.336 38.4 33.216 60.416 19.456 22.72 51.456 36.736 85.184 32.768 35.2-4.096 67.776-26.88 89.792-68.672 22.208-42.112 21.888-84.8 16-124.288a343.04 343.04 0 0 0-15.488-60.608zM298.688 205.568v413.184H232.96c-40.512 0-72.448-27.712-76.352-64.512a1318.912 1318.912 0 0 1 0.64-282.88c3.904-34.816 32.896-61.248 70.4-62.976 20.8-0.96 44.736-1.92 71.04-2.816z"
							fill="#9499a0"></path></svg></i>
						<span>0</span>
					</span>
					<span class="reply"
						  onClick="comment.show_comment_box(this, ${comment_id}, ${parent_id}, '${this.username}')">${home_lang.reply}</span>
				</div>
			</div>
		`;
	}

	/**
	 * 显示或隐藏回复发布框
	 * @param obj
	 * @param comment_id
	 * @param parent_id
	 * @param at_user
	 */
	static show_comment_box(obj, comment_id, parent_id, at_user) {
		let emoji_index = window.emoji_index + 1;
		let placeholder = typeof at_user == 'string' && at_user.length > 0 ? home_lang.reply_at + at_user : '';
		let comment_box_template = `
		<div class="comment-box" id="reply-${comment_id}">
			<div class="box-normal">
				<div class="avatar"><img src="${this.avatar}"/></div>
				<div class="wrap"><textarea placeholder="${placeholder}" data-parent-id="${parent_id}" data-at-user="${at_user}"></textarea></div>
				<div class="send" onclick="comment.post_comment(this)">
					<div class="text"><span class="my-spinner-border f-d-n"></span> ${home_lang.send}</div>
				</div>
			</div>
			<div class="box-expand">
				<div class="emoji">
					<i class="emoji-btn-${emoji_index}"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><title>emoticon-excited-outline</title><path d="M12,2C6.47,2 2,6.47 2,12C2,17.53 6.47,22 12,22A10,10 0 0,0 22,12C22,6.47 17.5,2 12,2M12,20A8,8 0 0,1 4,12A8,8 0 0,1 12,4A8,8 0 0,1 20,12A8,8 0 0,1 12,20M13,9.94L14.06,11L15.12,9.94L16.18,11L17.24,9.94L15.12,7.82L13,9.94M8.88,9.94L9.94,11L11,9.94L8.88,7.82L6.76,9.94L7.82,11L8.88,9.94M12,17.5C14.33,17.5 16.31,16.04 17.11,14H6.89C7.69,16.04 9.67,17.5 12,17.5Z" /></svg></i>
				</div>
			</div>
		</div>
		`;
		let child_comment_container = $(obj).parents(".comment-item").find(".child-comment-container");
		if (child_comment_container.find("#reply-" + comment_id).length > 0) {
			child_comment_container.find(".comment-box").remove();
		} else {
			$(".child-comment-container .comment-box").remove();
			child_comment_container.append(comment_box_template);
			child_comment_container.find("textarea").emoji({
				button: '.emoji-btn-' + emoji_index,
				icons: emoji_icons,
			});
			child_comment_container.find("textarea").focus();
		}
	}

	/**
	 * 点赞
	 * @param obj
	 * @param cid 评论ID
	 * @param value 1喜欢；2不喜欢
	 */
	static like(obj, cid, value) {
		let comment_item = $(obj).parents(".comment-item");
		let parent_child_id = comment_item.attr("data-child-id");

		$.post(this.like_url, {cid, value, parent_child_id}, function (r) {
			if (r.id === 1) {
				let comment_info = $(obj).parents(".comment-info");
				//重置喜欢、不喜欢数值
				comment_info.find(".like span").text(r.data.like);
				comment_info.find(".dislike span").text(r.data.dislike);
				//重置parent_child_id
				comment_item.attr('data-child-id', r.data.parent_child_id);
			} else if (r.hasOwnProperty('msg')) {
				layer.msg(r.msg);
			} else {
				layer.msg(home_lang.unknown_error);
			}
		});
	}

	static parse_timestamp(html, friendly_days = 0) {
		const regex = /(<span\s+class=['"]+time.*?['"]+>)(\d+)(<\/span>)/gm;
		return html.replace(regex, (match, open_tag, timestamp, close_tag) => {
			let friendly_time = friendly_format(parseInt(timestamp) * 1000, friendly_days);
			return `${open_tag}${friendly_time}${close_tag}`;
		});
	}
}