<?php

namespace comment\config\validation\admin;

use venus\validation\validator\general;

class config implements \venus\validation\config
{
	private array $validator_class = [
		general::class,
		self::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return [
			'config.min_length' => [
				'rules' => 'int_between[1,500]',
				'errors' => [
					'int_between' => lang('admin.invalid_min_length')
				]
			],
			'config.max_length' => [
				'rules' => ['int_between[1,500]', 'compare'],
				'errors' => [
					'int_between' => lang('admin.invalid_max_length'),
					'compare' => lang('admin.max_must_greater_than_equal_to_min')
				]
			],
			'config.items_per_page' => [
				'rules' => 'positive_integer',
				'errors' => [
					'positive_integer' => lang('admin.invalid_items_per_page'),
				]
			]
		];
	}

	public function compare($value, $data, $original_data): bool
	{
		return $value >= $original_data['config']['min_length'];
	}
}