<?php

namespace comment\config\validation;

use venus\validation\validator\general;

class get_resource_comment implements \venus\validation\config
{
	private array $validator_class = [
		general::class,
		self::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return [
			'module_namespace' => [
				'rules' => 'module_namespace',
			],
			'resource_id' => [
				'rules' => 'positive_integer',
			],
			'order_by' => [
				'rules' => 'required',
			],
			'page_number' => [
				'rules' => 'positive_integer',
			],
			'items_per_page' => [
				'rules' => 'positive_integer',
			]
		];
	}

	/**
	 * 模块命名空间验证规则
	 * @param $value
	 * @return bool
	 */
	public function module_namespace($value): bool
	{
		return is_string($value) && !is_null(\phpvod::$app->module->get_module($value));
	}
}