<?php

namespace comment\controller\admin;

use phpvod\base\backend_controller;

class config extends backend_controller
{
	private \phpvod\model\config $model;
	protected array $helper = ['form'];

	public function init(): void
	{
		parent::init();
		/** @noinspection PhpFieldAssignmentTypeMismatchInspection */
		$this->model = model(\phpvod\model\config::class);
	}

	public function index(): string {
		return $this->config();
	}

	public function config(): string
	{
		if ($this->request->is_post()) {
			if ($this->validation->load_config(\comment\config\validation\admin\config::class)->with_post()->run()) {
				$config = $this->request->post('config');
				$this->model->update_config($config, 'comment.config');
				\comment\library\config::get_instance()->update('config');
				$this->module_redirect('config/config', false, true);
			} else {
				$this->set_message_from_validator();
				$this->module_redirect('config/config', true);
			}
		}
		$config = $this->model->get_config('comment.config');
		return $this->view('config/config', ['config' => $config]);
	}

	public function cache(): string
	{
		if ($this->request->is_post()) {
			$config = $this->request->post('config');
			$this->model->update_config($config, 'comment.cache');
			$this->set_success_message();
			\comment\library\config::get_instance()->update('cache');
		} else {
			$config = $this->model->get_config('comment.cache');
		}
		return $this->view('config/cache', ['config' => $config]);
	}
}