-- ----------------------------
-- Table structure for pv_comment
-- ----------------------------
DROP TABLE IF EXISTS `pv_comment`;
CREATE TABLE `pv_comment`
(
	`id`               int(10) UNSIGNED                                        NOT NULL AUTO_INCREMENT COMMENT 'ID',
	`uid`              int(10) UNSIGNED                                        NOT NULL COMMENT '会员ID,0表示游客',
	`module_namespace` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '模块名字空间',
	`resource_id`      int(10) UNSIGNED                                        NOT NULL COMMENT '资源ID',
	`content`          varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '评论内容',
	`parent_id`        int(10) UNSIGNED                                        NOT NULL DEFAULT 0 COMMENT '父评论ID',
	`child_id`         varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL     DEFAULT NULL COMMENT '推荐的子评论ID列表',
	`child_count`      int(10) UNSIGNED                                        NOT NULL DEFAULT 0 COMMENT '子评论数',
	`at_user`          varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL     DEFAULT NULL COMMENT '回复用户',
	`like`             int(10) UNSIGNED                                        NOT NULL DEFAULT 0 COMMENT '赞成数',
	`dislike`          int(10) UNSIGNED                                        NOT NULL DEFAULT 0 COMMENT '反对数',
	`created_at`       int(10) UNSIGNED                                        NOT NULL COMMENT '创建时间',
	`ip`               varchar(15) CHARACTER SET utf8 COLLATE utf8_unicode_ci  NOT NULL COMMENT 'IP',
	`status`           tinyint(4) UNSIGNED                                     NOT NULL DEFAULT 1 COMMENT '状态（待审核0；正常1）',
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `module_namespace` (`module_namespace`) USING BTREE,
	INDEX `resource_id` (`resource_id`) USING BTREE,
	INDEX `parent_id` (`parent_id`) USING BTREE,
	INDEX `status` (`status`) USING BTREE
) ENGINE = InnoDB
  AUTO_INCREMENT = 1
  CHARACTER SET = utf8
  COLLATE = utf8_unicode_ci
  ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for pv_comment_like_data
-- ----------------------------
DROP TABLE IF EXISTS `pv_comment_like_data`;
CREATE TABLE `pv_comment_like_data`
(
	`id`    int(10) UNSIGNED    NOT NULL AUTO_INCREMENT COMMENT 'ID',
	`cid`   int(10) UNSIGNED    NOT NULL COMMENT '评论ID',
	`uid`   int(10) UNSIGNED    NOT NULL COMMENT '用户ID',
	`value` tinyint(3) UNSIGNED NOT NULL COMMENT '值：0无效值；1喜欢；2不喜欢',
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `cid` (`cid`) USING BTREE,
	INDEX `uid` (`uid`) USING BTREE
) ENGINE = InnoDB
  AUTO_INCREMENT = 1
  CHARACTER SET = utf8
  COLLATE = utf8_unicode_ci
  ROW_FORMAT = Dynamic;