<?php

namespace comment\library;

use phpvod\library\config\abstract_config;

class config extends abstract_config
{
	public static ?config $instance = null;

	protected array $method_map = [
		'config' => ['config_cache', 'config', 'comment.config'],
		'cache' => ['config_cache', 'cache', 'comment.cache'],
	];

	protected string $config_path = WRITABLE_PATH . 'cache/config/comment';

	private function __construct()
	{
	}

	private function __clone()
	{
	}

	public static function get_instance(): ?config
	{
		if (is_null(self::$instance)) {
			self::$instance = new config();
		}
		return self::$instance;
	}

	/**
	 * 创建配置缓存
	 * @param string $file
	 * @param string $type
	 * @return void
	 * @throws \Exception
	 */
	public function config_cache(string $file, string $type): void
	{
		/**
		 * @var \phpvod\model\config $model
		 */
		$model = model(\phpvod\model\config::class);
		$data = $model->get_config($type);
		write_file($this->get_file_path($file), "<?php\nreturn " . var_export($data, true) . ";");
	}
}
