<?php

namespace comment\tag;

use phpvod\widget\cravatar;

class comment
{
	public function __construct()
	{
		\comment\asset\comment\comment::register();
		\comment\asset\emoji\emoji::register();
		\phpvod\widget\pagination\asset\pagination::register();
		\phpvod\asset\layer\layer::register();
	}

	/**
	 * 该方法返回获取评论的js
	 * @param string $container_id 容器ID
	 * @param string $module_namespace 模块命名空间
	 * @param int $resource_id 资源ID
	 * @param string $order_by 排序
	 * @param int $page 页码
	 * @return string
	 */
	public function fetch(string $container_id, string $module_namespace, int $resource_id, string $order_by = 'id DESC', int $page = 1): string
	{
		$resource_comment_url = uri('comment$get_resource_comment');
		$child_comment_url = uri('comment$get_child_comment');
		$add_comment_url = uri('comment$add');
		$like_url = uri('comment$like');
		$items_per_page = \comment\library\config::get_instance()->get('config', 'items_per_page') ?? 10;
		$username = \phpvod::$app->user_auth->get_frontend_identity('username') ?? lang('app.guest');
		$avatar = cravatar::get_instance()->avatar(\phpvod::$app->user_auth->get_frontend_identity('email'));

		$js_template = '
			comment.container_id = "{container_id}";
			comment.resource_comment_url = "{resource_comment_url}";
			comment.child_comment_url = "{child_comment_url}";
			comment.add_comment_url = "{add_comment_url}";
			comment.like_url = "{like_url}";
			comment.module_namespace = "{module_namespace}";
			comment.resource_id = {resource_id};
			comment.order_by = "{order_by}";
			comment.items_per_page = {items_per_page};
			comment.username = "{username}";
			comment.avatar = "{avatar}";
			comment.get_resource_comment({page});
		';

		return strtr($js_template, [
			'{container_id}' => $container_id,
			'{resource_comment_url}' => $resource_comment_url,
			'{child_comment_url}' => $child_comment_url,
			'{add_comment_url}' => $add_comment_url,
			'{like_url}' => $like_url,
			'{module_namespace}' => $module_namespace,
			'{resource_id}' => $resource_id,
			'{order_by}' => $order_by,
			'{items_per_page}' => $items_per_page,
			'{username}' => $username,
			'{avatar}' => $avatar,
			'{page}' => $page,
		]);
	}
}