<?php
/**
 * @var \phpvod\widget\form\admin_form $form
 * @var \venus\view\view $this
 * @var array $config
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
$config = old('config', $config);
?>

<?php $this->section('content'); ?>

<div class="card">
	<div class="card-header"><?= lang('admin.settings') ?></div>
	<div class="card-body">
		<?php $this->set_vars(['active' => 'config'])->include('admin/config/_tabs');?>

		<div class="tab-content p-4">
			<div id="config-tab-pane" class="tab-pane fade show active">
				<?= form_open(admin_module_uri('config/config')) ?>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="min-length">
						<?= lang('admin.min_length') ?>
						<?= $form->tips(lang('admin.tips_length')) ?>
					</label>
					<div class="col-md-6">
						<div class="input-group">
							<?= $form->input('config[min_length]', 'text', $config['min_length'], ['class' => 'form-control', 'id' => 'min-length']) ?>
							<span class="input-group-text"><?= lang('admin.character') ?></span>
						</div>
					</div>
				</div>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="max-length">
						<?= lang('admin.max_length') ?>
						<?= $form->tips(lang('admin.tips_length')) ?>
					</label>
					<div class="col-md-6">
						<div class="input-group">
							<?= $form->input('config[max_length]', 'text', $config['max_length'], ['class' => 'form-control', 'id' => 'max-length']) ?>
							<span class="input-group-text"><?= lang('admin.character') ?></span>
						</div>
					</div>
				</div>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="items-per-page"><?= lang('admin.items_per_page') ?></label>
					<div class="col-md-6">
						<?= $form->input('config[items_per_page]', 'text', $config['items_per_page'], ['class' => 'form-control', 'id' => 'items-per-page']) ?>
					</div>
				</div>
				<div class="row">
					<div class="col-md-6 offset-md-2">
						<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
					</div>
				</div>
				<?= form_close() ?>
			</div>
		</div>

	</div>
	<div class="card-footer">
		<div class="f-tar"><?= phpvod::copyright() ?></div>
	</div>
</div>
<?php $this->end_section(); ?>
