<?php

namespace phpvod\asset\admin;

use phpvod\asset\bootstrap\bootstrap;
use phpvod\asset\jquery_cookie\jquery_cookie;
use phpvod\asset\jquery_validation\jquery_validation;
use phpvod\asset\materialdesignicons\materialdesignicons;
use phpvod\asset\toastr\toastr;
use phpvod\library\config\config;
use phpvod\widget\background\background;

class login extends \venus\asset\asset
{
	protected string $source_path = __DIR__ . DIRECTORY_SEPARATOR . 'login';

	protected string $asset_dirname = 'admin_login';

	protected array $js = [];

	protected array $css = [
		'css/style.css'
	];

	protected array $depends = [
		materialdesignicons::class,
		bootstrap::class,
		jquery_validation::class,
		jquery_cookie::class,
		toastr::class
	];

	private string $background;

	/**
	 * init
	 * @return void
	 * @throws \Exception
	 */
	protected function init(): void
	{
		parent::init();
		$this->background = 'url(' . $this->base_url . 'image/default.jpg)';
		$admin_login_background = config::get_instance()->get('config_background', 'admin_login_background');
		[$type, $file] = explode(':', $admin_login_background, 2);
		if ($type == 'image') {
			$this->background = 'url(' . $this->base_url . 'image/' . $file . ')';
		} elseif ($type == 'class') {
			$class_name = '\\phpvod\\widget\\background\\class\\' . $file;
			$obj = create_object($class_name);
			if ($obj instanceof background) {
				$background = $obj->get_background();
				!is_null($background) && $this->background = $background;
			}
		}
	}

	/**
	 * 获取背景值
	 * @return string
	 * @throws \Exception
	 */
	public function get_background(): string
	{
		return $this->background;
	}

}