/**
 * 根据inputName的值显示panelList数组中某个面板
 * @param inputName input名称
 * @param panelList 面板列表，格式：[{'id':'panel_a','value':'0'},{'id':'panel_b','value':['1','2','3']}]
 * @param inputType input类型(radio/select)
 */
function showPanel(inputName, panelList, inputType = 'radio') {
    let val = null;
    if (inputType == 'radio')
        val = $("input[name*='" + inputName + "']:checked").val();
    else if (inputType == 'select')
        val = $("select[name*='" + inputName + "']").val();

    if (val !== null) {
        for (let i in panelList) {
            if (panelList[i].id == '')
                continue;

            if (!(panelList[i].value instanceof Array)) {
                panelList[i].value = [panelList[i].value];
            }

            if (panelList[i].value.indexOf(val) >= 0)
                $("#" + panelList[i].id).show();
            else
                $("#" + panelList[i].id).hide();
        }
    }
}

function bindPanel(inputName, panelList, inputType = 'radio') {
    if (inputType == 'radio') {
        $("input:radio[name*='" + inputName + "']").on("click", function () {
            showPanel(inputName, panelList, 'radio');
        });
    } else if (inputType == 'select') {
        $("select[name*='" + inputName + "']").on("change", function () {
            showPanel(inputName, panelList, 'select');
        });
    }
    showPanel(inputName, panelList, inputType);
}

/**
 * 更新后台菜单
 */
function update_backend_menu() {
    window.parent.init_menu(window.parent.menu_url);
}

/**
 * 生成随机字符串
 * @param length
 * @returns {string}
 */
function generate_random_string(length) {
    let result = '';
    const characters = 'abcdefghijklmnopqrstuvwxyz0123456789';
    const characters_length = characters.length;
    for (let i = 0; i < length; i++) {
        result += characters.charAt(Math.floor(Math.random() * characters_length));
    }
    return result;
}

$(document).ready(function () {
    //bootstrap tooltip
    const tooltipTriggerList = document.querySelectorAll('[data-bs-toggle="tooltip"]');
    const tooltipList = [...tooltipTriggerList].map(tooltipTriggerEl => new bootstrap.Tooltip(tooltipTriggerEl, {
        container: 'body'
    }));

    // check-all
    $("#check-all").change(function () {
        $("input[type='checkbox']").prop('checked', $(this).prop("checked"));
    });
});