class update {
	static check_version_url;
	static download_package_url;
	static update_system_url;

	static check_version(module_namespace, applicable_version) {
		$.post(update.check_version_url, {module_namespace, applicable_version}, function (r) {
			if (r.id === 1) {
				layer.open({
					type: 1
					, title: false
					, closeBtn: false
					, area: '350px'
					, shade: 0.5
					, id: 'new-version'
					, btn: [admin_language.update_now, admin_language.got_it]
					, btnAlign: 'c'
					, moveType: 1
					, content: `
							<div class="check-version-panel">
								<div class="new-version">${admin_language.new_version}：${r['data']['updated_version']}</div>
								<div class="release-time">${r['data']['created_at']}</div>
								<div class="description">${r['data']['description']}</div>
							</div>
						`
					, yes: function (index) {
						layer.close(index);
						update.download_package(r.data.id);
					}
				});
			} else if (r.hasOwnProperty('msg'))
				layer.msg(r.msg);
			else
				layer.msg(app_language.unknown_error);
		});
	}

	static download_package(id) {
		layer.msg(admin_language.downloading_update_package, {icon: 16, time: 0});
		setTimeout(() => {
			$.post(update.download_package_url, {id}, function (r) {
				layer.close(layer.index);
				if (r.id === 1) {
					update.update_system(r.data.package);
				} else if (r.hasOwnProperty('msg'))
					layer.msg(r.msg);
				else
					layer.msg(app_language.unknown_error);
			});
		}, 1000);
	}

	static update_system(package_file) {
		layer.msg(admin_language.the_system_is_being_updated, {icon: 16, time: 0});
		setTimeout(() => {
			$.post(update.update_system_url, {package: package_file}, function (r) {
				layer.close(layer.index);
				if (r.id === 1) {
					layer.msg(r.msg);
					setTimeout(function () {
						update_backend_menu();
						location.reload();
					}, 1500);
				} else if (r.hasOwnProperty('msg'))
					layer.msg(r.msg);
				else
					layer.msg(app_language.unknown_error);
			});
		}, 1000);
	}
}