<?php

namespace config\cache;

use phpvod\library\config\config;
use venus\cache\handler\file;
use venus\cache\handler\redis;
use venus\cache\handler\memcached;
use venus\cache\handler\wincache;

class cache extends \venus\base\config
{
	public string $handler = 'file';

	public array $handler_list = [
		'file' => file::class,
		'redis' => redis::class,
		'memcached' => memcached::class,
		'wincache' => wincache::class,
	];

	public function __construct()
	{
		$this->init_attributes(config::get_instance()->get('config_cache'), null, ['handler' => 'cache_handler']);
	}
}