<?php

namespace config\cache;

use phpvod\library\config\config;

class memcached extends \venus\base\config
{
	public array $servers = [
		['host' => '127.0.0.1', 'port' => 11211, 'weight' => 1]
	];

	public bool $raw = false; //是否使用二进制协议(memcached)

	public function __construct()
	{
		$memcached_config = config::get_instance()->get('config_cache', 'memcached_config');

		$servers = [];
		$lines = explode("\n", $memcached_config);
		foreach ($lines as $line) {
			if (is_blank($line)) continue;
			$config = explode('/', trim($line));
			$servers[] = [
				'host' => isset($config[0]) ? trim($config[0]) : '127.0.0.1',
				'port' => isset($config[1]) ? trim($config[1]) : 11211,
				'weight' => isset($config[2]) ? trim($config[2]) : 1
			];
		}

		!empty($servers) && $this->servers = $servers;
	}
}