<?php
return [
	'system_settings' => [
		'home' => [
			'update' => 'update::download_package,update::update_system',
			'auth' => 'main::auth',
			'license_info' => 'main::get_license_info',
		],
		'site_settings' => [
			'show' => 'config::site/GET,config::register/GET,config::template/GET,config::cache/GET,config::background/GET',
			'modify' => 'config::site/POST,config::register/POST,config::template/POST,config::cache/POST,config::background/POST',
			'test_cache' => 'config::test_cache',
			'clear_cache' => 'config::clear_cache',
		],
		'mail_settings' => [
			'show' => 'config::mail/GET',
			'modify' => 'config::mail/POST',
			'send_test_email' => 'config::send_test_mail',
		],
		'module_management' => [
			'show' => 'module::index,module::get_data,module::add/GET,module::config/GET',
			'add' => 'module::add/POST',
			'config' => 'module::config/POST',
			'upgrade' => 'module::upgrade',
			'uninstall' => 'module::delete',
			'change_status' => 'module::change_status',
		],
		'template_management' => [
			'show' => 'template::index,template::get_data,template::add/GET',
			'add' => 'template::add/POST',
			'delete' => 'template::delete',
		],
		'language_management' => [
			'show' => 'language::index,language::get_data,language::add/GET',
			'add' => 'language::add/POST',
			'delete' => 'language::delete',
			'default_language' => 'language::set_default_language',
		],
	],
	'admin' => [
		'admin' => [
			'show' => 'admin::index,admin::get_data,admin::add/GET,admin::edit/GET',
			'add' => 'admin::add/POST',
			'edit' => 'admin::edit/POST',
			'delete' => 'admin::delete',
			'change_status' => 'admin::change_status',
		],
		'admin_role' => [
			'show' => 'admin_role::index,admin_role::get_data,admin_role::add/GET,admin_role::edit/GET',
			'add' => 'admin_role::add/POST',
			'edit' => 'admin_role::edit/POST',
			'delete' => 'admin_role::delete',
		]
	],
	'member' => [
		'member' => [
			'show' => 'member::index,member::get_data,member::add/GET,member::edit/GET',
			'add' => 'member::add/POST',
			'edit' => 'member::edit/POST',
			'delete' => 'member::delete',
			'change_status' => 'member::change_status',
			'pass' => 'member::pass',
		],
		'member_group' => [
			'show' => 'member_group::index,member_group::get_data,member_group::add/GET,member_group::edit/GET',
			'add' => 'member_group::add/POST',
			'edit' => 'member_group::edit/POST',
			'delete' => 'member_group::delete',
		],
	],
	'information' => [
		'transaction_history' => [
			'show' => 'transaction_history::index,transaction_history::get_data',
			'delete' => 'transaction_history::delete',
		],
	],
];