<?php

use venus\router\routes;

$routes = phpvod::$app->router->get_config();

$routes->set_auto_route(false);
$routes->set_translate_uri_dashes(true);
$routes->set_default_namespace('phpvod\\controller\\');
$routes->set_default_directory(APP_PATH . 'controller');
$routes->set_default_controller('home');
$routes->set_default_method('index');
$routes->set_url_suffix('.html');

$domain_list = array_filter(array_column(\phpvod::$app->module->get_modules(), 'domain'), fn($p) => !is_null($p));

//backend
$routes->group(phpvod::$backend_segment, ['namespace' => 'phpvod\\controller\\admin', 'exclude_domain' => $domain_list], function (routes $routes) {
	$routes->add('login', 'home::login', ['priority' => routes::LOW_PRIORITY + 2]);
	$routes->get('logout', 'home::logout', ['priority' => routes::LOW_PRIORITY + 2]);
	$routes->get('index', 'home::index', ['priority' => routes::LOW_PRIORITY + 2]);

	$routes->add('(:segment)', '$1', ['priority' => routes::LOW_PRIORITY + 1]);
	$routes->add('(:segment)/(:segment)', '$1::$2', ['priority' => routes::LOW_PRIORITY + 1]);
	$routes->add('(:segment)/(:segment)/(:any)', '$1::$2/$3', ['priority' => routes::LOW_PRIORITY + 1]);
});

//api
$routes->group(phpvod::$api_segment, ['namespace' => 'phpvod\\controller\\api', 'priority' => routes::LOW_PRIORITY + 1], function (routes $routes) {
	$routes->add('(:segment)', '$1');
	$routes->add('(:segment)/(:segment)', '$1::$2');
	$routes->add('(:segment)/(:segment)/(:any)', '$1::$2/$3');
});

//install
$routes->group('install', ['namespace' => 'phpvod\\controller\\install', 'priority' => routes::LOW_PRIORITY + 1, 'exclude_domain' => $domain_list], function (routes $routes) {
	$routes->add('(:segment)', 'home::$1');
});

//frontend
$routes->group('', ['exclude_domain' => $domain_list], function (routes $routes) {
	$routes->add('/', 'home::index');
	$routes->add('(:segment)', '$1');
	$routes->add('(:segment)/(:segment)', '$1::$2');
	$routes->add('(:segment)/(:segment)/(:any)', '$1::$2/$3');
});