<?php

namespace config\validation\admin;

use venus\validation\validator\general;

class admin_role implements \venus\validation\config
{
	private array $validator_class = [
		general::class,
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return $scene == 'add' ? $this->add() : $this->edit();
	}

	private function add(): array
	{
		return [
			'name' => [
				'rules' => ['required', 'is_unique[pv_admin_role.name]'],
				'errors' => [
					'required' => lang('admin.role_name_cannot_be_empty'),
					'is_unique' => lang('admin.role_name_already_exists')
				]
			],
		];
	}

	private function edit(): array
	{
		return [
			'name' => [
				'rules' => ['required', 'is_unique[pv_admin_role.name,id,{id}]'],
				'errors' => [
					'required' => lang('admin.role_name_cannot_be_empty'),
					'is_unique' => lang('admin.role_name_already_exists')
				]
			],
		];
	}
}