<?php

namespace config\validation\admin;

use config\validation\validator;
use venus\validation\validator\general;

class login implements \venus\validation\config
{
	private array $validator_class = [
		general::class,
		validator::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return [
			'username' => [
				'rules' => 'required',
				'errors' => [
					'required' => lang('app.username_cannot_be_empty'),
				]
			],
			'password' => [
				'rules' => 'required',
				'errors' => [
					'required' => lang('app.password_cannot_be_empty'),
				]
			],
			'captcha' => [
				'rules' => ['required', 'captcha'],
				'errors' => [
					'required' => lang('app.captcha_cannot_be_empty'),
					'captcha' => lang('app.captcha_error')
				]
			]
		];
	}
}