<?php

namespace config\validation\admin;

class upload implements \venus\validation\config
{
	private array $validator_class = [
		\venus\validation\validator\upload::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return $this->$scene();
	}

	private function upload_zip(): array
	{
		return [
			'zip_file' => [
				'rules' => ['uploaded[zip_file]', 'ext_in[zip_file,zip]'],
				'errors' => [
					'uploaded' => lang('admin.zip_upload_failed'),
					'ext_in' => lang('app.invalid_file_type')
				]
			],
		];
	}

	private function upload_image(): array
	{
		return [
			'image_file' => [
				'rules' => ['uploaded[image_file]', 'ext_in[image_file,jpg,jpeg,png,gif,webp]'],
				'errors' => [
					'uploaded' => lang('admin.image_upload_failed'),
					'ext_in' => lang('app.invalid_file_type')
				]
			]
		];
	}

}