<?php

namespace config\validation;

class bootstrap_table_validator
{
	/**
	 * bootstrap_table queryParams.sort验证器
	 * @param $value
	 * @return bool
	 */
	public function sort($value): bool
	{
		if (!is_null($value)) {
			return preg_match('/\A[a-z0-9_\.`]+\z/i', $value) === 1;
		}
		return true;
	}

	/**
	 * bootstrap_table queryParams.order验证器
	 * @param $value
	 * @return bool
	 */
	public function order($value): bool
	{
		return in_array(strtolower($value), ['asc', 'desc']);
	}

	/**
	 * bootstrap_table queryParams.offset验证器
	 * @param $value
	 * @return bool
	 */
	public function offset($value): bool
	{
		if (!is_null($value)) {
			return is_numeric($value) && (int)$value >= 0;
		}
		return true;
	}

	/**
	 * bootstrap_table queryParams.limit验证器
	 * @param $value
	 * @return bool
	 */
	public function limit($value): bool
	{
		if (!is_null($value)) {
			return is_numeric($value) && (int)$value >= 1;
		}
		return true;
	}

}