<?php

namespace config\validation\home;

use venus\validation\validator\general;

class auth implements \venus\validation\config
{
	private array $validator_class = [
		general::class,
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return [
			'auth.domain' => [
				'rules' => 'required',
				'errors' => [
					'required' => lang('admin.auth_domain_cannot_be_empty')
				]
			],
			'auth.name' => [
				'rules' => 'required',
				'errors' => [
					'required' => lang('admin.auth_name_cannot_be_empty')
				]
			],
			'auth.contact' => [
				'rules' => 'required',
				'errors' => [
					'required' => lang('admin.contact_cannot_be_empty')
				]
			],
			'auth.license_key' => [
				'rules' => 'required',
				'errors' => [
					'required' => lang('admin.license_key_cannot_be_empty')
				]
			],
		];
	}
}