<?php

namespace config\validation\home;

use venus\validation\validator\general;

class change_password implements \venus\validation\config
{
	private array $validator_class = [
		general::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return [
			'original_password' => [
				'rules' => 'required',
				'errors' => [
					'required' => lang('home.original_password_cannot_be_empty'),
				]
			],
			'new_password' => [
				'rules' => 'required',
				'errors' => [
					'required' => lang('home.new_password_cannot_be_empty'),
				]
			],
			'repeat_new_password' => [
				'rules' => ['required', 'matches[new_password]'],
				'errors' => [
					'required' => lang('home.repeat_new_password_cannot_be_empty'),
					'matches' => lang('home.repeat_new_password_not_match'),
				]
			]
		];
	}
}
