<?php

namespace config\validation\home;

use config\validation\validator;
use venus\validation\validator\general;

class reset_password implements \venus\validation\config
{
	private array $validator_class = [
		general::class,
		validator::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return $this->$scene();
	}

	private function profile(): array
	{
		return [
			'account' => [
				'rules' => 'required',
				'errors' => [
					'required' => lang('home.account_cannot_be_empty')
				]
			],
			'captcha' => [
				'rules' => ['required', 'captcha'],
				'errors' => [
					'required' => lang('app.captcha_cannot_be_empty'),
					'captcha' => lang('app.captcha_error')
				]
			]
		];
	}

	private function auth(): array
	{
		return [
			'email_code' => [
				'rules' => ['required', 'verify_code[reset_password,email]'],
				'errors' => [
					'required' => lang('app.email_code_cannot_be_empty'),
					'verify_code' => lang('app.email_code_error')
				]
			]
		];
	}

	private function reset(): array
	{
		return [
			'new_password' => [
				'rules' => 'required',
				'errors' => [
					'required' => lang('app.password_cannot_be_empty'),
				]
			],
			'repeat_new_password' => [
				'rules' => ['required', 'matches[new_password]'],
				'errors' => [
					'required' => lang('app.repeat_password_cannot_be_empty'),
					'matches' => lang('app.repeat_password_not_match'),
				]
			]
		];
	}
}
