<?php

namespace config\validation\home;

use venus\validation\validator\general;

class send_email_code implements \venus\validation\config
{
	private array $validator_class = [
		general::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return $this->$scene();
	}

	private function register(): array
	{
		return [
			'email' => [
				'rules' => ['required', 'valid_email', 'is_unique[pv_member.email]'],
				'errors' => [
					'required' => lang('app.email_cannot_be_empty'),
					'valid_email' => lang('app.invalid_email'),
					'is_unique' => lang('app.email_already_exists')
				]
			],
		];
	}

	private function reset_password(): array
	{
		return [
			'email' => [
				'rules' => ['required', 'valid_email'],
				'errors' => [
					'required' => lang('app.email_cannot_be_empty'),
					'valid_email' => lang('app.invalid_email'),
				]
			],
		];
	}
}
