<?php

namespace phpvod\controller\admin;

use config\validation\validator;

class transaction_history extends \phpvod\base\backend_controller
{
	private \phpvod\model\transaction_history $model;

	public function init(): void
	{
		parent::init();
		/** @noinspection PhpFieldAssignmentTypeMismatchInspection */
		$this->model = model(\phpvod\model\transaction_history::class);
	}

	public function index(): string
	{
		return $this->view('transaction_history/index');
	}

	/**
	 * 删除记录(ajax)
	 * @return void
	 * @throws \Exception
	 */
	public function delete(): void
	{
		$id = $this->request->post('id');
		if ($this->validation->check($id, 'id', validator::class)) {
			$this->model->delete($id);
			$this->response->set_json(['id' => 1, 'msg' => lang('app.operation_succeeded')]);
		} else {
			$this->response->set_json(['id' => 0, 'msg' => lang('app.invalid_id')]);
		}
	}

	/**
	 * 获取表格数据(ajax)
	 * @return void
	 * @throws \Exception
	 */
	public function get_data(): void
	{
		\phpvod::$app->language->load_file('transaction_action', \venus\language\language::ADDITIONAL_ALL_MODULE_LANGUAGE);
		$params = $this->get_bootstrap_table_query_params();
		if ($params !== false) {
			$data = $this->model->get_data($params);
			$this->response->set_json($data);
		}
	}

}