<?php

namespace phpvod\controller;

use phpvod\base\frontend_controller;

class member extends frontend_controller
{
	/**
	 * 会员中心
	 * @return string
	 * @throws \Exception
	 */
	public function index(): string
	{
		return $this->profile();
	}

	/**
	 * 个人资料
	 * @return string
	 * @throws \Exception
	 */
	public function profile(): string
	{
		$member = \phpvod::$app->user_auth->get_frontend_identity();
		if (!is_array($member)) {
			$this->redirect('/');
		}
		return $this->view('member/profile', ['member' => $member]);
	}

	/**
	 * 修改密码
	 * @return string
	 * @throws \Exception
	 */
	public function change_password(): string
	{
		if (!\phpvod::$app->user_auth->frontend_is_logged_in()) {
			$this->redirect('/');
		}

		return $this->view('member/change_password');
	}

	/**
	 * 会员组
	 * @return string
	 * @throws \Exception
	 */
	public function buy_member_group(): string
	{
		$member = \phpvod::$app->user_auth->get_frontend_identity();
		if (!is_array($member)) {
			$this->redirect('/');
		}

		return $this->view('member/buy_member_group', ['member' => $member]);
	}

	/**
	 * 我的账单
	 * @return string
	 * @throws \Exception
	 */
	public function my_transaction_history(): string
	{
		if (!\phpvod::$app->user_auth->frontend_is_logged_in()) {
			$this->redirect('/');
		}

		return $this->view('member/my_transaction_history');
	}

	/**
	 * 找回密码
	 * @return string
	 */
	public function reset_password(): string
	{
		return $this->view('member/reset_password');
	}
}
