<?php
function in_string($needle, $string, $delimiter = ','): bool
{
	return str_contains($delimiter . $string . $delimiter, $delimiter . $needle . $delimiter);
}

/**
 * 将字符串中的部分字符替换为掩码字符
 * @param string $string 原字符串
 * @param int $left_char_count 字符串起始处需要保留显示的字符数
 * @param int $right_char_count 字符串结尾处需要保留显示的字符数
 * @param int $type 字符串类型(0普通字符; 1邮箱地址)
 * @param string $mark_char 掩码字符
 * @return string
 */
function mark_string(string $string, int $left_char_count, int $right_char_count, int $type = 0, string $mark_char = '*'): string
{
	if($type === 1 && str_contains($string, '@')) {
		$data = explode('@', $string, 2);
		$data[1] = '@' . $data[1];
	} else {
		$data = [$string];
	}

	$left_char_count < 0 && $left_char_count = 0;
	$right_char_count < 0 && $right_char_count = 0;

	if(mb_strlen($data[0]) <= ($left_char_count + $right_char_count)) {
		return $string;
	}

	$left_string = $left_char_count > 0 ? mb_substr($data[0], 0, $left_char_count) : '';
	$mark_string = str_repeat($mark_char, mb_strlen($data[0]) - $left_char_count - $right_char_count);
	$right_string = $right_char_count > 0 ? mb_substr($data[0], $right_char_count * (-1)) : '';
	$data[0] =  $left_string . $mark_string . $right_string;
	return implode('', $data);
}