<?php

namespace phpvod\library;

class template_manager
{
	private static ?template_manager $instance = null;

	private function __construct()
	{
	}

	private function __clone()
	{
	}

	public static function get_instance(): template_manager
	{
		if (is_null(self::$instance)) {
			self::$instance = new template_manager();
		}
		return self::$instance;
	}

	/**
	 * 获取已安装的模板列表
	 * @param string $view_directory 视图目录
	 * @param string $json_file 配置文件名称
	 * @return array 返回已安装的模板列表
	 */
	public function get_template_list(string $view_directory, string $json_file = 'info.json'): array
	{
		$template_list = [];

		if (is_dir($view_directory) && $handle = opendir($view_directory)) {
			while (false !== ($entry = readdir($handle))) {
				if ($entry == '.' || $entry == '..' || !is_file($view_directory . '/' . $entry . '/' . $json_file)) {
					continue;
				}
				$json = file_get_contents($view_directory . '/' . $entry . '/' . $json_file);
				$config = json_decode($json, true);
				if (is_array($config)) {
					$template_list[] = array_map(fn($v) => trim($v), $config);
				}
			}
			closedir($handle);
		}

		return $template_list;
	}
}