<?php

namespace phpvod\model;

class admin_role extends \phpvod\base\model
{
	protected string $table = 'pv_admin_role';
	protected ?string $primary_key = 'id';
	protected array $allowed_fields = ['name', 'permissions'];

	/**
	 * 获取管理员角色数据
	 * @param array $params
	 * @return array
	 */
	public function get_data(array $params): array
	{
		//where
		if (!is_null($params['search'])) {
			$this->where('name LIKE :name', ['name' => '%' . $params['search'] . '%']);
		}

		$total = (int)$this->select('count(id)')->query(false)->fetch_column();

		//order by
		if(!is_null($params['order_by'])) {
			$this->order_by($params['order_by']);
		}

		//offset_limit
		if(!is_null($params['offset_limit'])) {
			$this->limit($params['offset_limit']);
		}

		$rows = $this->select('id,name')->query()->fetch_all_array();
		return ['total' => $total, 'rows' => $rows];
	}
}