<?php
/**
 * @var \venus\view\view $this
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
$admin = old('admin', []);
?>
<?php $this->section('content'); ?>

	<div class="card">
		<div class="card-header"><?= lang('admin.add_admin') ?></div>
		<div class="card-body">
			<?= form_open(admin_uri('admin/add'), ['id' => 'admin-form']) ?>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="username"><?= lang('pv_admin.username') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="username" name="admin[username]" value="<?=$admin['username'] ?? ''?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="password"><?= lang('pv_admin.password') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="password" id="password" name="admin[password]" value="<?=$admin['password'] ?? ''?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end"><?= lang('pv_admin.role_name') ?></label>
				<div class="col-md-6">
					<?= $form->select('admin[role_id]', \phpvod\library\options::admin_role(), $admin['role_id'] ?? null, ['class' => 'form-select']) ?>
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="email"><?= lang('pv_admin.email') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="email" name="admin[email]" value="<?=$admin['email'] ?? ''?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="phone"><?= lang('pv_admin.phone') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="phone" name="admin[phone]" value="<?=$admin['phone'] ?? ''?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end"><?= lang('pv_admin.status') ?></label>
				<div class="col-md-6 switch-container">
					<?= $form->switch(($admin['status'] ?? '0') == '1', ['class' => 'form-check-input', 'role' => 'switch', 'name' => 'admin[status]', 'value' => '1']) ?>
				</div>
			</div>
			<div class="row">
				<div class="col-md-6 offset-md-2">
					<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
				</div>
			</div>
			<?= form_close() ?>
		</div>
		<div class="card-footer">
			<div class="f-tar"><?= phpvod::copyright() ?></div>
		</div>
	</div>

<?php $this->end_section(); ?>