<?php
/**
 * @var \venus\view\view $this
 * @var array $role
 */
$this->extend('admin/layout');
$permissions = is_array(old('permissions')) ? implode(',', old('permissions')) : $role['permissions'];
?>
<?php $this->section('content'); ?>

	<div class="card">
		<div class="card-header"><?= lang('admin.edit_role') ?></div>
		<div class="card-body">
			<?= form_open(admin_uri('admin-role/edit'), ['id' => 'role-form'], ['id' => $role['id']]) ?>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="role-name"><?= lang('pv_admin_role.name') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="role-name" name="name"
					       value="<?= old('name', $role['name']) ?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end"><?= lang('pv_admin_role.permissions') ?></label>
				<div class="col-md-6">
					<?= \phpvod\widget\admin_role_permission::get_instance()->index($permissions) ?>
				</div>
			</div>
			<div class="row">
				<div class="col-md-6 offset-md-2">
					<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
				</div>
			</div>
			<?= form_close() ?>
		</div>
		<div class="card-footer">
			<div class="f-tar"><?= phpvod::copyright() ?></div>
		</div>
	</div>

<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
	<script type="text/javascript">
        $(document).ready(function () {
            $('input.checkbox-parent').on('change', function () {
                let dataid = $(this).attr("dataid");
                $('input[dataid^=' + dataid + '-]').prop('checked', $(this).is(':checked'));
            });
            $('input.checkbox-child').on('change', function () {
                let dataid = $(this).attr("dataid");
                dataid = dataid.substring(0, dataid.lastIndexOf("-"));
                let parent = $('input[dataid=' + dataid + ']');
                if ($(this).is(':checked')) {
                    parent.prop('checked', true);
                    while (dataid.lastIndexOf("-") !== 2) {
                        dataid = dataid.substring(0, dataid.lastIndexOf("-"));
                        parent = $('input[dataid=' + dataid + ']');
                        parent.prop('checked', true);
                    }
                } else {
                    if ($('input[dataid^=' + dataid + '-]:checked').length === 0) {
                        parent.prop('checked', false);
                        while (dataid.lastIndexOf("-") !== 2) {
                            dataid = dataid.substring(0, dataid.lastIndexOf("-"));
                            parent = $('input[dataid=' + dataid + ']');
                            if ($('input[dataid^=' + dataid + '-]:checked').length === 0) {
                                parent.prop('checked', false);
                            }
                        }
                    }
                }
            });
			<?= \phpvod\widget\admin_role_permission::get_instance()->init() ?>
        });
	</script>
<?php $this->end_section(); ?>