<?php

use phpvod\library\options;

/**
 * @var \phpvod\widget\form\admin_form $form
 * @var \venus\view\view $this
 * @var array $config
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
?>

<?php $this->section('content'); ?>

	<div class="card">
		<div class="card-header"><?= lang('admin.site_settings') ?></div>
		<div class="card-body">

			<?php $this->set_vars(['active' => 'background'])->include('admin/config/_site_tabs');?>

			<div class="tab-content p-4">
				<div id="background" class="tab-pane fade show active">
					<?= form_open(admin_uri('config/background')) ?>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"><?= lang('admin.admin_login_background') ?></label>
						<div class="col-md-6">
							<?= $form->select('config[admin_login_background]', options::background(), $config['admin_login_background'], ['class' => 'form-select']) ?>
						</div>
					</div>
					<div class="row">
						<div class="col-md-6 offset-md-2">
							<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
						</div>
					</div>
					<?= form_close() ?>
				</div>
			</div>

		</div>
		<div class="card-footer">
			<div class="f-tar"><?= phpvod::copyright() ?></div>
		</div>
	</div>

<?php $this->end_section(); ?>