<?php

use phpvod\library\options;

/**
 * @var \phpvod\widget\form\admin_form $form
 * @var \venus\view\view $this
 * @var array $config
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
?>

<?php $this->section('content'); ?>


<div class="card">
	<div class="card-header"><?= lang('admin.mail_settings') ?></div>
	<div class="card-body">

		<ul class="nav nav-tabs">
			<li class="nav-item">
				<button class="nav-link active" data-bs-toggle="tab"
				        data-bs-target="#mail-tab-pane"><?= lang('admin.mail_settings') ?></button>
			</li>
			<li class="nav-item">
				<button class="nav-link" data-bs-toggle="tab"
				        data-bs-target="#test-tab-pane"><?= lang('admin.send_test_email') ?></button>
			</li>
		</ul>

		<div class="tab-content p-4">
			<!-- mail -->
			<div id="mail-tab-pane" class="tab-pane fade show active">
				<?= form_open(admin_uri('config/mail')) ?>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end"><?= lang('admin.mail_protocol') ?></label>
					<div class="col-md-6">
						<?= $form->radio_group('config[mail_protocol]', options::mail_protocol(), $config['mail_protocol'], ['class' => 'form-check-input']) ?>
					</div>
				</div>

				<div id="mail-sendmail" class="f-d-n">
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end" for="mail-sendmail-path">
							<?= lang('admin.mail_sendmail_path') ?>
							<?= $form->tips(lang('admin.tips_sendmail_default_path')) ?>
						</label>
						<div class="col-md-6">
							<input class="form-control" type="text" id="mail-sendmail-path"
							       name="config[mail_sendmail_path]"
							       value="<?= $config['mail_sendmail_path'] ?>">
						</div>
					</div>
				</div>
				<div id="mail-qmail" class="f-d-n">
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end" for="mail-qmail-path">
							<?= lang('admin.mail_qmail_path') ?>
							<?= $form->tips(lang('admin.tips_qmail_default_path')) ?>
						</label>
						<div class="col-md-6">
							<input class="form-control" type="text" id="mail-qmail-path" name="config[mail_qmail_path]"
							       value="<?= $config['mail_qmail_path'] ?>">
						</div>
					</div>
				</div>
				<div id="mail-smtp" class="f-d-n">

					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"
						       for="mail-smtp-host"><?= lang('admin.mail_smtp_host') ?></label>
						<div class="col-md-6">
							<input class="form-control" type="text" id="mail-smtp-host" name="config[mail_smtp_host]"
							       value="<?= $config['mail_smtp_host'] ?>">
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"
						       for="mail-smtp-port"><?= lang('admin.mail_smtp_port') ?></label>
						<div class="col-md-6">
							<input class="form-control" type="text" id="mail-smtp-port" name="config[mail_smtp_port]"
							       value="<?= $config['mail_smtp_port'] ?>">
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"><?= lang('admin.mail_smtp_secure') ?></label>
						<div class="col-md-6">
							<?= $form->select('config[mail_smtp_secure]', options::smtp_secure(), $config['mail_smtp_secure'], ['class' => 'form-select']) ?>
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"
						       for="mail-smtp-user"><?= lang('admin.mail_smtp_user') ?></label>
						<div class="col-md-6">
							<input class="form-control" type="text" id="mail-smtp-user" name="config[mail_smtp_user]"
							       value="<?= $config['mail_smtp_user'] ?>">
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"
						       for="mail-smtp-pass"><?= lang('admin.mail_smtp_pass') ?></label>
						<div class="col-md-6">
							<input class="form-control" type="text" id="mail-smtp-pass" name="config[mail_smtp_pass]"
							       value="<?= $config['mail_smtp_pass'] ?>">
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"
						       for="mail-smtp-name"><?= lang('admin.mail_smtp_name') ?></label>
						<div class="col-md-6">
							<input class="form-control" type="text" id="mail-smtp-name" name="config[mail_smtp_name]"
							       value="<?= $config['mail_smtp_name'] ?>">
						</div>
					</div>

				</div>

				<div class="row">
					<div class="col-md-6 offset-md-2">
						<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
					</div>
				</div>
				<?= form_close() ?>
			</div>
			<!-- send test mail -->
			<div id="test-tab-pane" class="tab-pane fade">
				<div class="row">
					<label class="col-md-2 col-form-label text-md-end"
					       for="recipient-email-address"><?= lang('admin.recipient_email_address') ?></label>
					<div class="col-md-6">
						<div class="input-group">
							<input type="text" class="form-control" id="recipient-email-address"
							       name="recipient_email_address">
							<button id="send-test-email" class="btn btn-success" type="button">
								<span class="spinner-border spinner-border-sm f-d-n" role="status"
								      aria-hidden="true"></span>
								<?= lang('admin.send_test_email') ?>
							</button>
						</div>
					</div>
				</div>
			</div>
		</div>

	</div>
	<div class="card-footer">
		<div class="f-tar"><?= phpvod::copyright() ?></div>
	</div>
</div>

<?php $this->end_section(); ?>

<?php $this->section('js') ?>
<script type="text/javascript">
    let panel_list = [{"id": "mail-sendmail", "value": "sendmail"}, {
        "id": "mail-qmail",
        "value": "qmail"
    }, {"id": "mail-smtp", "value": "smtp"}];
    bindPanel("config[mail_protocol]", panel_list);
    /**
     * 发送测试邮件
     */
    $("#send-test-email").click(function () {
        let value = $('input[name="recipient_email_address"]').val();
        let reg = /^\w+((.\w+)|(-\w+))@[A-Za-z0-9]+((.|-)[A-Za-z0-9]+).[A-Za-z0-9]+$/;
        if (!reg.test(value)) {
            layer.msg('<?= lang('app.invalid_email') ?>');
            return;
        }
        $('span[role="status"]').css('display', 'inline-block');
        $("#send-test-email").attr('disabled', 'disabled');
		$.ajaxSetup({headers: <?=csrf_json()?>});
        $.post('<?= admin_uri('config/send-test-mail') ?>', {receiver: value}, function (r) {
            $('span[role="status"]').css('display', 'none');
            $("#send-test-email").removeAttr('disabled');
            if (r.hasOwnProperty('msg'))
                layer.msg(r.msg);
            else
                layer.msg('<?=lang('app.unknown_error')?>');
        });
    });
</script>
<?php $this->end_section(); ?>
