<?php
use phpvod\library\options;

/**
 * @var \phpvod\widget\form\admin_form $form
 * @var \venus\view\view $this
 * @var array $config
 */

$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
?>

<?php $this->section('content'); ?>

	<div class="card">
		<div class="card-header"><?= lang('admin.register') ?></div>
		<div class="card-body">

			<?php $this->set_vars(['active' => 'register'])->include('admin/config/_site_tabs');?>

			<div class="tab-content p-4">
				<div id="register" class="tab-pane fade show active">
					<?= form_open(admin_uri('config/register')) ?>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"><?= lang('admin.allow_register') ?></label>
						<div class="col-md-6">
							<?= $form->radio_group('config[allow_register]', options::open_close(), $config['allow_register'], ['class' => 'form-check-input']) ?>
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"><?= lang('admin.register_check') ?></label>
						<div class="col-md-6">
							<?= $form->radio_group('config[register_check]', options::open_close(), $config['register_check'], ['class' => 'form-check-input']) ?>
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"><?= lang('admin.verify_email_address') ?></label>
						<div class="col-md-6">
							<?= $form->radio_group('config[verify_email_address]', options::open_close(), $config['verify_email_address'], ['class' => 'form-check-input']) ?>
						</div>
					</div>
					<div class="row">
						<div class="col-md-6 offset-md-2">
							<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
						</div>
					</div>
					<?= form_close() ?>
				</div>
			</div>

		</div>
		<div class="card-footer">
			<div class="f-tar"><?= phpvod::copyright() ?></div>
		</div>
	</div>

<?php $this->end_section(); ?>