<?php

use phpvod\library\options;

/**
 * @var \phpvod\widget\form\admin_form $form
 * @var \venus\view\view $this
 * @var array $config
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
?>

<?php $this->section('content'); ?>

	<div class="card">
		<div class="card-header"><?= lang('admin.site_settings') ?></div>
		<div class="card-body">

			<?php $this->set_vars(['active' => 'site'])->include('admin/config/_site_tabs'); ?>

			<div class="tab-content p-4">
				<div id="site" class="tab-pane fade show active">
					<?= form_open(admin_uri('config/site')) ?>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"><?= lang('admin.site_status') ?></label>
						<div class="col-md-6">
							<?= $form->radio_group('config[site_status]', options::open_close(), $config['site_status'], ['class' => 'form-check-input']) ?>
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end">
							<?= lang('admin.site_main_module') ?>
							<?= $form->tips(lang('admin.site_main_module_tips')) ?>
						</label>
						<div class="col-md-6">
							<?= $form->select('config[site_main_module]', options::main_module(), $config['site_main_module'] ?? '', ['class' => 'form-select']) ?>
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"><?= lang('admin.site_env') ?></label>
						<div class="col-md-6">
							<?= $form->select('config[site_env]', options::prod_dev(), $config['site_env'], ['class' => 'form-select']) ?>
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end" for="site-name"><?= lang('admin.site_name') ?></label>
						<div class="col-md-6">
							<input class="form-control" type="text" id="site-name" name="config[site_name]" value="<?= $config['site_name'] ?>">
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"><?= lang('admin.site_datetime_zone') ?></label>
						<div class="col-md-6">
							<?= $form->select('config[site_datetime_zone]', options::datetime_zone(), $config['site_datetime_zone'], ['class' => 'form-select']) ?>
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end" for="site-meta-keyword"><?= lang('admin.site_meta_keyword') ?></label>
						<div class="col-md-6">
							<input class="form-control" type="text" id="site-meta-keyword" name="config[site_meta_keyword]"
							       value="<?= $config['site_meta_keyword'] ?>">
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end" for="site-meta-description"><?= lang('admin.site_meta_description') ?></label>
						<div class="col-md-6">
							<input class="form-control" type="text" id="site-meta-description" name="config[site_meta_description]"
							       value="<?= $config['site_meta_description'] ?>">
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end" for="site-miit-number"><?= lang('admin.site_miit_number') ?></label>
						<div class="col-md-6">
							<input class="form-control" type="text" id="site-miit-number" name="config[site_miit_number]"
							       value="<?= $config['site_miit_number'] ?>">
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end" for="site-mps-number"><?= lang('admin.site_mps_number') ?></label>
						<div class="col-md-6">
							<input class="form-control" type="text" id="site-mps-number" name="config[site_mps_number]"
							       value="<?= $config['site_mps_number'] ?>">
						</div>
					</div>
					<div class="row">
						<div class="col-md-6 offset-md-2">
							<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
						</div>
					</div>
					<?= form_close() ?>
				</div>
			</div>

		</div>
		<div class="card-footer">
			<div class="f-tar"><?= phpvod::copyright() ?></div>
		</div>
	</div>

<?php $this->end_section(); ?>