<?php
\phpvod\asset\admin\index::register();
?>
<!DOCTYPE html>
<html lang="<?= phpvod::$app->language->get_language() ?>">
<head>
	<base href="/">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
	<meta name="author" content="phpvod development team">
	<title><?= lang('admin.phpvod_backend_manage') ?></title>
	<?php phpvod::$app->event->trigger(\venus\view\event::EVENT_VIEW_HEAD); ?>
</head>
<body>
<?php phpvod::$app->event->trigger(\venus\view\event::EVENT_VIEW_BEGIN_BODY); ?>

<div class="layout-container">
	<!--左侧导航-->
	<aside class="layout-sidebar">

		<!-- logo -->
		<div id="logo" class="sidebar-header">
			<a href="/" target="_blank"><img src="<?= \phpvod\asset\admin\index::get_base_url() ?>image/logo.png" title="PHPVOD" alt="PHPVOD"/></a>
		</div>

		<div class="sidebar-body perfect-scrollbar">
			<nav class="sidebar-main"></nav>
			<div class="sidebar-footer">
				<p><?= phpvod::copyright() ?></p>
			</div>
		</div>

	</aside>
	<!--End 左侧导航-->

	<!--头部信息-->
	<header class="layout-header">

		<nav class="navbar">

			<div>
				<div class="aside-toggle">
					<span class="toggle-bar"></span>
					<span class="toggle-bar"></span>
					<span class="toggle-bar"></span>
				</div>
			</div>

			<ul class="navbar-item-list d-flex align-items-center">
				<!-- 退出 -->
				<li class="dropdown">
					<a href="javascript:void(0)" data-bs-toggle="dropdown" class="dropdown-toggle ps-4">
						<?php $admin = phpvod::$app->user_auth->get_backend_identity();?>
						<img class="avatar me-1 rounded-circle" src="<?=\phpvod\widget\cravatar::get_instance()->avatar($admin['email'])?>" >
						<span><?= $admin['username'] ?></span>
					</a>
					<ul class="dropdown-menu dropdown-menu-end">
						<li><a class="dropdown-item" href="<?= admin_uri('logout') ?>">
								<i class="mdi mdi-logout-variant"></i>
								<span><?=lang('app.logout')?></span>
							</a>
						</li>
					</ul>
				</li>

			</ul>

		</nav>

	</header>
	<!--End 头部信息-->

	<!--页面主要内容-->
	<main class="layout-content">
		<iframe id="main" name="main" src="<?= admin_uri('main/index') ?>"></iframe>
	</main>
	<!--End 页面主要内容-->
</div>

<?php phpvod::$app->event->trigger(\venus\view\event::EVENT_VIEW_IMPORT_JS); ?>
<script type="text/javascript">
    var menu_url = "<?=admin_uri('home/get-backend-menu')?>";
    $(document).ready(function () {
        init_menu(menu_url);
    });
</script>
<?php phpvod::$app->event->trigger(\venus\view\event::EVENT_VIEW_END_BODY); ?>
</body>
</html>
