<?php
\phpvod\asset\admin\update::register();
/**
 * @var \venus\view\view $this
 * @var array $server_info
 */
$this->extend('admin/layout');
$admin_form = \phpvod\widget\form\admin_form::get_instance();
$license_exists = is_file(APP_PATH . 'license.lic');
?>
<?php $this->section('content'); ?>

	<table class="table shadow-sm table-light">
		<thead>
		<tr>
			<th class="text-center text-bg-secondary"><?= lang('admin.system_notice') ?></th>
		</tr>
		</thead>
		<tbody>
		<tr>
			<td id="notice-container" class="text-center"><?= lang('app.loading') ?></td>
		</tr>
		</tbody>
	</table>

	<table class="table shadow-sm table-light">
		<thead>
		<tr>
			<th class="text-center text-bg-secondary" colspan="2"><?= lang('admin.system_information') ?></th>
		</tr>
		</thead>
		<tbody>
		<tr>
			<td class="w-50">
				<span class="align-middle"><?= lang('admin.program_version') ?>: PHPVOD <?= phpvod::VERSION ?>（Venus <?= venus::VERSION ?>）</span>
				<button type="button" class="btn btn-outline-success btn-sm py-0 px-1" id="check-version-btn"><?= lang('admin.check_version') ?></button>
				<?php if ($license_exists): ?>
					<button type="button" class="btn btn-outline-primary btn-sm py-0 px-1" id="show-license-btn"><?= lang('admin.license_information') ?></button>
				<?php else: ?>
					<button type="button" class="btn btn-outline-primary btn-sm py-0 px-1" data-bs-toggle="modal" data-bs-target="#authorization"><?= lang('admin.authorization') ?></button>
				<?php endif; ?>
			</td>
			<td>
				<span class="align-middle"><?= lang('admin.server_software') ?>: <?= $server_info['server_software'] ?></span>
			</td>
		</tr>
		<tr>
			<td>
				<span><?= lang('admin.php_version') ?>: <?= $server_info['php_version'] ?></span>
			</td>
			<td>
				<span><?= lang('admin.db_version') ?>: <?= $server_info['db_version'] ?></span>
			</td>
		</tr>
		<tr>
			<td>
				<span><?= lang('admin.database_size') ?>: <?= $server_info['database_size'] ?></span>
			</td>
			<td>
				<span><?= lang('admin.system_time') ?>: <?= $server_info['system_time'] ?></span>
			</td>
		</tr>
		<tr>
			<td>
				<span><?= lang('admin.max_upload') ?>: <?= $server_info['max_upload'] ?></span>
			</td>
			<td>
				<span><?= lang('admin.max_ex_time') ?>: <?= $server_info['max_ex_time'] ?></span>
			</td>
		</tr>
		</tbody>
	</table>

	<table class="table shadow-sm table-light">
		<thead>
		<tr>
			<th class="text-center text-bg-secondary" colspan="2"><?= lang('admin.phpvod_official') ?></th>
		</tr>
		</thead>
		<tbody>
		<tr>
			<td class="w-50">
				<?= lang('admin.official_website') ?>: <a href="https://www.phpvod.com" target="_blank">https://www.phpvod.com</a>
			</td>
			<td>
				<?= lang('admin.technical_support') ?>: PHPVOD Team &nbsp; QQ: 19855462 &nbsp; Email: <a href="mailto:phpvod@qq.com">phpvod@qq.com</a>
			</td>
		</tr>
		</tbody>
	</table>

<?php if (!$license_exists): ?>
	<!-- Modal -->
	<div class="modal fade" id="authorization" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="authorizationLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<div class="modal-title fs-6 fw-bold" id="authorizationLabel"><?= lang('admin.authorization') ?></div>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body">
					<form id="auth-form">
						<div class="container-fluid">
							<div class="row mb-3">
								<label for="domain" class="col-sm-3 col-form-label">
									<?= lang('admin.auth_domain') ?>
									<?= $admin_form->tips(lang('admin.tips_auth_domain')) ?>
								</label>
								<div class="col-sm-9">
									<input type="text" class="form-control" style="background-color: var(--bs-secondary-bg);" id="domain" name="auth[domain]" value="<?= $_SERVER['HTTP_HOST'] ?>" readonly/>
								</div>
							</div>
							<div class="row mb-3">
								<label for="name" class="col-sm-3 col-form-label">
									<?= lang('admin.auth_name') ?>
									<?= $admin_form->tips(lang('admin.tips_auth_name')) ?>
								</label>
								<div class="col-sm-9">
									<input type="text" class="form-control" id="name" name="auth[name]" value=""/>
								</div>
							</div>
							<div class="row mb-3">
								<label for="contact" class="col-sm-3 col-form-label"><?= lang('admin.contact') ?></label>
								<div class="col-sm-9">
									<div class="input-group">
										<select name="auth[contact_type]" class="form-select">
											<OPTION VALUE="phone"><?= lang('app.phone') ?></OPTION>
											<option value="wechat"><?= lang('app.wechat') ?></option>
											<option value="qq"><?= lang('app.qq') ?></option>
											<option value="email"><?= lang('app.email') ?></option>
										</select>
										<input type="text" class="form-control" id="contact" name="auth[contact]" value=""/>
									</div>
								</div>
							</div>
							<div class="row mb-3">
								<label for="license-key" class="col-sm-3 col-form-label"><?= lang('admin.license_key') ?></label>
								<div class="col-sm-9">
									<input type="text" class="form-control" id="license-key" name="auth[license_key]" value=""/>
								</div>
							</div>
						</div>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-bs-dismiss="modal"><?= lang('app.close') ?></button>
					<button type="button" class="btn btn-primary" id="submit-btn"><?= lang('app.submit') ?></button>
				</div>
			</div>
		</div>
	</div>
<?php endif; ?>

	<div class="text-muted text-center border-top mt-4 pt-2"><?= phpvod::copyright() ?></div>

<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
	<script type="text/javascript">
		$.ajaxSetup({headers: <?=csrf_json()?>});

		//notice
		let notice_container = $("#notice-container");
		$.get('<?=admin_uri('main/get-notice')?>', function (r) {
			if (r.hasOwnProperty('id') && r.id === 1) {
				if (Array.isArray(r.data) && r.data.length === 0) {
					notice_container.html('<?= lang('app.no_record')?>');
					return;
				}
				let html = '<div class="row">';
				$.each(r.data, function (key, value) {
					html += `<div class="col-sm-6 col-md-3 py-1"><a href="${value['link']}" target="_blank">${value['subject']}</a></div>`;
				});
				html += '</div>';
				notice_container.html(html);
			} else {
				notice_container.html(r.msg);
			}
		});

		<?php if($license_exists): ?>
		//show-license
		$("#show-license-btn").click(function () {
			$.get("<?=admin_uri('main/get-license-info')?>", function (r) {
				if (r.id === 1) {
					layer.open({
						title: '<?= lang('admin.license_information') ?>',
						content: `
								<div class="mb-2"><?= lang('admin.auth_domain') ?>：${r['data']['domain']}</div>
								<div class="mb-2"><?= lang('admin.auth_name') ?>：${r['data']['name']}</div>
							`
					});
				} else if (r.hasOwnProperty('msg'))
					layer.msg(r.msg);
				else
					layer.msg('<?=lang('app.unknown_error')?>');
			});
		});
		<?php else: ?>
		//auth
		$("#submit-btn").click(function () {
			$.post("<?=admin_uri('main/auth')?>", $("#auth-form").serialize(), function (r) {
				if (r.id === 1) {
					let auth_modal = bootstrap.Modal.getInstance(document.getElementById('authorization'))
					auth_modal.hide();
					layer.msg(r.msg);
					setTimeout(function () {
						location.reload();
					}, 1500);
				} else if (r.hasOwnProperty('msg'))
					layer.msg(r.msg);
				else
					layer.msg('<?=lang('app.unknown_error')?>');
			});
		});
		<?php endif; ?>

		//update
		$("#check-version-btn").click(function () {
			update.check_version_url = '<?=admin_uri('update/check-version')?>';
			update.download_package_url = '<?=admin_uri('update/download-package')?>';
			update.update_system_url = '<?=admin_uri('update/update-system')?>';
			update.check_version('', '<?= phpvod::VERSION?>');
		});
	</script>
<?php $this->end_section();
