<?php
\phpvod\asset\daterangepicker\daterangepicker::register();

/**
 * @var \venus\view\view $this
 * @var \phpvod\widget\form\admin_form $form ;
 * @var array $member
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
$member = old('member', $member);
?>
<?php $this->section('content'); ?>
<div class="card">
	<div class="card-header"><?= lang('admin.edit_member') ?></div>
	<div class="card-body">
		<?= form_open(admin_uri('member/edit'), [], ['member[id]' => $member['id']]) ?>
		<div class="row mb-4">
			<label class="col-md-2 col-form-label text-md-end" for="username"><?= lang('pv_member.username') ?></label>
			<div class="col-md-6">
				<input class="form-control" type="text" id="username" name="member[username]" value="<?= $member['username'] ?>">
			</div>
		</div>
		<div class="row mb-4">
			<label class="col-md-2 col-form-label text-md-end" for="password">
				<?= lang('pv_member.password') ?>
				<?= $form->tips(lang('admin.tips_password')) ?>
			</label>
			<div class="col-md-6">
				<input class="form-control" type="password" id="password" name="member[password]" value="<?= $member['password'] ?? '' ?>">
			</div>
		</div>
		<div class="row mb-4">
			<label class="col-md-2 col-form-label text-md-end"><?= lang('pv_member.group_name') ?></label>
			<div class="col-md-6">
				<?= $form->select('member[group_id]', \phpvod\library\options::member_group(), $member['group_id'], ['class' => 'form-select']) ?>
			</div>
		</div>
		<div class="row mb-4">
			<label class="col-md-2 col-form-label text-md-end" for="group_expiry">
				<?= lang('pv_member.group_expiry') ?>
				<?= $form->tips(lang('admin.tips_expiry')) ?>
			</label>
			<div class="col-md-6">
				<input class="form-control daterangepicker_input" type="text" id="group_expiry" name="member[group_expiry]" value="<?= $member['group_expiry'] ?>">
			</div>
		</div>
		<div class="row mb-4">
			<label class="col-md-2 col-form-label text-md-end">
				<?= lang('pv_member.change_to') ?>
				<?= $form->tips(lang('admin.tips_change_to')) ?>
			</label>
			<div class="col-md-6">
				<?= $form->select('member[change_to]', \phpvod\library\options::member_group(), $member['change_to'], ['class' => 'form-select']) ?>
			</div>
		</div>
		<div class="row mb-4">
			<label class="col-md-2 col-form-label text-md-end" for="email"><?= lang('pv_member.email') ?></label>
			<div class="col-md-6">
				<input class="form-control" type="text" id="email" name="member[email]" value="<?= $member['email'] ?>">
			</div>
		</div>
		<div class="row mb-4">
			<label class="col-md-2 col-form-label text-md-end" for="phone"><?= lang('pv_member.phone') ?></label>
			<div class="col-md-6">
				<input class="form-control" type="text" id="phone" name="member[phone]" value="<?= $member['phone'] ?>">
			</div>
		</div>
		<div class="row mb-4">
			<label class="col-md-2 col-form-label text-md-end" for="balance"><?= lang('pv_member.balance') ?></label>
			<div class="col-md-6">
				<div class="input-group">
					<input class="form-control" type="text" id="balance" name="member[balance]" value="<?= $member['balance'] ?>">
					<div class="input-group-text"><?= lang('app.cny') ?></div>
				</div>
			</div>
		</div>
		<div class="row mb-4">
			<label class="col-md-2 col-form-label text-md-end"><?= lang('pv_member.status') ?></label>
			<div class="col-md-6 switch-container">
				<?= $form->switch(($member['status'] ?? '0') == '1', ['class' => 'form-check-input', 'role' => 'switch', 'name' => 'member[status]', 'value' => '1']) ?>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6 offset-md-2">
				<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
			</div>
		</div>
		<?= form_close() ?>
	</div>
	<div class="card-footer">
		<div class="f-tar"><?= phpvod::copyright() ?></div>
	</div>
</div>

<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
<script type="text/javascript">
	//daterangepicker
	moment.locale('<?=phpvod::$app->language->get_format_language('{lang}-{tag}')?>');
	$('.daterangepicker_input').daterangepicker({
		"singleDatePicker": true,
		"showDropdowns": true,
		"timePicker": true,
		"timePicker24Hour": true,
		"timePickerSeconds": true,
		"autoUpdateInput": false,
		"locale": {
			"cancelLabel": "clear",
		}
	}).on('apply.daterangepicker', function (ev, picker) {
		$(this).val(picker.startDate.format('YYYY-MM-DD HH:mm:ss'));
	}).on('cancel.daterangepicker', function (ev, picker) {
		$(this).val('');
	});
</script>
<?php $this->end_section(); ?>
