<?php
/**
 * @var \venus\view\view $this
 * @var array $module
 */
$this->extend('admin/layout');
$form = \phpvod\widget\form\admin_form::get_instance();
?>
<?php $this->section('content'); ?>

	<div class="card">
		<div class="card-header"><?= lang('admin.config_module') ?></div>
		<div class="card-body">
			<?= form_open(admin_uri('module/config'), [], ['namespace' => $module['namespace']]) ?>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end"><?= lang('pv_module.name') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" value="<?= $module['name'] ?>" disabled="disabled"/>
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="domain">
					<?= lang('pv_module.domain') ?>
					<?= $form->tips(lang('admin.tips_domain', [PUBLIC_PATH])); ?>
				</label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="domain" name="domain" value="<?= old('domain', $module['domain']) ?>"/>
				</div>
			</div>
			<div class="row">
				<div class="col-md-6 offset-md-2">
					<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
				</div>
			</div>
			<?= form_close() ?>
		</div>
		<div class="card-footer">
			<div class="f-tar"><?= phpvod::copyright() ?></div>
		</div>
	</div>

<?php $this->end_section(); ?>