<?php
/**
 * @var \venus\view\view $this
 */
$this->extend('home/layout');
?>

<?php $this->section('content'); ?>
	<div class="container-md pt-5 pb-5">
		<div class="row">
			<?php
			$modules = array_filter(phpvod::$app->module->get_modules(), function ($module) {
				return $module['main'] == '1' && $module['status'] == '1';
			});
			?>
			<?php if (!empty($modules)): ?>
				<?php foreach ($modules as $module): ?>
					<div class="col-md-4">
						<div class="card h-100">
							<div class="card-body">
								<div class="card-title fs-5"><?= $module['name'] ?></div>
								<div class="card-subtitle mb-2"><span class="badge bg-success">v<?= $module['version'] ?></span></div>
								<div class="card-text text-muted"><?= $module['description'] ?></div>
							</div>
							<div class="card-footer border-top-0">
								<a href="<?= home_uri($module['namespace'] . '$/') ?>" class="btn btn-primary" target="_blank">Go</a>
							</div>
						</div>
					</div>
				<?php endforeach; ?>
			<?php else: ?>
				<div class="col">
					<div class="text-center"><?= lang('home.no_accessible_modules') ?></div>
				</div>
			<?php endif; ?>
		</div>
	</div>
<?php $this->end_section(); ?>