<?php
/**
 * @var \venus\view\view $this
 * @var array $member
 */
$this->extend('home/layout');
$this->set_vars([
	'page_title' => lang('member_center_list.buy_member_group'),
]);
?>

<?php $this->section('content'); ?>

<div class="container pb-60">
	<div class="row">
		<div class="col">
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb">
					<li class="breadcrumb-item"><a href="/"><?= lang('app.home') ?></a></li>
					<li class="breadcrumb-item"><?= lang('home.member_center') ?></li>
					<li class="breadcrumb-item active" aria-current="page"><?= lang('member_center_list.buy_member_group') ?></li>
				</ol>
			</nav>
		</div>
	</div>

	<div class="row">
		<div class="col-12 col-md-3 col-lg-3 mb-3">
			<?= \phpvod\widget\member_center_list\member_center_list::get_instance()->set_active_item('buy_member_group')->render() ?>
		</div>

		<div class="col-12 col-md-9 col-lg-9">
			<?php
			$member_group = \phpvod\library\config\config::get_instance()->get('member_group');
			$sale_group = array_filter($member_group, fn($item) => $item['id'] > 3 && !empty($item['sale']));
			?>
			<table class="table align-middle">
				<thead>
				<tr>
					<th colspan="5" class="fs-18 pb-3"><?= lang('member_center_list.buy_member_group') ?></th>
				</tr>
				<tr>
					<th><?= lang('home.member_group') ?></th>
					<th><?= lang('app.label') ?></th>
					<th><?= lang('app.price') ?></th>
					<th><?= lang('app.duration') ?></th>
					<th><?= lang('app.operation') ?></th>
				</tr>
				</thead>
				<tbody>
				<?php
				if (!empty($sale_group)):
					foreach ($sale_group as $group):
						$count = count($group['sale']['price']);
						for ($i = 0; $i < $count; $i++):
							?>
							<tr>
								<?php if ($i == 0): ?>
									<td rowspan="<?= $count ?>"><?= $group['name'] ?></td>
								<?php endif; ?>
								<td><?= $group['sale']['label'][$i] ?></td>
								<td><?= '￥' . number_format(floatval($group['sale']['price'][$i]) / 100, 2, '.', '') ?></td>
								<td><?= $group['sale']['days'][$i] > 0 ? $group['sale']['days'][$i] . lang('home.days') : lang('home.unlimited_time') ?></td>
								<td>
									<button type="button" class="btn btn-outline-primary btn-sm px-1 py-0" onclick="buy_member_group(<?= $group['id'] ?>, <?= $i ?>)">
										<i class="mdi mdi-check-bold me-1"></i>购买
									</button>
								</td>
							</tr>
						<?php endfor; ?>
					<?php endforeach; ?>
				<?php else: ?>
					<tr>
						<td class="text-center" colspan="5"><?= lang('app.no_record') ?></td>
					</tr>
				<?php endif; ?>
				</tbody>
			</table>
		</div>
	</div>
</div>

<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
<script type="text/javascript">
	$.ajaxSetup({headers: <?=csrf_json()?>});
	function buy_member_group(id, index) {
		layer.confirm("<?=lang('home.confirm_buy_member_group')?>", {
			icon: 3,
			title: "<?=lang('app.message')?>",
			btn: ['<?=lang('app.ok')?>', '<?=lang('app.cancel')?>']
		}, function (layer_index) {
			$.post("<?= api_uri('member/buy-member-group')?>", {id, index}, function (r) {
				if (r.hasOwnProperty('msg')) {
					layer.msg(r.msg);
				} else {
					layer.msg('<?=lang('app.unknown_error')?>');
				}
			});
			layer.close(layer_index);
		});
	}
</script>
<?php $this->end_section(); ?>
