<?php
/**
 * @var \venus\view\view $this
 */
$this->extend('home/layout');
$this->set_vars([
	'page_title' => lang('member_center_list.change_password'),
]);
?>

<?php $this->section('content'); ?>
<div class="container pb-60">
	<div class="row">
		<div class="col">
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb">
					<li class="breadcrumb-item"><a href="/"><?= lang('app.home') ?></a></li>
					<li class="breadcrumb-item"><?= lang('home.member_center') ?></li>
					<li class="breadcrumb-item active" aria-current="page"><?= lang('member_center_list.change_password') ?></li>
				</ol>
			</nav>
		</div>
	</div>

	<div class="row">
		<div class="col-12 col-md-3 col-lg-3 mb-3">
			<?= \phpvod\widget\member_center_list\member_center_list::get_instance()->set_active_item('change_password')->render() ?>
		</div>

		<div class="col-12 col-md-9 col-lg-9">
			<form id="change-password-form">
				<table class="table">
					<thead>
					<tr>
						<th colspan="2" class="fs-18 pb-3"><?= lang('member_center_list.change_password') ?></th>
					</tr>
					</thead>
					<tbody>
					<tr>
						<td><label class="col-form-label" for="original-password"><?= lang('home.original_password') ?></label></td>
						<td><input type="password" class="form-control" id="original-password" name="original_password"></td>
					</tr>
					<tr>
						<td><label class="col-form-label" for="new-password"><?= lang('home.new_password') ?></label></td>
						<td><input type="password" class="form-control" id="new-password" name="new_password"></td>
					</tr>
					<tr>
						<td><label class="col-form-label" for="repeat-new-password"><?= lang('home.repeat_new_password') ?></label></td>
						<td><input type="password" class="form-control" id="repeat-new-password" name="repeat_new_password"></td>
					</tr>
					</tbody>
				</table>

				<div class="text-center">
					<button type="button" id="submit-btn" class="btn btn-primary btn-sm"><?= lang('app.submit') ?></button>
				</div>
			</form>

		</div>
	</div>
</div>
<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
<script type="text/javascript">
	$.ajaxSetup({headers: <?=csrf_json()?>});
	$('#submit-btn').click(function () {
		$.post("<?=api_uri('member/change-password')?>", $("#change-password-form").serialize(), function (r) {
			if (r.id === 1)
				document.getElementById("change-password-form").reset();
			
			if (r.hasOwnProperty('msg'))
				layer.msg(r.msg);
			else
				layer.msg('<?=lang('app.unknown_error')?>');
		});
	});
</script>
<?php $this->end_section(); ?>

