<?php
\phpvod\widget\pagination\asset\pagination_client::register();
/**
 * @var \venus\view\view $this
 * @var array $member
 */
$this->extend('home/layout');
$this->set_vars([
	'page_title' => lang('member_center_list.my_transaction_history'),
]);
?>

<?php $this->section('content'); ?>

<div class="container pb-60">
	<div class="row">
		<div class="col">
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb">
					<li class="breadcrumb-item"><a href="/"><?= lang('app.home') ?></a></li>
					<li class="breadcrumb-item"><?= lang('home.member_center') ?></li>
					<li class="breadcrumb-item active" aria-current="page"><?= lang('member_center_list.my_transaction_history') ?></li>
				</ol>
			</nav>
		</div>
	</div>

	<div class="row">
		<div class="col-12 col-md-3 col-lg-3 mb-3">
			<?= \phpvod\widget\member_center_list\member_center_list::get_instance()->set_active_item('my_transaction_history')->render() ?>
		</div>

		<div class="col-12 col-md-9 col-lg-9">
			<table class="table table-hover" id="transaction-history-table">
				<thead>
				<tr>
					<th colspan="5" class="fs-18 pb-3"><?= lang('member_center_list.my_transaction_history') ?></th>
				</tr>
				<tr>
					<th><?= lang('pv_transaction_history.type') ?></th>
					<th><?= lang('pv_transaction_history.action') ?></th>
					<th><?= lang('pv_transaction_history.related') ?></th>
					<th><?= lang('pv_transaction_history.amount') ?></th>
					<th class="w-25"><?= lang('pv_transaction_history.created_at') ?></th>
				</tr>
				</thead>
				<tbody>
				<tr>
					<td class="text-center" colspan="5" id="tips"><?= lang('app.loading') ?></td>
				</tr>
				</tbody>
			</table>
			<div id="pagination-container" class="mt-4"></div>
		</div>
	</div>
</div>

<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
<script type="text/javascript">
	function get_data(limit, page) {
		$.get('<?=api_uri('member/my-transaction-history') ?>', {limit, page}, function (r) {
			if (r.id === 1) {
				if (Array.isArray(r.data.data) && r.data.data.length >= 1) {
					let tbody = $('#transaction-history-table tbody');
					tbody.html('');
					for (let row of r.data.data) {
						row['type_name'] = row['type'] == 1 ? '<span><?=lang('app.income')?></span>' : '<span><?=lang('app.expenditure')?></span>';
						row['amount'] = row['type'] == 1 ? `<span class="text-success">${row['amount']}</span>` : `<span class="text-danger">-${row['amount']}</span>`;
						if(row['related'] == null) row['related'] = '-';
						tbody.append(`<tr><td>${row['type_name']}</td><td>${row['action']}</td><td>${row['related']}</td><td>${row['amount']}</td><td>${row['created_at']}</td></tr>`);
					}
					//pagination
					if (r.data.total > r.data.limit) {
						let url_pattern = `javascript:get_data(${r.data.limit},(:num))`;
						let instance = new pagination(r.data.total, r.data.limit, r.data.page, url_pattern);
						instance.render_bootstrap('pagination-container');
					}
				} else {
					$('#tips').text('<?= lang('app.no_record')?>');
				}
			} else if (r.hasOwnProperty('msg')) {
				layer.msg(r.msg);
			} else {
				layer.msg('<?=lang('app.unknown_error')?>');
			}
		});
	}
	get_data(10, 1);
</script>
<?php $this->end_section(); ?>
