<?php
/**
 * @var \venus\view\view $this
 * @var array $member
 */
$this->extend('home/layout');
$this->set_vars([
	'page_title' => lang('member_center_list.profile'),
]);
?>

<?php $this->section('content'); ?>

<div class="container pb-60">
	<div class="row">
		<div class="col">
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb">
					<li class="breadcrumb-item"><a href="/"><?= lang('app.home') ?></a></li>
					<li class="breadcrumb-item"><?= lang('home.member_center') ?></li>
					<li class="breadcrumb-item active" aria-current="page"><?= lang('member_center_list.profile') ?></li>
				</ol>
			</nav>
		</div>
	</div>

	<div class="row">
		<div class="col-12 col-md-3 col-lg-3 mb-3">
			<?= \phpvod\widget\member_center_list\member_center_list::get_instance()->set_active_item('profile')->render() ?>
		</div>

		<div class="col-12 col-md-9 col-lg-9">
			<table class="table">
				<thead>
				<tr>
					<th colspan="2" class="fs-18 pb-3"><?= lang('member_center_list.profile') ?></th>
				</tr>
				</thead>
				<tbody>
				<tr>
					<td class="w-25">ID</td>
					<td class="text-muted"><?= $member['id'] ?></td>
				</tr>
				<tr>
					<td><?= lang('pv_member.username') ?></td>
					<td class="text-muted"><?= $member['username'] ?></td>
				</tr>
				<tr>
					<td><?= lang('pv_member.group_name') ?></td>
					<td class="text-muted">
						<?= $member['group_name'] ?>
						<?php if (!is_null($member['group_expiry'])): ?>
							（<?= lang('home.expiration_time') ?>：<?= timetostr($member['group_expiry']) ?>）
						<?php endif; ?>
					</td>
				</tr>
				<tr>
					<td><?= lang('home.avatar') ?></td>
					<td class="text-muted">
						<a href="https://cravatar.com/" target="_blank" data-bs-toggle="tooltip" data-bs-placement="right" title="<?= lang('home.click_change_avatar') ?>">
							<img src="<?= \phpvod\widget\cravatar::get_instance()->set_size(40)->avatar($member['email']) ?>"/>
						</a>
					</td>
				</tr>
				<tr>
					<td><?= lang('pv_member.balance') ?></td>
					<td class="text-muted"><?= number_format($member['balance'] / 100, 2, '.', '') ?></td>
				</tr>
				<tr>
					<td><?= lang('pv_member.email') ?></td>
					<td class="text-muted"><?= $member['email'] ?? '-' ?></td>
				</tr>
				<tr>
					<td><?= lang('pv_member.phone') ?></td>
					<td class="text-muted"><?= $member['phone'] ?? '-' ?></td>
				</tr>
				<tr>
					<td><?= lang('pv_member.created_at') ?></td>
					<td class="text-muted"><?= timetostr($member['created_at']) ?></td>
				</tr>
				<tr>
					<td><?= lang('pv_member.login_at') ?></td>
					<td class="text-muted"><?= !is_null($member['login_at']) ? timetostr($member['login_at']) : '-' ?></td>
				</tr>
				<tr>
					<td><?= lang('pv_member.login_ip') ?></td>
					<td class="text-muted"><?= !is_null($member['login_ip']) ? $member['login_ip'] : '-' ?></td>
				</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>

<?php $this->end_section(); ?>
