<?php
/**
 * @var \venus\view\view $this
 */
$this->extend('home/layout');
$this->set_vars([
	'page_title' => lang('home.reset_password'),
]);
?>

<?php $this->section('content'); ?>

<div class="reset-password">
	<div class="container-md pt-5 pb-5">
		<div class="row">
			<div class="col">

				<ul class="nav nav-pills nav-fill bar-step">
					<li class="nav-item">
						<span class="nav-link active" aria-current="page"><?= lang('home.step1') ?></span>
					</li>
					<li class="nav-item">
						<span class="nav-link"><?= lang('home.step2') ?></span>
					</li>
					<li class="nav-item">
						<span class="nav-link"><?= lang('home.step3') ?></span>
					</li>
					<li class="nav-item">
						<span class="nav-link"><?= lang('home.step4') ?></span>
					</li>
				</ul>

			</div>
		</div>

		<div class="row">
			<div class="col">

				<div class="content-step pt-5">
					<!-- profile -->
					<div>
						<table class="table">
							<tbody>
							<tr>
								<td class="w-25 text-end"><label for="account" class="col-form-label col-form-label-sm"><?= lang('app.account') ?></label></td>
								<td><input type="text" id="account" class="form-control form-control-sm" name="account" placeholder="<?= lang('home.account_tips') ?>"></td>
								<td class="w-25"></td>
							</tr>
							<tr>
								<td class="text-end"><label for="captcha" class="col-form-label col-form-label-sm"><?= lang('app.captcha') ?></label></td>
								<td>
									<div class="input-group">
										<input type="text" id="captcha" class="form-control form-control-sm" name="captcha">
										<div class="input-group-text p-0">
											<img src="captcha/index/120/29" style="cursor: pointer; border-top-right-radius: .3rem; border-bottom-right-radius: .3rem" onclick="this.src='captcha/index/120/29?r='+Math.random();" title="<?= lang('app.click_refresh') ?>" alt="captcha">
										</div>
									</div>
								</td>
								<td></td>
							</tr>
							</tbody>
						</table>
						<div class="text-center">
							<button type="button" id="btn1" class="btn btn-primary btn-sm"><?= lang('home.next_step') ?></button>
						</div>
					</div>

					<!-- auth -->
					<div class="d-none">
						<table class="table">
							<tbody>
							<tr>
								<td class="w-25 text-end"><label class="col-form-label col-form-label-sm"><?= lang('app.email') ?></label></td>
								<td><input type="text" class="form-control form-control-sm" name="email" value="" disabled="disabled" readonly="readonly"/></td>
								<td class="w-25"></td>
							</tr>
							<tr>
								<td class="text-end"><label for="email-code" class="col-form-label col-form-label-sm"><?= lang('app.email_code') ?></label></td>
								<td>
									<div class="input-group">
										<input type="text" id="email-code" class="form-control form-control-sm" name="email_code">
										<input type="button" id="send-email-code" class="btn btn-secondary btn-sm" value="<?= lang('app.send_code') ?>"/>
									</div>
								</td>
								<td></td>
							</tr>
							</tbody>
						</table>
						<div class="text-center">
							<button type="button" id="btn2" class="btn btn-primary btn-sm"><?= lang('home.next_step') ?></button>
						</div>
					</div>

					<!-- reset -->
					<div class="d-none">
						<table class="table">
							<tbody>
							<tr>
								<td class="w-25 text-end"><label for="new-password" class="col-form-label col-form-label-sm"><?= lang('home.new_password') ?></label></td>
								<td><input type="password" id="new-password" class="form-control form-control-sm" name="new_password"/></td>
								<td class="w-25"></td>
							</tr>
							<tr>
								<td class="text-end"><label for="repeat-new-password" class="col-form-label col-form-label-sm"><?= lang('home.repeat_new_password') ?></label></td>
								<td><input type="password" id="repeat-new-password" class="form-control form-control-sm" name="repeat_new_password"></td>
								<td></td>
							</tr>
							</tbody>
						</table>
						<div class="text-center">
							<button type="button" id="btn3" class="btn btn-primary btn-sm"><?= lang('home.next_step') ?></button>
						</div>
					</div>

					<!-- finish -->
					<div class="d-none">
						<div class="alert alert-primary text-center p-5">
							<i class="mdi mdi-check-bold"></i>
							<?= lang('home.password_changed_successfully') ?>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>
</div>

<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
<script type="text/javascript">
	$.ajaxSetup({headers: <?=csrf_json()?>});
	let api_uri = "<?=api_uri('member/reset-password')?>";

	function show_step(n) {
		$(".bar-step>li>span").removeClass('active');
		$(".bar-step>li:eq(" + n + ")>span").addClass('active');
		$(".content-step>div").addClass('d-none');
		$(".content-step>div:eq(" + n + ")").removeClass('d-none');
	}

	//step1
	$("#btn1").click(function () {
		let account = $("input[name='account']").val();
		let captcha = $("input[name='captcha']").val();
		$.post(api_uri, {action: "profile", account: account, captcha: captcha}, function (r) {
			if (r.id === 0) {
				layer.msg(r.msg);
			} else if (r.id === 1) {
				$("input[name='email']").val(r.data.email);
				show_step(1);
			}
		});
	});

	//step2
	$("#btn2").click(function () {
		let email_code = $("input[name='email_code']").val();
		$.post(api_uri, {action: "auth", email_code: email_code}, function (r) {
			if (r.id === 0) {
				layer.msg(r.msg);
			} else if (r.id === 1) {
				show_step(2);
			}
		});
	});

	//step3
	$("#btn3").click(function () {
		let new_password = $("input[name='new_password']").val();
		let repeat_new_password = $("input[name='repeat_new_password']").val();
		$.post(api_uri, {action: "reset", new_password: new_password, repeat_new_password: repeat_new_password}, function (r) {
			if (r.id === 0) {
				layer.msg(r.msg);
			} else if (r.id === 1) {
				show_step(3);
			}
		});
	});

	//发送邮件验证码
	$('#send-email-code').click(function () {
		let btn = $(this);
		btn.attr('disabled', true);
		btn.val('<?=lang('app.sending')?>');
		$.post("<?=api_uri('member/send_email_code/reset_password')?>", function (r) {
			if (r.hasOwnProperty('id') && r.hasOwnProperty('msg')) {
				if (r.id === 1) { //发送成功
					layer.msg(r.msg);
					//倒计时
					let s = <?=\phpvod\library\verify_manager::get_instance(phpvod::$app->cache->get_handler())->get_interval()?>;
					let interval = setInterval(function () {
						s--;
						btn.val(s + 's');
						if (s <= 0) {
							clearInterval(interval);
							btn.val('<?=lang('app.send_code')?>');
							btn.removeAttr('disabled');
						}
					}, 1000);
				} else { //发送失败
					btn.val('<?=lang('app.send_code')?>');
					btn.removeAttr('disabled');
					layer.msg(r.msg);
				}
			} else { //其它异常
				btn.val('<?=lang('app.send_code')?>');
				btn.removeAttr('disabled');
				layer.msg('<?=lang('app.unknown_error')?>');
			}
		});
	});

</script>
<?php $this->end_section(); ?>

