<?php
/**
 * @var \venus\view\view $this
 */
$this->extend('install/layout');
//系统环境
$pdo_mysql = extension_loaded('pdo_mysql');
$gd = extension_loaded('gd');
$curl = extension_loaded('curl');
$zip = extension_loaded('zip');
$openssl = extension_loaded('openssl');
$sockets = extension_loaded('sockets');
$mbstring = extension_loaded('mbstring');
$ctype = extension_loaded('ctype');
$simplexml = extension_loaded('simplexml');
//缓存组件
$memcached = extension_loaded('memcached');
$memcache = extension_loaded('memcache');
$redis = extension_loaded('redis');
$wincache = extension_loaded('wincache');

$support = '<span class="f-green">支持</span>';
$not_support = '<span class="f-red">不支持</span>';
?>

<?php $this->section('content'); ?>
	<div class="step-title">环境检测</div>
	<table class="table-border f-w98 f-m0a f-tac">
		<tr>
			<td class="f-w40">PHP版本 <span class="f-red">*</span></td>
			<?php if (version_compare(PHP_VERSION, '8.0') >= 0): ?>
				<td><span class="f-green">符合要求</span></td>
			<?php else: ?>
				<td><span class="f-red">只支持PHP8.0及以上版本, 当前版本为PHP<?= PHP_VERSION ?></span></td>
			<?php endif; ?>
		</tr>
		<tr>
			<td>pdo_mysql <span class="f-red">*</span></td>
			<td><?= $pdo_mysql ? $support : $not_support ?></td>
		</tr>
		<tr>
			<td>gd <span class="f-red">*</span></td>
			<td><?= $gd ? $support : $not_support ?></td>
		</tr>
		<tr>
			<td>curl <span class="f-red">*</span></td>
			<td><?= $curl ? $support : $not_support ?></td>
		</tr>
		<tr>
			<td>zip <span class="f-red">*</span></td>
			<td><?= $zip ? $support : $not_support ?></td>
		</tr>
		<tr>
			<td>openssl <span class="f-red">*</span></td>
			<td><?= $openssl ? $support : $not_support ?></td>
		</tr>
		<tr>
			<td>socket <span class="f-red">*</span></td>
			<td><?= $sockets ? $support : $not_support ?></td>
		</tr>
		<tr>
			<td>mbstring <span class="f-red">*</span></td>
			<td><?= $mbstring ? $support : $not_support ?></td>
		</tr>
		<tr>
			<td>ctype <span class="f-red">*</span></td>
			<td><?= $ctype ? $support : $not_support ?></td>
		</tr>
		<tr>
			<td>simplexml <span class="f-red">*</span></td>
			<td><?= $simplexml ? $support : $not_support ?></td>
		</tr>
	</table>
	<br/>
	<div class="step-title">缓存组件</div>
	<table class="table-border f-w98 f-m0a f-tac">
		<tr>
			<td class="f-w40">memcached</td>
			<td><?= $memcached ? $support : $not_support; ?></td>
		</tr>
		<tr>
			<td>memcache</td>
			<td><?= $memcache ? $support : $not_support; ?></td>
		</tr>
		<tr>
			<td>redis</td>
			<td><?= $redis ? $support : $not_support; ?></td>
		</tr>
		<tr>
			<td>wincache</td>
			<td><?= $wincache ? $support : $not_support; ?></td>
		</tr>
	</table>

	<?php if (version_compare(PHP_VERSION, '8.0') == -1 || !$pdo_mysql || !$gd || !$curl || !$zip || !$openssl || !$sockets || !$mbstring || !$ctype || !$simplexml): ?>
		<div class="f-tac f-mt20"><input type="button" value="环境不符合要求，点击返回" onclick="history.go(-1)"></div>
	<?php else: ?>
		<div class="f-tac f-mt20">
			<input type="button" value="下一步" onclick="window.location='/install/check-writable'">
		</div>
	<?php endif; ?>
<?php $this->end_section(); ?>