<?php
/**
 * @var \venus\view\view $this
 */
$this->extend('install/layout');
$check_list = array(
	'writable',
	'writable/cache',
	'writable/cache/cache',
	'writable/cache/config',
	'writable/config',
	'writable/log',
	'writable/session',
	'writable/temp',
	'writable/upload',
);
$not_exists = '<span class="f-red">目录或文件不存在</span>';
$is_writable = '<span class="f-green">可写</span>';
$not_writable = '<span class="f-red">不可写</span>';
$check_pass = true;
?>

<?php $this->section('content'); ?>
	<div class="step-title">检查目录和文件是否可写</div>
	<table class="table-border f-w98 f-m0a f-tac">
		<?php foreach ($check_list as $item): ?>
			<tr>
				<td class="f-w40"><?= $item ?></td>
				<td>
					<?php
					$filename = ROOT_PATH . $item;
					if (!file_exists($filename)) {
						echo $not_exists;
						$check_pass = false;
					} elseif (is_writable($filename)) {
						echo $is_writable;
					} else {
						echo $not_writable;
						$check_pass = false;
					}
					?>
				</td>
			</tr>
		<?php endforeach; ?>
	</table>
	<?php if (!$check_pass): ?>
		<div class="f-tac f-mt20"><input type="button" value="部分目录或文件没有写权限，点击返回" onclick="history.go(-1)"></div>
	<?php else: ?>
	<div class="f-tac f-mt20">
		<input type="button" value="下一步" onclick="window.location='/install/configure-database'">
	</div>
	<?php endif; ?>
<?php $this->end_section(); ?>