<?php
\phpvod\view\install\jquery_validation::register();
/**
 * @var \venus\view\view $this
 */
$this->extend('install/layout');
?>

<?php $this->section('content'); ?>
<form id="form" method="post" action='/install/configure-database'>
	<div class="step-title">MySQL数据库配置</div>
	<table class="table-border f-w98 f-m0a">
		<tr>
			<td class="f-w40">数据库地址</td>
			<td><input type="text" name="host" value="<?= old('host', 'localhost') ?>"></td>
		</tr>
		<tr>
			<td>端口</td>
			<td><input type="text" name="port" value="<?= old('port', '3306') ?>"></td>
		</tr>
		<tr>
			<td>数据库用户名</td>
			<td><input type="text" name="username" value="<?= old('username', '') ?>"></td>
		</tr>
		<tr>
			<td>数据库密码</td>
			<td><input type="text" name="password" value="<?= old('password', '') ?>"></td>
		</tr>
		<tr>
			<td>数据库名</td>
			<td><input type="text" name="dbname" value="<?= old('dbname', 'phpvod') ?>"></td>
		</tr>
		<tr>
			<td>表前缀</td>
			<td><input type="text" name="prefix" value="<?= old('prefix', 'pv_') ?>"></td>
		</tr>
	</table>

	<div class="f-tac f-mt20"><input type="submit" value="下一步"></div>
</form>
<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
<script type="text/javascript">
	$("#form").validate({
		rules: {
			host: "required",
			port: {
				required: true,
				range: [1, 65535]
			},
			username: "required",
			dbname: "required",
			prefix: "required"
		},
		messages: {
			host: "数据库地址不能为空",
			port: {
				required: "端口号不能为空",
				range: "无效的端口号"
			},
			username: "数据库用户名不能为空",
			dbname: "数据库名不能为空",
			prefix: "表前缀不能为空"
		},
		errorPlacement: function (error, element) {
			error.appendTo(element.parent());
		},
		onkeyup: false
	});
</script>
<?php $this->end_section(); ?>
