<?php
/**
 * @var \venus\view\view $this
 */
$this->extend('install/layout');
?>

<?php $this->section('content'); ?>
<?php if ($already_installed): ?>
	<div class="step-title">数据库已存在</div>
	<div class="f-tac">
		数据库中已经安装过PHPVOD，继续安装将<span class="f-red">清除原有数据</span>，使用其它数据库请返回重新设置。
	</div>
	<div class="f-tac f-mt20">
		<input type="button" id="continue-install" value="继续安装">
		<input onclick='history.go(-1)' type="button" value="返回上一步">
	</div>
<?php else: ?>
	<div class="step-title">准备就绪</div>
	<div class="f-tac f-mt20">
		<input type="button" id="start-install" value="开始安装" onclick="install()">
		<input onclick='history.go(-1)' type="button" value="返回上一步">
	</div>
<?php endif; ?>
<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
<script type="text/javascript">
	$("#continue-install").click(function (){
		layer.confirm("继续安装将清除原有数据，是否继续？", {
			icon: 3,
			title: "询问",
			btn: ['继续', '取消']
		}, function () {
			install();
		});
	});

	function install() {
		layer.msg('正在安装，请稍候...', {icon: 16, time: 0});
		$.post("/install/install", function (r) {
			layer.close(layer.index);
			if (r.id === 1) {
				window.location = '/install/set-admin';
			} else if (r.hasOwnProperty('msg'))
				layer.msg(r.msg);
			else
				layer.msg('未知错误');
		});
	}
</script>
<?php $this->end_section(); ?>
