-- ----------------------------
-- Table structure for pv_admin
-- ----------------------------
DROP TABLE IF EXISTS `pv_admin`;
CREATE TABLE `pv_admin`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `role_id` int(10) UNSIGNED NOT NULL COMMENT '角色ID',
  `username` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '用户名',
  `password_hash` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '密码hash',
  `email` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT 'email',
  `phone` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '手机号',
  `status` tinyint(3) UNSIGNED NOT NULL DEFAULT 1 COMMENT '用户状态：0禁用，1启用',
  `created_at` int(10) UNSIGNED NOT NULL COMMENT '创建时间',
  `login_at` int(10) UNSIGNED NULL DEFAULT NULL COMMENT '最后登录时间',
  `login_ip` varchar(15) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '最后登录ip',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `role_id`(`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for pv_admin_role
-- ----------------------------
DROP TABLE IF EXISTS `pv_admin_role`;
CREATE TABLE `pv_admin_role`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '名称',
  `permissions` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '权限集，-1表示所有权限',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of pv_admin_role
-- ----------------------------
INSERT INTO `pv_admin_role` VALUES (1, '管理员', '-1');

-- ----------------------------
-- Table structure for pv_backend_menu
-- ----------------------------
DROP TABLE IF EXISTS `pv_backend_menu`;
CREATE TABLE `pv_backend_menu`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `parent_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '上级菜单ID',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '名称',
  `route` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '路由',
  `icon` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '图标',
  `sort` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '排序',
  `display` tinyint(1) UNSIGNED NOT NULL DEFAULT 1 COMMENT '是否显示：1显示，0不显示',
  `namespace` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '模块名字空间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 42 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of pv_backend_menu
-- ----------------------------
INSERT INTO `pv_backend_menu` VALUES (1, 0, 'home', 'main/index', 'home-city-outline', 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (2, 0, 'system_settings', '', 'cog', 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (3, 2, 'site_settings', 'config/site', '', 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (4, 2, 'mail_settings', 'config/mail', '', 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (5, 2, 'module_management', 'module/index', '', 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (6, 2, 'language_management', 'language/index', NULL, 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (7, 2, 'template_management', 'template/index', NULL, 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (20, 0, 'admin', '', 'account-supervisor', 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (21, 20, 'admin', 'admin/index', '', 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (22, 20, 'admin_role', 'admin-role/index', '', 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (30, 0, 'member', '', 'account', 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (31, 30, 'member', 'member/index', NULL, 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (32, 30, 'member_group', 'member-group/index', NULL, 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (40, 0, 'information', '', 'message-text', 0, 1, NULL);
INSERT INTO `pv_backend_menu` VALUES (41, 40, 'transaction_history', 'transaction-history/index', NULL, 0, 1, NULL);

-- ----------------------------
-- Table structure for pv_config
-- ----------------------------
DROP TABLE IF EXISTS `pv_config`;
CREATE TABLE `pv_config`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '类型',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '键',
  `value` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '值',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 62 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of pv_config
-- ----------------------------
INSERT INTO `pv_config` VALUES (1, 'site', 'site_status', '1');
INSERT INTO `pv_config` VALUES (2, 'site', 'site_main_module', '');
INSERT INTO `pv_config` VALUES (3, 'site', 'site_env', 'prod');
INSERT INTO `pv_config` VALUES (4, 'site', 'site_name', 'phpvod 视频点播系统');
INSERT INTO `pv_config` VALUES (5, 'site', 'site_datetime_zone', 'Asia/Shanghai');
INSERT INTO `pv_config` VALUES (6, 'site', 'site_meta_keyword', 'pv,phpvod,视频点播系统');
INSERT INTO `pv_config` VALUES (7, 'site', 'site_meta_description', 'phpvod 视频点播系统');
INSERT INTO `pv_config` VALUES (8, 'site', 'site_miit_number', '');
INSERT INTO `pv_config` VALUES (9, 'site', 'site_mps_number', '');
INSERT INTO `pv_config` VALUES (21, 'mail', 'mail_protocol', 'mail');
INSERT INTO `pv_config` VALUES (22, 'mail', 'mail_smtp_host', '');
INSERT INTO `pv_config` VALUES (23, 'mail', 'mail_smtp_port', '');
INSERT INTO `pv_config` VALUES (24, 'mail', 'mail_smtp_user', '');
INSERT INTO `pv_config` VALUES (25, 'mail', 'mail_smtp_pass', '');
INSERT INTO `pv_config` VALUES (26, 'mail', 'mail_sendmail_path', '');
INSERT INTO `pv_config` VALUES (27, 'mail', 'mail_smtp_name', '');
INSERT INTO `pv_config` VALUES (28, 'mail', 'mail_qmail_path', '');
INSERT INTO `pv_config` VALUES (29, 'mail', 'mail_smtp_secure', '');
INSERT INTO `pv_config` VALUES (30, 'register', 'allow_register', '1');
INSERT INTO `pv_config` VALUES (31, 'register', 'register_check', '0');
INSERT INTO `pv_config` VALUES (32, 'register', 'verify_email_address', '0');
INSERT INTO `pv_config` VALUES (40, 'cache', 'cache_handler', 'file');
INSERT INTO `pv_config` VALUES (41, 'cache', 'redis_config', '');
INSERT INTO `pv_config` VALUES (42, 'cache', 'memcached_config', '');
INSERT INTO `pv_config` VALUES (50, 'background', 'admin_login_background', 'class:bing');
INSERT INTO `pv_config` VALUES (60, 'template', 'phpvod', 'home');
INSERT INTO `pv_config` VALUES (61, 'template', 'module', '{\"video\":\"home\"}');

-- ----------------------------
-- Table structure for pv_language
-- ----------------------------
DROP TABLE IF EXISTS `pv_language`;
CREATE TABLE `pv_language`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '语言名称',
  `directory` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '目录名',
  `default_language` tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否为缺省语言',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of pv_language
-- ----------------------------
INSERT INTO `pv_language` VALUES (1, '简体中文', 'zh-CN', 1);

-- ----------------------------
-- Table structure for pv_member
-- ----------------------------
DROP TABLE IF EXISTS `pv_member`;
CREATE TABLE `pv_member`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `group_id` int(10) UNSIGNED NOT NULL COMMENT '会员组ID',
  `group_expiry` int(10) UNSIGNED NULL DEFAULT NULL COMMENT '会员组过期时间，null永不过期',
  `change_to` int(10) UNSIGNED NOT NULL DEFAULT 3 COMMENT '过期后使用的会员组ID',
  `username` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '用户名',
  `password_hash` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '密码hash',
  `email` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT 'email',
  `phone` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '手机号',
  `balance` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '余额，人民币分',
  `status` tinyint(3) UNSIGNED NOT NULL DEFAULT 1 COMMENT '用户状态：0禁用，1启用',
  `created_at` int(10) UNSIGNED NOT NULL COMMENT '创建时间',
  `login_at` int(10) UNSIGNED NULL DEFAULT NULL COMMENT '最后登录时间',
  `login_ip` varchar(15) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '最后登录ip',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for pv_member_group
-- ----------------------------
DROP TABLE IF EXISTS `pv_member_group`;
CREATE TABLE `pv_member_group`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '名称',
  `sale` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '售卖信息',
  `permissions` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL COMMENT '权限集(JSON)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of pv_member_group
-- ----------------------------
INSERT INTO `pv_member_group` VALUES (1, '游客', NULL, '{\"video:allow_play_member_video\":\"0\",\"video:video_purchase_discount\":\"1\",\"comment:allow_post_comment\":\"1\",\"comment:need_review\":\"0\"}');
INSERT INTO `pv_member_group` VALUES (2, '待审核会员', NULL, '{\"video:allow_play_member_video\":\"0\",\"video:video_purchase_discount\":\"1\",\"comment:allow_post_comment\":\"1\",\"comment:need_review\":\"0\"}');
INSERT INTO `pv_member_group` VALUES (3, '普通会员', NULL, '{\"video:allow_play_member_video\":\"0\",\"video:video_purchase_discount\":\"1\",\"comment:allow_post_comment\":\"1\",\"comment:need_review\":\"0\"}');
INSERT INTO `pv_member_group` VALUES (4, 'vip会员', '{\"label\":[\"包月\",\"包季\",\"包年\",\"终身\"],\"price\":[3000,8000,30000,90000],\"days\":[30,90,365,0]}', '{\"video:allow_play_member_video\":\"1\",\"video:video_purchase_discount\":\"0.7\",\"comment:allow_post_comment\":\"1\",\"comment:need_review\":\"0\"}');

-- ----------------------------
-- Table structure for pv_module
-- ----------------------------
DROP TABLE IF EXISTS `pv_module`;
CREATE TABLE `pv_module`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '名称',
  `namespace` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '名字空间',
  `segment` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT 'URL分段',
  `directory` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '目录名',
  `main` tinyint(3) UNSIGNED NOT NULL COMMENT '是否允许设置为主模块',
  `version` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '版本号',
  `author` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '作者',
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '描述',
  `website` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '网址',
  `status` tinyint(3) UNSIGNED NOT NULL DEFAULT 1 COMMENT '状态：1启用；0禁用',
  `domain` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '域名',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `namespace`(`namespace`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for pv_transaction_history
-- ----------------------------
DROP TABLE IF EXISTS `pv_transaction_history`;
CREATE TABLE `pv_transaction_history`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `member_id` int(10) UNSIGNED NOT NULL COMMENT '会员id',
  `type` tinyint(3) UNSIGNED NOT NULL COMMENT '类型：1收入，2支出',
  `action` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '动作',
  `related` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '相关名称',
  `amount` int(10) UNSIGNED NOT NULL COMMENT '金额',
  `created_at` int(10) UNSIGNED NOT NULL COMMENT '时间',
  `data` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL COMMENT '数据',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `member_id`(`member_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci ROW_FORMAT = Dynamic;