<?php

namespace phpvod\widget\background\class;

use phpvod\widget\background\background;

class wallpaper360 implements background
{
	protected string $gateway = 'http://wallpaper.apc.360.cn/index.php?c=WallPaper&a=getAppsByCategory&cid={cid}&start={start}&count=1&from=360chrome';
	protected ?string $image = null;
	protected int $cid = 36;

	/**
	 * __construct
	 * @param int $cid 壁纸类别
	 * @see http://cdn.apc.360.cn/index.php?c=WallPaper&a=getAllCategories&from=360chrome
	 */
	public function __construct(int $cid = 36)
	{
		$this->cid = $cid;
	}

	public function get_background(): ?string
	{
		try {
			$start = random_int(0, 1000);
		} catch (\Exception $e) {
			$start = 0;
		}
		$this->gateway = strtr($this->gateway, ['{cid}' => $this->cid, '{start}' => $start]);
		$result = @file_get_contents($this->gateway);
		if ($result !== false) {
			$json = json_decode($result, true);
			if (isset($json['data'][0]['url'])) {
				$image_url = $json['data'][0]['url'];
				return 'url(' . $image_url . ')';
			}
		}

		return null;
	}
}