<?php

namespace phpvod\widget;

/**
 * class cravatar
 * https://cravatar.cn/
 */
class cravatar
{
	public static ?cravatar $instance = null;

	/**
	 * @var string 网关地址
	 */
	private string $gateway = 'https://cravatar.cn/avatar/';

	/**
	 * @var int 头像尺寸
	 */
	private int $size = 80;

	/**
	 * @var string 默认头像
	 */
	private string $default = 'mp';

	private function __construct()
	{
	}

	private function __clone()
	{
	}

	/**
	 * @param int $size
	 * @return static
	 */
	public function set_size(int $size): static
	{
		$this->size = $size;
		return $this;
	}

	/**
	 * @param string $default
	 * @return static
	 */
	public function set_default(string $default): static
	{
		$this->default = $default;
		return $this;
	}

	public static function get_instance(): ?cravatar
	{
		if (is_null(self::$instance)) {
			self::$instance = new cravatar();
		}
		return self::$instance;
	}

	public function avatar(?string $email): string
	{
		$hash = empty($email) ? '' : md5(strtolower(trim($email)));
		return $this->gateway . $hash . '?d=' . $this->default . '&s=' . $this->size;
	}
}