<?php
/**
 * @var \phpvod\widget\pagination\pagination $pagination
 */
$align_class = match ($pagination->get_align()) {
	1 => ' justify-content-center',
	2 => ' justify-content-end',
	default => ' justify-content-start'
};
?>

<ul class="pagination<?= $align_class ?>">

	<?php if ($pagination->has_prev()): ?>
		<li class="page-item"><a class="page-link" href="<?= htmlspecialchars($pagination->get_prev_url()) ?>"><?= lang('pagination.prev') ?></a></li>
	<?php endif; ?>

	<?php foreach ($pagination->get_page_data() as $page): ?>
		<?php if (!is_null($page['url'])): ?>
			<li class="page-item<?= $page['is_current'] ? ' active' : '' ?>">
				<a class="page-link" href="<?= $page['is_current'] ? 'javascript:;' : htmlspecialchars($page['url']) ?>"><?= $page['num'] ?></a>
			</li>
		<?php else: ?>
			<li class="page-item disabled"><span class="page-link"><?= $page['num'] ?></span></li>
		<?php endif; ?>
	<?php endforeach; ?>

	<?php if ($pagination->has_next()): ?>
		<li class="page-item"><a class="page-link" href="<?= htmlspecialchars($pagination->get_next_url()) ?>"><?= lang('pagination.next') ?></a></li>
	<?php endif; ?>

</ul>