<?php
/**
 * @var \phpvod\widget\pagination\pagination $pagination
 */
?>
<ul class="pagination-widget">

	<?php if ($pagination->has_prev()): ?>
		<li class="item"><a onclick="<?= htmlspecialchars($pagination->get_prev_url()) ?>"><?= lang('pagination.prev') ?></a></li>
	<?php endif; ?>

	<?php foreach ($pagination->get_page_data() as $page): ?>
		<?php if (!is_null($page['url'])): ?>
			<li class="item<?= $page['is_current'] ? ' active' : '' ?>">
				<a onclick="<?= $page['is_current'] ? 'javascript:;' : htmlspecialchars($page['url']) ?>"><?= $page['num'] ?></a>
			</li>
		<?php else: ?>
			<li class="item"><span><?= $page['num'] ?></span></li>
		<?php endif; ?>
	<?php endforeach; ?>

	<?php if ($pagination->has_next()): ?>
		<li class="item"><a onclick="<?= htmlspecialchars($pagination->get_next_url()) ?>"><?= lang('pagination.next') ?></a></li>
	<?php endif; ?>

</ul>