<?php
namespace venus\application;

use venus\cache\cache;
use venus\database\database;
use venus\debug\timer;
use venus\event\event;
use venus\filter\filter;
use venus\http\curl_request;
use venus\http\request;
use venus\http\response;
use venus\language\language;
use venus\module\module;
use venus\router\router;
use venus\validation\validation;
use venus\view\view;

class config extends \venus\base\config
{
	/**
	 * Application实例组件的类名映射
	 * @var array $class_map
	 * 格式：<pre><code>
	 * [
	 *      'component name' => 'class name',
	 * ]</code></pre>
	 */
	public array $class_map = [];

	protected array $core_class_map = [
		'request' => request::class,
		'response' => response::class,
		'curl_request' => curl_request::class,
		'database' => database::class,
		'router' => router::class,
		'filter' => filter::class,
		'validation' => validation::class,
		'language' => language::class,
		'module' => module::class,
		'view' => view::class,
		'event' => event::class,
		'cache' => cache::class,
		'timer' => timer::class
	];

	/**
	 * config constructor.
	 */
	public function __construct()
	{
		$this->class_map = array_merge($this->core_class_map, $this->class_map);
	}
}