<?php

namespace venus\application\exception;

class controller_exception extends \Exception
{
	public const NOT_EXISTS_CODE = 1;
	public const INVALID_METHOD = 2;
	public const INTERRUPT = 3;

	public static function for_not_exists(string $class): static
	{
		return new static('Controller is not exists (' . $class . ')', self::NOT_EXISTS_CODE);
	}

	public static function for_invalid_method(string $method): static
	{
		return new static('Invalid method (' . $method . ')', self::INVALID_METHOD);
	}

	public static function for_interrupt(): static
	{
		return new static('controller interrupt exception', self::INTERRUPT);
	}
}