<?php

namespace venus\base;

class component
{
	/**
	 * @throws \Exception
	 */
	public function __get(string $name)
	{
		$getter = 'get_' . $name;
		if (method_exists($this, $getter)) {
			return $this->$getter();
		} else {
			throw new \Exception('Getting unknown property: ' . get_class($this) . '::' . $name);
		}
	}

	/**
	 * @throws \Exception
	 */
	public function __set(string $name, $value): void
	{
		$setter = 'set_' . $name;
		if (method_exists($this, $setter)) {
			$this->$setter($value);
		} else {
			throw new \Exception('Setting unknown property: ' . get_class($this) . '::' . $name);
		}
	}
}