<?php
/**
 * @var \config\paths $paths
 */
if (!defined('APP_PATH')) {
	define('APP_PATH', realpath(rtrim($paths->app_directory, '\\/ ')) . DIRECTORY_SEPARATOR);
}
if (!defined('SYSTEM_PATH')) {
	define('SYSTEM_PATH', realpath(rtrim($paths->system_directory, '\\/ ')) . DIRECTORY_SEPARATOR);
}
if (!defined('CONFIG_PATH')) {
	define('CONFIG_PATH', realpath(rtrim($paths->config_directory, '\\/ ')) . DIRECTORY_SEPARATOR);
}
if (!defined('MODULE_PATH')) {
	define('MODULE_PATH', realpath(rtrim($paths->module_directory, '\\/ ')) . DIRECTORY_SEPARATOR);
}
if (!defined('ROOT_PATH')) {
	define('ROOT_PATH', realpath(rtrim($paths->root_directory, '\\/ ')) . DIRECTORY_SEPARATOR);
}
if (!defined('WRITABLE_PATH')) {
	define('WRITABLE_PATH', realpath(rtrim($paths->writable_directory, '\\/ ')) . DIRECTORY_SEPARATOR);
}
if (!defined('PUBLIC_PATH')) {
	define('PUBLIC_PATH', realpath(rtrim($paths->public_directory, '\\/ ')) . DIRECTORY_SEPARATOR);
}
//autoload
if (!class_exists(config\autoload::class, false)) {
	require_once SYSTEM_PATH . 'autoloader/config.php';
	require_once CONFIG_PATH . 'autoload.php';
}
require_once SYSTEM_PATH . 'autoloader/autoloader.php';
$autoloader = new venus\autoloader\autoloader(new \config\autoload());
$autoloader->register();
\venus\di\container::add(\venus\autoloader\autoloader::class, $autoloader);

//exception
$exception_handler = new \config\exception();
$exception = new \venus\exception\manager($exception_handler);
$exception->init();
\venus\di\container::add(\config\exception::class, $exception_handler);
\venus\di\container::add(\venus\exception\manager::class, $exception);

//app
venus::$app = \venus\di\container::get(\venus\application\application::class)->init();

//module
$autoloader->add_psr4(venus::$app->module->get_psr4());

//constants
require_once CONFIG_PATH . 'constants.php';

//composer
if (defined('COMPOSER_AUTOLOAD') && is_file(COMPOSER_AUTOLOAD)) {
	require_once COMPOSER_AUTOLOAD;
}

//app common
if (is_file(APP_PATH . 'common.php')) {
	require_once APP_PATH . 'common.php';
}

//venus common
require_once SYSTEM_PATH . 'common.php';