<?php

namespace venus\cache\handler;

abstract class base implements \venus\cache\handler
{
	public const RESERVED_CHARACTERS = '{}()/\@:';
	public const MAX_KEY_LENGTH = PHP_INT_MAX;
	public const PREFIX = '';

	public function validate_key(string $key): string
	{
		if ($key === '') {
			throw new \InvalidArgumentException('Cache key cannot be empty.');
		}

		if (strpbrk($key, self::RESERVED_CHARACTERS) !== false) {
			throw new \InvalidArgumentException('Cache key contains reserved characters ' . self::RESERVED_CHARACTERS);
		}

		return strlen(self::PREFIX . $key) > static::MAX_KEY_LENGTH ? self::PREFIX . md5($key) : self::PREFIX . $key;
	}
}