<?php

namespace venus\format;
/**
 * JSON data formatter
 */
class json_formatter extends abstract_formatter
{
	/**
	 * 格式化指定数据
	 *
	 * @param mixed $data
	 *
	 * @return false|string (JSON string | false)
	 * @throws \Exception
	 */
	public function format(mixed $data): false|string
	{
		$options = $this->params[0] ?? JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES | JSON_PARTIAL_OUTPUT_ON_ERROR;
		$result = json_encode($data, $options);

		if (!in_array(json_last_error(), [JSON_ERROR_NONE, JSON_ERROR_RECURSION], true)) {
			throw new \Exception(json_last_error_msg(), json_last_error());
		}

		return $result;
	}
}
