<?php
if (!function_exists('form_open')) {
	function form_open(string $action, array $attributes = [], array $hidden = []): string
	{
		$attributes['action'] = $action;

		if (!array_key_exists('method', $attributes)) {
			$attributes['method'] = 'post';
		}

		if (!array_key_exists('enctype', $attributes)) {
			$attributes['enctype'] = 'application/x-www-form-urlencoded';
		}

		//csrf
		if (strtolower($attributes['method']) == 'post') {
			if(venus::$app->filter->filter_exists(\venus\filter\csrf::class))
			{
				$name = csrf_token_name();
				$value = csrf_token_hash();
				$hidden[$name] = $value;
			}
		}

		//attributes
		$form_attributes = '';
		foreach ($attributes as $key => $value) {
			$form_attributes .= " $key=\"$value\"";
		}

		//form
		$form = '<form' . $form_attributes . '>';

		//hidden
		foreach ($hidden as $key => $value) {
			$form .= "<input type=\"hidden\" name=\"$key\" value=\"$value\" />";
		}

		return $form;
	}
}

if (!function_exists('form_open_multipart')) {
	function form_open_multipart(string $action, $attributes = [], array $hidden = []): string
	{
		$attributes['enctype'] = 'multipart/form-data';
		return form_open($action, $attributes, $hidden);
	}
}

if (!function_exists('form_close')) {
	function form_close(): string
	{
		return '</form>';
	}
}