<?php

namespace video\config;

use venus\router\routes;

$module = \phpvod::$app->module->get_module(__NAMESPACE__);
$routes = \phpvod::$app->router->get_config();
$domain_list = array_filter(array_column(\phpvod::$app->module->get_modules(), 'domain'), fn($p) => !is_null($p));

//backend routes
$options = ['namespace' => 'video\\controller\\admin', 'priority' => routes::MIDDLE_PRIORITY, 'exclude_domain' => $domain_list];
$routes->group(\phpvod::$backend_segment . '/' . $module['segment'], $options, function (routes $routes) {
	$routes->add('(:segment)', '$1');
	$routes->add('(:segment)/(:segment)', '$1::$2');
	$routes->add('(:segment)/(:segment)/(:any)', '$1::$2/$3');
});

if ($module['status'] == 1) {

	//api routes
	$options = ['namespace' => 'video\\controller\\api', 'priority' => routes::MIDDLE_PRIORITY];
	if (!is_null($module['domain'])) {
		$options['domain'] = $module['domain'];
	}
	$routes->group(\phpvod::$api_segment . '/' . $module['segment'], $options, function (routes $routes) {
		$routes->add('(:segment)', '$1');
		$routes->add('(:segment)/(:segment)', '$1::$2');
		$routes->add('(:segment)/(:segment)/(:any)', '$1::$2/$3');
	});

	//frontend routes
	$options = ['namespace' => 'video\\controller', 'priority' => routes::MIDDLE_PRIORITY];
	if (!is_null($module['domain'])) {
		$options['domain'] = $module['domain'];
		$segment = '';
	} else {
		$segment = $module['namespace'] === \phpvod::$app->get_main_module() ? '' : $module['segment'];
	}
	$routes->group($segment, $options, function (routes $routes) {
		$routes->get('/', 'home::index');
		$routes->get('category/(:num)', 'home::category/$1');
		$routes->get('play/(:any)', 'home::play/$1');
		$routes->get('search', 'home::search');
		$routes->get('member/my_video', 'member::my_video');
		//mars gateway
		$routes->add('mars/(:segment)', 'mars::$1');
	});

	//member_center
	if (!is_null($module['domain'])) {
		$routes->group('member', ['namespace' => 'phpvod\\controller', 'domain' => $module['domain']], function (routes $routes) {
			$routes->add('/', 'member::index');
			$routes->add('(:segment)', 'member::$1');
		});
	}
}