<?php

namespace video\config\validation\admin;

use venus\validation\validator\general;

class category implements \venus\validation\config
{
	private array $validator_class = [
		general::class,
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return $scene == 'add' ? $this->add() : $this->edit();
	}

	private function add(): array
	{
		return [
			'category.name' => [
				'rules' => ['required', 'is_unique[pv_video_category.name]'],
				'errors' => [
					'required' => lang('admin.category_name_cannot_be_empty'),
					'is_unique' => lang('admin.category_name_already_exists')
				]
			]
		];
	}

	private function edit(): array
	{
		return [
			'category.name' => [
				'rules' => ['required', 'is_unique[pv_video_category.name,id,{category.id}]'],
				'errors' => [
					'required' => lang('admin.category_name_cannot_be_empty'),
					'is_unique' => lang('admin.category_name_already_exists')
				]
			]
		];
	}
}