<?php

namespace video\config\validation\admin;

use venus\validation\validator\general;

class config_image implements \venus\validation\config
{
	private array $validator_class = [
		general::class,
		self::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return [
			'config.format' => [
				'rules' => 'required',
				'errors' => [
					'required' => lang('admin.image_format_cannot_be_empty'),
				]
			],
			'config.max_size' => [
				'rules' => 'greater_than[0]',
				'errors' => [
					'greater_than' => lang('admin.image_max_size_can_only_be_number')
				]
			],
			'config.width' => [
				'rules' => 'width_height',
				'errors' => [
					'width_height' => lang('admin.image_width_can_only_be_number')
				]
			],
			'config.height' => [
				'rules' => 'width_height',
				'errors' => [
					'width_height' => lang('admin.image_height_can_only_be_number')
				]
			]
		];
	}

	public function width_height($value, $data, $original_data):bool
	{
		return (is_numeric($value) && $value > 0) || ($original_data['config']['create_thumb'] == '0');
	}
}