<?php

namespace video\config\validation\admin;

class config_video implements \venus\validation\config
{
	private array $validator_class = [
		self::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return [
			'config.format' => [
				'rules' => 'format',
				'errors' => [
					'format' => lang('admin.video_format_cannot_be_empty'),
				]
			],
			'config.max_size' => [
				'rules' => 'size',
				'errors' => [
					'size' => lang('admin.video_max_size_can_only_be_number')
				]
			],
			'config.chunk_size' => [
				'rules' => 'size',
				'errors' => [
					'size' => lang('admin.video_chunk_size_can_only_be_number')
				]
			],
		];
	}

	public function format($value, $data, $original_data): bool
	{
		return trim($value) != '' || $original_data['config']['upload'] == 'off';
	}

	public function size($value, $data, $original_data):bool
	{
		return (is_numeric($value) && $value > 0) || ($original_data['config']['upload'] == 'off');
	}
}