<?php

namespace video\config\validation\admin;

use config\validation\validator;
use venus\validation\validator\general;

class mars_map implements \venus\validation\config
{
	private array $validator_class = [
		general::class,
		validator::class,
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return $scene == 'add' ? $this->add() : $this->edit();
	}

	private function add(): array
	{
		return [
			'mars_map.domain' => [
				'rules' => ['required', 'is_unique[pv_video_mars_map.domain]'],
				'errors' => [
					'required' => lang('admin.map_domain_cannot_be_empty'),
					'is_unique' => lang('admin.map_domain_already_exists')
				]
			],
			'mars_map.server_id' => [
				'rules' => ['required', 'id'],
				'errors' => [
					'required' => lang('admin.map_server_cannot_be_empty'),
					'id' => lang('admin.invalid_server_id')
				]
			]
		];
	}

	private function edit(): array
	{
		return array_merge($this->add(), [
			'mars_map.id' => [
				'rules' => 'id',
				'errors' => [
					'id' => lang('app.invalid_id')
				]
			],
			'mars_map.domain' => [
				'rules' => ['required', 'is_unique[pv_video_mars_map.domain,id,{mars_map.id}]'],
				'errors' => [
					'required' => lang('admin.map_domain_cannot_be_empty'),
					'is_unique' => lang('admin.map_domain_already_exists')
				]
			]
		]);
	}
}