<?php

namespace video\controller\admin;

use phpvod\base\backend_controller;
use video\config\validation\admin\config_image;
use video\config\validation\admin\config_video;

class config extends backend_controller
{
	private \phpvod\model\config $model;
	protected array $helper = ['form'];

	public function init(): void
	{
		parent::init();
		/** @noinspection PhpFieldAssignmentTypeMismatchInspection */
		$this->model = model(\phpvod\model\config::class);
	}

	public function index(): string
	{
		return $this->config();
	}

	public function config(): string
	{
		if ($this->request->is_post()) {
			$config = $this->request->post('config');
			$this->model->update_config($config, 'video.config');
			$this->set_success_message();
			\video\library\config::get_instance()->update('config');
		} else {
			$config = $this->model->get_config('video.config');
		}
		return $this->view('config/config', ['config' => $config]);
	}

	public function image(): string
	{
		if ($this->request->is_post()) {
			if ($this->validation->load_config(config_image::class)->with_post()->run()) {
				$config = $this->request->post('config');
				$this->model->update_config($config, 'video.image');
				\video\library\config::get_instance()->update('image');
				$this->module_redirect('config/image', false, true);
			} else {
				$this->set_message_from_validator();
				$this->module_redirect('config/image', true);
			}
		}
		$config = $this->model->get_config('video.image');
		return $this->view('config/image', ['config' => $config]);
	}

	public function upload(): string
	{
		if ($this->request->is_post()) {
			if ($this->validation->load_config(config_video::class)->with_post()->run()) {
				$config = $this->request->post('config');
				$this->model->update_config($config, 'video.upload');
				\video\library\config::get_instance()->update('upload');
				$this->module_redirect('config/upload', false, true);
			} else {
				$this->set_message_from_validator();
				$this->module_redirect('config/upload', true);
			}
		}
		$config = $this->model->get_config('video.upload');
		return $this->view('config/upload', ['config' => $config]);
	}

	public function cache(): string

	{
		if ($this->request->is_post()) {
			$config = $this->request->post('config');
			$this->model->update_config($config, 'video.cache');
			$this->set_success_message();
			\video\library\config::get_instance()->update('cache');
		} else {
			$config = $this->model->get_config('video.cache');
		}
		return $this->view('config/cache', ['config' => $config]);
	}
}