<?php

namespace video\controller\admin;

use config\validation\validator;

class mars_map extends \phpvod\base\backend_controller
{
	private \video\model\mars_map $model;
	protected array $helper = ['form'];

	public function init(): void
	{
		parent::init();
		/** @noinspection PhpFieldAssignmentTypeMismatchInspection */
		$this->model = model(\video\model\mars_map::class);
	}

	public function index(): string
	{
		return $this->view('mars_map/index');
	}

	/**
	 * 获取数据
	 * @return void
	 * @throws \Exception
	 */
	public function get_data(): void
	{
		$params = $this->get_bootstrap_table_query_params();
		if ($params !== false) {
			$data = $this->model->get_data($params);
			$this->response->set_json($data);
		}
	}

	public function add(): string
	{
		if ($this->request->is_post()) {
			if ($this->validation->load_config(\video\config\validation\admin\mars_map::class, 'add')->with_post()->run()) {
				$data = $this->request->post('mars_map');
				$data['server_id'] = implode(',', $data['server_id']);
				$this->model->insert($data);
				\video\library\config::get_instance()->update('mars_map');
				$this->module_redirect('mars_map/index', false, true);
			} else {
				$this->set_message_from_validator();
				$this->module_redirect('mars_map/add', true);
			}
		}
		return $this->view('mars_map/add');
	}

	public function edit(): string
	{
		if ($this->request->is_post()) {
			$data = $this->request->post('mars_map');
			if ($this->validation->load_config(\video\config\validation\admin\mars_map::class, 'edit')->with_post()->run()) {
				$data['server_id'] = implode(',', $data['server_id']);
				$this->model->save($data);
				\video\library\config::get_instance()->update('mars_map');
				$this->module_redirect('mars_map/index', false, true);
			} else {
				$this->set_message_from_validator();
				$this->redirect(admin_module_uri('mars_map/edit') . '?id=' . $data['id'], true);
			}
		}

		$id = $this->request->get('id');
		$mars_map = $this->model->find($id)->fetch_array();
		if ($mars_map === false) {
			$this->module_redirect('mars_map/index', false, lang('app.invalid_id'));
		}
		$mars_map['server_id'] = explode(',', $mars_map['server_id']);
		return $this->view('mars_map/edit', ['mars_map' => $mars_map]);
	}

	public function delete(): void
	{
		$id = $this->request->post('id');
		if ($this->validation->check($id, 'id', validator::class)) {
			$affected_rows = $this->model->delete($id);
			if ($affected_rows > 0) {
				\video\library\config::get_instance()->update('mars_map');
				$this->response->set_json(['id' => 1, 'msg' => lang('app.operation_succeeded')]);
			} else {
				$this->response->set_json(['id' => 0, 'msg' => lang('app.operation_failed')]);
			}
		} else {
			$this->response->set_json(['id' => 0, 'msg' => lang('app.invalid_id')]);
		}
	}

}