<?php

namespace video\controller\api;

use video\model\purchase;

class member extends \phpvod\base\frontend_controller
{
	public function my_video(): void
	{
		$identity = \phpvod::$app->user_auth->get_frontend_identity();

		if (!is_array($identity)) {
			$this->response->set_json(['id' => 0, 'msg' => lang('app.please_login_first')]);
			return;
		}

		$page = $this->request->get('page');
		$page = is_numeric($page) && intval($page) >= 1 ? intval($page) : 1;

		$limit = $this->request->get('limit');
		$limit = is_numeric($limit) && intval($limit) >= 1 ? intval($limit) : 10;

		/* @var purchase $purchase_model */
		$purchase_model = model(purchase::class);
		$total = (int)$purchase_model->select('count(id)')->where(['member_id' => $identity['id']])->query()->fetch_column();
		$max_page = $total > 0 ? ceil($total / $limit) : 1;
		$page > $max_page && $page = $max_page;
		$offset = ($page - 1) * $limit;
		$data = $purchase_model->select('p.*, v.subject')
			->from('pv_video_purchase AS p LEFT JOIN pv_video AS v ON p.video_id=v.id')
			->where(['p.member_id' => $identity['id']])
			->order_by('p.id DESC')
			->limit($offset . ',' . $limit)->query()->fetch_all_by_callback(function (array $row) {
				$row['created_at'] = timetostr($row['created_at']);
				$row['link'] = home_module_uri('play/' . $row['video_id']);
				return $row;
			});

		$this->response->set_json(['id' => 1, 'data' => [
			'total' => $total,
			'limit' => $limit,
			'page' => $page,
			'data' => $data,
		]]);
	}
}