<?php

namespace video\controller\api;

use config\validation\validator;
use video\model\video;
use video\tag\tag;

class score extends \phpvod\base\frontend_controller
{
	public function index(): void
	{
		$id = $this->request->post('id');
		$value = $this->request->post('value');

		if ($this->validation->check($id, 'id', validator::class) &&
			$this->validation->check($value, 'int_between[1,5]')) {
			/**
			 * @var video $video_model
			 */
			$video_model = model(video::class);
			$data = $video_model->select('score,score_total,score_count')->find($id)->fetch_array();
			if($data === false) {
				$this->response->set_json(['id' => 0, 'msg' => lang('app.invalid_id')]);
				return;
			}
			$data['score_total'] += $value;
			$data['score_count']++;
			$data['score'] = number_format($data['score_total'] / $data['score_count'], 1);
			$affected_rows = $video_model->update($data, $id);
			if($affected_rows > 0) {
				//update details cache
				tag::video_details()->update_details_cache($id,[
					['key' => 'score', 'value' => $data['score'], 'operator' => '='],
					['key' => 'score_total', 'value' => $data['score_total'], 'operator' => '='],
					['key' => 'score_count', 'value' => $data['score_count'], 'operator' => '='],
				]);
				$this->response->set_json(['id' => 1, 'msg' => lang('home.score_succeeded')]);
			} else {
				$this->response->set_json(['id' => 0, 'msg' => lang('home.score_failed')]);
			}
		} else {
			$this->response->set_json(['id' => 0, 'msg' => lang('app.invalid_params')]);
		}
	}

}