<?php

namespace video\controller\api;

use video\service\transaction;

class video extends \phpvod\base\frontend_controller
{
	private transaction $transaction_service;

	public function init(): void
	{
		parent::init();

		/** @noinspection PhpFieldAssignmentTypeMismatchInspection */
		$this->transaction_service = service(transaction::class);
	}

	/**
	 * 购买视频
	 * @return void
	 * @throws \Exception
	 */
	public function buy_video(): void
	{
		$id = $this->request->post('id');
		if (!$this->validation->check($id, 'id', \config\validation\validator::class)) {
			$this->response->set_json(['id' => 0, 'msg' => lang('app.invalid_params')]);
			return;
		}
		$this->response->set_json($this->transaction_service->buy_video($id));
	}
}