<?php
/**
 * @var \video\extension\player\videojs\videojs $this
 */
?>
<video id="video-js" class="video-js">
	<p class="vjs-no-js">To view this video please enable JavaScript, and consider upgrading to a web browser that <a href="https://videojs.com/html5-video-support/" target="_blank">supports HTML5 video</a></p>
</video>

<?php phpvod::$app->view->section('js'); ?>
<script type="text/javascript">
	let options = {
		autoplay: true,
		controls: true,
		preload: 'auto',
		aspectRatio: '16:9',
		loop: false
	};

	let player = videojs('video-js', options, function () {
	});

	//poster
	<?php if (!empty($this->get_poster())): ?>player.poster('<?=$this->get_poster()?>');<?php endif; ?>

	//url
	player.src('<?=$this->get_url()?>');

	//spriteThumbnails
	<?php if(!empty($this->get_preview())): ?>
	player.spriteThumbnails({
		urlArray: <?= $this->get_preview() ?>,
		interval: 5,
		width: 260,
		height: 146,
		rows: 10,
		columns: 10
	});
	<?php endif; ?>
</script>
<?php phpvod::$app->view->end_section(); ?>
