<?php

namespace video\extension\upload\mars_transcoder;

use video\model\video_file;
use video\service\mars;

class mars_transcoder implements \video\extension\upload\upload2remote
{
	public static function view(): void
	{
		$server_id = mars::get_server_id();
		if(!is_null($server_id)) {
			include __DIR__ . '/view/admin/view.php';
		}
	}

	/**
	 * 添加转码任务成功后的回调方式
	 * @param int $server_id 转码服务器ID
	 * @param array $added_task 添加转码返回的数据
	 * @return array
	 * @throws \Exception
	 */
	public static function success_callback(int $server_id, array $added_task): array
	{
		$result = [];
		/**
		 * @var video_file $model
		 */
		$model = model(video_file::class);
		foreach ($added_task as $data) {
			$remote_key = $server_id . '_' . $data['tid'];
			$hash = md5($remote_key);
			$file_info = formatter($data);
			$model->insert(['vid' => 0, 'hash' => $hash, 'platform' => 'mars_transcoder', 'file_info' => $file_info, 'remote_key' => $remote_key]);
			$result[] = ['id' => $model->insert_id(), 'hash' => $hash, 'truename' => $data['truename']];
		}
		return $result;
	}
}