<?php

namespace video\extension\upload\server;

use phpvod\library\plupload\plupload;
use video\library\config;
use video\model\video_file;

class server implements \video\extension\upload\upload
{
	public static function view(): void
	{
		include __DIR__ . '/view/admin/view.php';
	}

	/**
	 * 接收上传数据
	 * @return array|null
	 * @throws \Exception
	 */
	public static function receive(): ?array
	{
		$format = config::get_instance()->get('upload', 'format') ?? '';
		$url_path = 'upload/video/video/' . timetostr(TIMESTAMP, 'Ym');
		$save_path = WRITABLE_PATH . $url_path;

		$plupload = new plupload();
		return $plupload->set_format($format)
			->set_url_path($url_path)
			->set_save_path($save_path)
			->set_cleanup_probability(10)
			->receive([server::class, 'success_callback']);
	}

	/**
	 * 上传成功后的回调方法，该方法的返回值会存入data返回给客户端
	 * @param array $data 该参数包含 truename/size/file/url 元素
	 * @return array
	 * @throws \Exception
	 */
	public static function success_callback(array $data): array
	{
		/**
		 * @var video_file $model
		 */
		$model = model(video_file::class);
		$hash = md5($data['file']);
		$file_info = formatter($data);
		$model->insert(['vid' => 0, 'hash' => $hash, 'platform' => 'server', 'file_info' => $file_info]);
		return ['id' => $model->insert_id(), 'hash' => $hash, 'truename' => $data['truename']];
	}

}