<?php

namespace video\model;

class mars_server extends \phpvod\base\model
{
	protected string $table = 'pv_video_mars_server';
	protected ?string $primary_key = 'id';
	protected array $allowed_fields = ['name', 'ip', 'port', 'secret_key', 'upload_url', 'notify_url', 'weight'];

	/**
	 * 获取数据
	 * @param array $params 查询参数，包含search/order_by/offset_limit元素(非null即可用)
	 * @return array
	 */
	public function get_data(array $params): array
	{
		//where
		if (!is_null($params['search'])) {
			$this->where('name LIKE :name', ['name' => '%' . $params['search'] . '%']);
		}

		$total = (int)$this->select('count(id)')->query(false)->fetch_column();

		//order by
		if(!is_null($params['order_by'])) {
			$this->order_by($params['order_by']);
		}

		//offset_limit
		if(!is_null($params['offset_limit'])) {
			$this->limit($params['offset_limit']);
		}

		$rows = $this->select('*')->query()->fetch_all_array();
		return ['total' => $total, 'rows' => $rows];
	}
}
