<?php

namespace video\model;

class slide extends \phpvod\base\model
{
	protected string $table = 'pv_video_slide';
	protected ?string $primary_key = 'id';
	protected array $allowed_fields = ['pic', 'link', 'link_text', 'title', 'description', 'sort'];

	/**
	 * 通过幻灯ID删除图片文件
	 * @param int $id
	 * @return void
	 * @throws \Exception
	 */
	public function remove_file_by_id(int $id): void
	{
		$pic = $this->select('pic')->find($id)->fetch_column();
		$file_path = WRITABLE_PATH . 'upload/video/slide/' . $pic;
		if (is_file($file_path)) {
			helper('file_system');
			remove_file($file_path);
		}
	}

	/**
	 * 获取数据
	 * @param array $params 查询参数，包含search/order_by/offset_limit元素(非null即可用)
	 * @return array
	 */
	public function get_data(array $params): array
	{
		//where
		if (!is_null($params['search'])) {
			$this->where('name LIKE :name', ['name' => '%' . $params['search'] . '%']);
		}

		$total = (int)$this->select('count(id)')->query(false)->fetch_column();

		//order by
		if (!is_null($params['order_by'])) {
			$this->order_by($params['order_by']);
		}

		//offset_limit
		if (!is_null($params['offset_limit'])) {
			$this->limit($params['offset_limit']);
		}

		$rows = $this->select('*')->query()->fetch_all_array();
		return ['total' => $total, 'rows' => $rows];
	}

}