<?php
/**
 * @var \venus\view\view $this
 * @var array $category
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
$category = old('category', $category);
?>
<?php $this->section('content'); ?>

<div class="card">
	<div class="card-header"><?= lang('admin.edit_category') ?></div>
	<div class="card-body">
		<?= form_open(admin_module_uri('category/edit'), [], ['category[id]' => $category['id']]) ?>
		<div class="row mb-4">
			<label class="col-md-2 col-form-label text-md-end" for="name"><?= lang('pv_video_category.name') ?></label>
			<div class="col-md-6">
				<input class="form-control" type="text" id="name" name="category[name]" value="<?= $category['name'] ?>">
			</div>
		</div>
		<div class="row mb-4">
			<label class="col-md-2 col-form-label text-md-end" for="template">
				<?= lang('pv_video_category.template') ?>
				<?= $form->tips(lang('admin.tip_category_template'))?>
			</label>
			<div class="col-md-6">
				<input class="form-control" type="text" id="template" name="category[template]" value="<?= $category['template']?>">
			</div>
		</div>
		<div class="row mb-4">
			<label class="col-md-2 col-form-label text-md-end" for="sort">
				<?= lang('pv_video_category.sort') ?>
				<?= $form->tips(lang('admin.tip_category_sort')) ?>
			</label>
			<div class="col-md-6">
				<input class="form-control" type="text" id="sort" name="category[sort]" value="<?= $category['sort'] ?>">
			</div>
		</div>
		<div class="row">
			<div class="col-md-6 offset-md-2">
				<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
			</div>
		</div>
		<?= form_close() ?>
	</div>
	<div class="card-footer">
		<div class="f-tar"><?= phpvod::copyright() ?></div>
	</div>
</div>

<?php $this->end_section(); ?>