<?php

/**
 * @var \phpvod\widget\form\admin_form $form
 * @var \venus\view\view $this
 * @var array $config
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
$config = old('config', $config);
?>

<?php $this->section('content'); ?>
<div class="card">
	<div class="card-header"><?= lang('admin.settings') ?></div>
	<div class="card-body">

		<?php $this->set_vars(['active' => 'cache'])->include('admin/config/_tabs');?>

		<div class="tab-content p-4">
			<div id="cache-tab-pane" class="tab-pane fade show active">
				<?= form_open(admin_module_uri('config/cache')) ?>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end"><?= lang('admin.caching_video_data') ?></label>
					<div class="col-md-6">
						<?= $form->radio_group('config[use_cache]', phpvod\library\options::open_close(), $config['use_cache'], ['class' => 'form-check-input']) ?>
					</div>
				</div>
				<div class="row">
					<div class="col-md-6 offset-md-2">
						<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
					</div>
				</div>
				<?= form_close() ?>
			</div>
		</div>

	</div>
	<div class="card-footer">
		<div class="f-tar"><?= phpvod::copyright() ?></div>
	</div>
</div>
<?php $this->end_section(); ?>