<?php

/**
 * @var \phpvod\widget\form\admin_form $form
 * @var \venus\view\view $this
 * @var array $config
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
$config = old('config', $config);
?>

<?php $this->section('content'); ?>
<div class="card">
	<div class="card-header"><?= lang('admin.settings') ?></div>
	<div class="card-body">

		<?php $this->set_vars(['active' => 'config'])->include('admin/config/_tabs');?>

		<div class="tab-content p-4">
			<div id="config-tab-pane" class="tab-pane fade show active">
				<?= form_open(admin_module_uri('config/config')) ?>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="module_title"><?= lang('admin.config_title') ?></label>
					<div class="col-md-6">
						<?= $form->input('config[module_title]', 'text', $config['module_title'] ?? '', ['class' => 'form-control', 'id' => 'module_title']) ?>
					</div>
				</div>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="module_meta_keyword"><?= lang('admin.config_meta_keyword') ?></label>
					<div class="col-md-6">
						<?= $form->input('config[module_meta_keyword]', 'text', $config['module_meta_keyword'], ['class' => 'form-control', 'id' => 'module_meta_keyword']) ?>
					</div>
				</div>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="module_meta_description"><?= lang('admin.config_meta_description') ?></label>
					<div class="col-md-6">
						<?= $form->input('config[module_meta_description]', 'text', $config['module_meta_description'], ['class' => 'form-control', 'id' => 'module_meta_description']) ?>
					</div>
				</div>
				<div class="row">
					<div class="col-md-6 offset-md-2">
						<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
					</div>
				</div>
				<?= form_close() ?>
			</div>
		</div>

	</div>
	<div class="card-footer">
		<div class="f-tar"><?= phpvod::copyright() ?></div>
	</div>
</div>
<?php $this->end_section(); ?>