<?php

use phpvod\library\options;

phpvod\asset\jquery_tagsinput\jquery_tagsinput::register();

/**
 * @var \phpvod\widget\form\admin_form $form
 * @var \venus\view\view $this
 * @var array $config
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
$config = old('config', $config);
?>

<?php $this->section('content'); ?>


<div class="card">
	<div class="card-header"><?= lang('admin.settings') ?></div>
	<div class="card-body">

		<?php $this->set_vars(['active' => 'upload'])->include('admin/config/_tabs');?>

		<div class="tab-content p-4">
			<div id="upload-tab-pane" class="tab-pane fade show active">
				<?= form_open(admin_module_uri('config/upload')) ?>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end"><?= lang('admin.video_upload') ?></label>
					<div class="col-md-6">
						<?= $form->select('config[upload]', \video\library\options::upload(), $config['upload'] ?? null, ['class' => 'form-select'])?>
					</div>
				</div>
				<div id="upload_settings">
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end"><?= lang('admin.video_format') ?></label>
						<div class="col-md-6">
							<?= $form->input('config[format]', 'text', $config['format'], ['class' => 'form-control', 'id' => 'format']) ?>
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end" for="max-size"><?= lang('admin.video_max_size') ?></label>
						<div class="col-md-6">
							<div class="input-group">
								<?= $form->input('config[max_size]', 'text', $config['max_size'], ['class' => 'form-control', 'id' => 'max-size']) ?>
								<?= $form->select('config[max_size_unit]', options::disk_unit(), $config['max_size_unit'], ['class' => 'form-select']) ?>
							</div>
						</div>
					</div>
					<div class="row mb-4">
						<label class="col-md-2 col-form-label text-md-end" for="chunk_size"><?= lang('admin.video_chunk_size') ?></label>
						<div class="col-md-6">
							<div class="input-group">
								<?= $form->input('config[chunk_size]', 'text', $config['chunk_size'], ['class' => 'form-control', 'id' => 'chunk_size']) ?>
								<?= $form->select('config[chunk_size_unit]', options::disk_unit(), $config['chunk_size_unit'], ['class' => 'form-select']) ?>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-6 offset-md-2">
						<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
					</div>
				</div>
				<?= form_close() ?>
			</div>
		</div>

	</div>
	<div class="card-footer">
		<div class="f-tar"><?= phpvod::copyright() ?></div>
	</div>
</div>
<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
<script type="text/javascript">
    $("#format").tagsInput({
        'height':'35px',
        'width':'100%',
        'interactive': true,
        'defaultText': '<?=lang('app.add')?>',
        'delimiter': [','],
        'removeWithBackspace': true,
        'minChars': 0,
        'maxChars': 0, // if not provided there is no limit
    });
    bindPanel("config[upload]", [{"id": "upload_settings", "value": ["server", "mars_transcoder"]}], 'select');
</script>
<?php $this->end_section(); ?>
