<?php
/**
 * @var \venus\view\view $this
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
$mars_map = old('mars_map', []);
?>
<?php $this->section('content'); ?>

	<div class="card">
		<div class="card-header"><?= lang('admin.add_mars_map') ?></div>
		<div class="card-body">
			<?= form_open(admin_module_uri('mars-map/add')) ?>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="domain"><?= lang('pv_video_mars_map.domain') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="domain" name="mars_map[domain]" value="<?= $mars_map['domain'] ?? '' ?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end"><?= lang('pv_video_mars_map.server') ?></label>
				<div class="col-md-6">
					<?php
					$html = $form->checkbox_group('mars_map[server_id][]', \video\library\options::mars_server(), $mars_map['server_id'] ?? null, ['class' => 'form-check-input']);
					echo !empty($html) ? $html : '<label class="form-check-label text-danger">' . lang('admin.server_not_found') . '</label>';
					?>
				</div>
			</div>
			<div class="row">
				<div class="col-md-6 offset-md-2">
					<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
				</div>
			</div>
			<?= form_close() ?>
		</div>
		<div class="card-footer">
			<div class="f-tar"><?= phpvod::copyright() ?></div>
		</div>
	</div>

<?php $this->end_section(); ?>