<?php
/**
 * @var \venus\view\view $this
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
$mars_server = old('mars_server', []);
?>
<?php $this->section('content'); ?>

	<div class="card">
		<div class="card-header"><?= lang('admin.add_mars_server') ?></div>
		<div class="card-body">
			<?= form_open(admin_module_uri('mars-server/add')) ?>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="name"><?= lang('pv_video_mars_server.name') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="name" name="mars_server[name]" value="<?= $mars_server['name'] ?? '' ?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="ip"><?= lang('pv_video_mars_server.ip') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="ip" name="mars_server[ip]" value="<?= $mars_server['ip'] ?? '' ?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="port"><?= lang('pv_video_mars_server.port') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="port" name="mars_server[port]" value="<?= $mars_server['port'] ?? '' ?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="secret-key">
					<?= lang('pv_video_mars_server.secret_key') ?>
					<?= $form->tips(lang('admin.tips_secret_key')); ?>
				</label>
				<div class="col-md-6">
					<div class="input-group">
						<input class="form-control" type="text" id="secret-key" name="mars_server[secret_key]" value="<?= $mars_server['secret_key'] ?? '' ?>">
						<input type="button" class="btn btn-success" onclick="$('#secret-key').val(generate_random_string(16))" value="<?=lang('admin.randomly_generate_key')?>" />
					</div>
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="upload-url"><?= lang('pv_video_mars_server.upload_url') ?></label>
				<div class="col-md-6">
					<div class="input-group">
						<input class="form-control" type="text" id="upload-url" name="mars_server[upload_url]" value="<?= $mars_server['upload_url'] ?? '' ?>">
						<button id="verify-upload-url" class="btn btn-success" type="button">
							<span class="spinner-border spinner-border-sm f-d-n" role="status" aria-hidden="true"></span>
							<?=lang('admin.verify_upload_url')?>
						</button>
					</div>
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="notify-url">
					<?= lang('pv_video_mars_server.notify_url') ?>
					<?= $form->tips(lang('admin.tips_notify_url')); ?>
				</label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="notify-url" name="mars_server[notify_url]" value="<?= $mars_server['notify_url'] ?? '' ?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="weight">
					<?= lang('pv_video_mars_server.weight') ?>
					<?= $form->tips(lang('admin.tips_weight')); ?>
				</label>
				<div class="col-md-6">
					<?= $form->select('mars_server[weight]', [0 => 0, 1 => 1, 2 => 2, 3 => 3, 4 => 4, 5 => 5, 6 => 6, 7 => 7, 8 => 8, 9 => 9, 10 => 10], $mars_server['weight'] ?? null, ['class' => 'form-select']); ?>
				</div>
			</div>
			<div class="row">
				<div class="col-md-6 offset-md-2">
					<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
				</div>
			</div>
			<?= form_close() ?>
		</div>
		<div class="card-footer">
			<div class="f-tar"><?= phpvod::copyright() ?></div>
		</div>
	</div>

<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
<script type="text/javascript">
	$("#verify-upload-url").click(function () {
		let upload_url = $("#upload-url").val();
		$('#verify-upload-url span[role="status"]').css('display', 'inline-block');
		$("#verify-upload-url").attr('disabled', 'disabled');
		$.get("<?=admin_module_uri('mars_server/verify_upload_url')?>", {upload_url: upload_url}, function (r) {
			$('#verify-upload-url span[role="status"]').css('display', 'none');
			$("#verify-upload-url").removeAttr('disabled');
			if (r.hasOwnProperty('msg')) {
				layer.msg(r.msg);
			} else {
				layer.msg('<?=lang('app.unknown_error')?>');
			}
		});
	});
</script>
<?php $this->end_section(); ?>
