<?php
/**
 * @var \phpvod\widget\form\admin_form $form
 * @var \venus\view\view $this
 * @var array $config
 * @var string $pane
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
?>

<?php $this->section('content'); ?>

<div class="card">
	<div class="card-header"><?= lang('admin.mars_tag') ?></div>
	<div class="card-body">
		<ul class="nav nav-tabs">
			<li class="nav-item">
				<button class="nav-link<?= $pane == 'video' ? ' active' : '' ?>" data-bs-toggle="tab"
				        data-bs-target="#video-tab-pane"><?= lang('admin.video_tab_pane') ?></button>
			</li>
			<li class="nav-item">
				<button class="nav-link<?= $pane == 'image' ? ' active' : '' ?>" data-bs-toggle="tab"
				        data-bs-target="#image-tab-pane"><?= lang('admin.image_tab_pane') ?></button>
			</li>
		</ul>

		<div class="tab-content p-4">
			<!-- video-tab-pane -->
			<div id="video-tab-pane" class="tab-pane fade<?= $pane == 'video' ? ' show active' : '' ?>">
				<?= form_open(admin_module_uri('mars_tag/index'), hidden: ['pane' => 'video']) ?>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="play"><?= lang('admin.play_tag') ?></label>
					<div class="col-md-6">
						<?= $form->input("config[play]", "text", $config['play'], ['class' => 'form-control', 'id' => 'play']) ?>
					</div>
				</div>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="preview"><?= lang('admin.preview_tag') ?></label>
					<div class="col-md-6">
						<?= $form->input("config[preview]", "text", $config['preview'], ['class' => 'form-control', 'id' => 'preview']) ?>
					</div>
				</div>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="clips"><?= lang('admin.clips_tag') ?></label>
					<div class="col-md-6">
						<?= $form->input("config[clips]", "text", $config['clips'], ['class' => 'form-control', 'id' => "clips"]) ?>
					</div>
				</div>
				<div class="row">
					<div class="col-md-6 offset-md-2">
						<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
					</div>
				</div>
				<?= form_close() ?>
			</div>
			<!-- image-tab-pane -->
			<div id="image-tab-pane" class="tab-pane fade<?= $pane == 'image' ? ' show active' : '' ?>">
				<?= form_open(admin_module_uri('mars_tag/index'), hidden: ['pane' => 'image']) ?>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="poster"><?= lang('admin.poster_tag') ?></label>
					<div class="col-md-6">
						<?= $form->input("config[poster]", "text", $config['poster'], ['class' => 'form-control', 'id' => 'poster']) ?>
					</div>
				</div>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="player_poster"><?= lang('admin.player_poster_tag') ?></label>
					<div class="col-md-6">
						<?= $form->input("config[player_poster]", "text", $config['player_poster'], ['class' => 'form-control', 'id' => 'player_poster']) ?>
					</div>
				</div>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="sprite"><?= lang('admin.sprite_tag') ?></label>
					<div class="col-md-6">
						<?= $form->input("config[sprite]", "text", $config['sprite'], ['class' => 'form-control', 'id' => 'sprite']) ?>
					</div>
				</div>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="dynamic">
						<?= lang('admin.dynamic_tag') ?>
						<?= $form->tips(lang('admin.tips_tag')) ?>
					</label>
					<div class="col-md-6">
						<?= $form->input("config[dynamic]", "text", $config['dynamic'], ['class' => 'form-control', 'id' => 'dynamic']) ?>
					</div>
				</div>
				<div class="row mb-4">
					<label class="col-md-2 col-form-label text-md-end" for="static">
						<?= lang('admin.static_tag') ?>
						<?= $form->tips(lang('admin.tips_tag')) ?>
					</label>
					<div class="col-md-6">
						<?= $form->input("config[static]", "text", $config['static'], ['class' => 'form-control', 'id' => 'static']) ?>
					</div>
				</div>
				<div class="row">
					<div class="col-md-6 offset-md-2">
						<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
					</div>
				</div>
				<?= form_close() ?>
			</div>
		</div>
	</div>
	<div class="card-footer">
		<div class="f-tar"><?= phpvod::copyright() ?></div>
	</div>
</div>

<?php $this->end_section(); ?>