<?php
/**
 * @var \venus\view\view $this
 * @var array $slide
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
$old_slide = old('slide', []);
$slide = array_merge($slide, $old_slide);
?>
<?php $this->section('content'); ?>

	<div class="card">
		<div class="card-header"><?= lang('admin.edit_slide') ?></div>
		<div class="card-body">
			<?= form_open_multipart(admin_module_uri('slide/edit'), [], ['slide[id]' => $slide['id']]) ?>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="image-file"><?= lang('pv_video_slide.pic') ?></label>
				<div class="col-md-6">
					<label for="image-file"><img src="upload/video/slide/<?= $slide['pic'] ?>" class="img-thumbnail" style="max-width: 240px;" alt="slide"></label>
					<input class="form-control" type="file" id="image-file" name="image_file">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="link"><?= lang('pv_video_slide.link') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="link" name="slide[link]" value="<?= $slide['link'] ?? '' ?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="link-text"><?= lang('pv_video_slide.link_text') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="link-text" name="slide[link_text]" value="<?= $slide['link_text'] ?? '' ?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="title"><?= lang('pv_video_slide.title') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="title" name="slide[title]" value="<?= $slide['title'] ?? '' ?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="description"><?= lang('pv_video_slide.description') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="description" name="slide[description]" value="<?= $slide['description'] ?? '' ?>" maxlength="255">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="sort">
					<?= lang('pv_video_slide.sort') ?>
					<?= $form->tips(lang('admin.tip_slide_sort')) ?>
				</label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="sort" name="slide[sort]" value="<?= $slide['sort'] ?? 0 ?>">
				</div>
			</div>
			<div class="row">
				<div class="col-md-6 offset-md-2">
					<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
				</div>
			</div>
			<?= form_close() ?>
		</div>
		<div class="card-footer">
			<div class="f-tar"><?= phpvod::copyright() ?></div>
		</div>
	</div>

<?php $this->end_section(); ?>