<?php
phpvod\asset\jquery_tagsinput\jquery_tagsinput::register();
/**
 * @var \venus\view\view $this
 * @var int $id
 * @var array $video
 * @var array $video_ext
 * @var array $video_data
 * @var array $video_url
 * @var array $poster
 */
$form = \phpvod\widget\form\admin_form::get_instance();
$this->extend('admin/layout');
$video = array_merge($video, old('video', []));
$video_data = old('video_data', $video_data);
$video_url = old('video_url', $video_url);
$poster = old('poster', $poster ?? $video['poster']);
?>
<?php $this->section('content'); ?>

	<div class="card">
		<div class="card-header"><?= lang('admin.edit_video') ?></div>
		<div class="card-body">
			<?= form_open_multipart(admin_module_uri('video/edit'), hidden: ['id' => $id]) ?>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end"><?= lang('pv_video.category') ?></label>
				<div class="col-md-6">
					<?= $form->select('video[category_id]', \video\library\options::category(), $video['category_id'], ['class' => 'form-select']) ?>
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="subject"><?= lang('pv_video.subject') ?></label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="subject" name="video[subject]"
					       value="<?= $video['subject'] ?>">
				</div>
			</div>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end"><?= lang('pv_video.kind') ?></label>
				<div class="col-md-6">
					<div class="input-group">
						<?= $form->select('video[kind]', \video\library\options::kind(), $video['kind'] ?? null, ['class' => 'form-select']) ?>
						<span class="input-group-text f-d-n"><?= lang('pv_video.price') ?></span>
						<?= $form->input('video[price]', 'text', $video['price'] ?? '', options: ['class' => 'form-control text-end f-d-n']) ?>
						<span class="input-group-text f-d-n"><?= lang('app.cny') ?></span>
					</div>
				</div>
			</div>

			<!-- 自定义字段 -->
			<div id="video_ext_container"></div>

			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="duration">
					<?= lang('pv_video.duration') ?>
					<?= $form->tips(lang('video.tips_duration')) ?>
				</label>
				<div class="col-md-6">
					<input class="form-control" type="text" id="duration" name="video[duration]"
					       value="<?= $video['duration'] ?>">
				</div>
			</div>

			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end"><?= lang('pv_video.poster') ?></label>
				<div class="col-md-6">
					<?php if (!empty($video['poster'])): ?>
						<img src="<?= $video['poster'] . '?t=' . TIMESTAMP ?>" class="img-thumbnail mb-2" style="max-width: 180px;" alt="<?= $video['subject'] ?>">
					<?php endif; ?>
					<div class="mb-2"><?= $form->radio_group('poster[from]', \video\library\options::poster_from(), $poster['from'] ?? 0, ['class' => 'form-check-input']) ?></div>
					<input class="form-control" type="text" id="poster-url-input" name="poster[url]" value="<?= $poster['url'] ?? $video['poster'] ?>"/>
					<input class="form-control f-d-n" type="file" id="poster-file-input" name="poster[file]"/>
				</div>
			</div>

			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end"
				       for="content"><?= lang('pv_video_data.content') ?></label>
				<div class="col-md-6">
					<textarea id="content" class="form-control" name="video_data[content]"
					          rows="3"><?= $video_data['content'] ?? '' ?></textarea>
				</div>
			</div>

			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="recommend"><?= lang('pv_video.recommend') ?></label>
				<div class="col-md-6 switch-container">
					<?= $form->switch(($video['recommend'] ?? '0') == '1', ['class' => 'form-check-input', 'role' => 'recommend-switch', 'name' => 'video[recommend]', 'value' => '1']) ?>
				</div>
			</div>

			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="status"><?= lang('pv_video.status') ?></label>
				<div class="col-md-6 switch-container">
					<?= $form->switch(($video['status'] ?? '0') == '1', ['class' => 'form-check-input', 'role' => 'status-switch', 'name' => 'video[status]', 'value' => '1']) ?>
				</div>
			</div>

			<!-- post -->
			<div id="post_container">
				<?php
				$upload = \video\library\config::get_instance()->get('upload');
				if (isset($upload['upload']) && $upload['upload'] == 'server')
					\video\extension\upload\server\server::view();
				elseif (isset($upload['upload']) && $upload['upload'] == 'mars_transcoder')
					\video\extension\upload\mars_transcoder\mars_transcoder::view();
				?>
			</div>

			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end">
					<?= lang('pv_video_url.url') ?>
					<?= $form->tips(lang('video.tips_url')) ?>
				</label>
				<div class="col-md-6">
					<button type="button" class="btn btn-outline-success mb-1 px-1 py-0" onclick="add_group();">
						<i class="mdi mdi-plus me-1" aria-hidden="true"></i><?= lang('app.add') ?>
					</button>
					<div class="url_container">

						<?php
						if (isset($video_url['url']) && is_array($video_url['url'])):
							foreach ($video_url['url'] as $key => $url):
								?>

								<div class="text-end mb-2">
									<div class="input-group mb-1">
										<span class="input-group-text"><?= lang('admin.player') ?></span>
										<?= $form->select('video_url[player][]', \video\library\options::player(), $video_url['player'][$key] ?? null, ['class' => 'form-select']) ?>
										<span class="input-group-text"><?= lang('admin.group_name') ?></span>
										<?= $form->input('video_url[group_name][]', 'text', $video_url['group_name'][$key] ?? '', ['class' => 'form-control']) ?>
									</div>
									<textarea class="form-control" name="video_url[url][]" rows="5" wrap="off"><?= $url ?></textarea>
									<button type="button" class="btn btn-outline-danger mt-1 px-1 py-0"
									        onclick="delete_group(this)">
										<i class="mdi mdi-window-close me-1"
										   aria-hidden="true"></i><?= lang('app.delete') ?>
									</button>
								</div>

							<?php
							endforeach;
						endif;
						?>

					</div>
				</div>
			</div>

			<div class="row">
				<div class="col-md-6 offset-md-2">
					<button class="btn btn-primary" type="submit"><?= lang('app.save') ?></button>
				</div>
			</div>

			<?= form_close() ?>
		</div>
		<div class="card-footer">
			<div class="f-tar"><?= phpvod::copyright() ?></div>
		</div>
	</div>

<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
	<script type="text/javascript">
		//kind
		function show_price_input() {
			let kind_select = $("select[name='video[kind]']");
			let kind_value = kind_select.val();
			if (kind_value === '2') {
				kind_select.nextAll().removeClass("f-d-n");
			} else {
				kind_select.nextAll().addClass("f-d-n");
			}
		}
		$("select[name='video[kind]']").change(function () {
			show_price_input();
		});
		show_price_input();

		//field
		function get_field_input() {
			let category_id = $("select[name='video[category_id]']").val();
			let video_ext = <?= formatter(array_merge($video_ext, old('video_ext', []))) ?>;
			$.get('<?=admin_module_uri('video/get_field_input')?>', {
				category_id: category_id,
				video_ext: video_ext
			}, function (data) {
				$("#video_ext_container").html(data);
				//checkbox绑定click事件用来更新input:hidden的值
				$("input[data-associated-id]").click(function () {
					let id = $(this).attr('data-associated-id');
					let checkbox_name = id + '[]';
					let values = $('input[name="' + checkbox_name + '"]:checked').map(function () {
						return $(this).val();
					}).get();
					$("#" + id).val(values.join(','));
				});
				//textlist
				$(".tags_input").tagsInput({
					'height':'35px',
					'width':'100%',
					'interactive': true,
					'defaultText': '<?=lang('app.add')?>',
					'delimiter': [','],
					'removeWithBackspace': true,
					'minChars': 0,
					'maxChars': 0, // if not provided there is no limit
				});
			});
		}
		$("select[name='video[category_id]']").change(function () {
			get_field_input();
		});
		get_field_input();

		//poster
		function show_poster_input() {
			let radio_value = $("input[name='poster[from]']:checked").val();
			if (radio_value === '0') {
				$("#poster-url-input").removeClass("f-d-n");
				$("#poster-file-input").addClass("f-d-n");
			} else {
				$("#poster-url-input").addClass("f-d-n");
				$("#poster-file-input").removeClass("f-d-n");
			}
		}
		$("input[name='poster[from]']").change(function () {
			show_poster_input();
		});
		show_poster_input();

	</script>
	<script type="text/javascript">
		/**
		 * 新增播放组
		 */
		function add_group() {
			let template = `
            <div class="text-end mb-2">
                <div class="input-group mb-1">
                    <span class="input-group-text"><?=lang('admin.player')?></span>
                    <?=$form->select('video_url[player][]', \video\library\options::player(), null, ['class' => 'form-select'])?>
                    <span class="input-group-text"><?=lang('admin.group_name')?></span>
                    <?=$form->input('video_url[group_name][]', 'text', '', ['class' => 'form-control'])?>
                </div>
                <textarea class="form-control" name="video_url[url][]" rows="5" wrap="off"></textarea>
                <button type="button" class="btn btn-outline-danger mt-1 px-1 py-0" onclick="delete_group(this)">
                    <i class="mdi mdi-window-close me-1" aria-hidden="true"></i><?= lang('app.delete') ?>
                </button>
            </div>
            `;
			$('.url_container').append(template);
		}

		/**
		 * 删除播放组
		 * @param obj
		 */
		function delete_group(obj) {
			$(obj).parent().remove();
		}
	</script>
<?php $this->end_section(); ?>