<?php
namespace video\view\home;

use phpvod\asset\bootstrap\bootstrap;
use phpvod\asset\jquery\jquery;
use phpvod\asset\layer\layer;
use phpvod\asset\materialdesignicons\materialdesignicons;
use phpvod\asset\toastr\toastr;
use video\controller\home;

class asset extends \venus\asset\asset
{
	protected string $source_path = __DIR__ . DIRECTORY_SEPARATOR . 'asset';

	protected array $css = [
		'css/default.css',
		//lib
		'lib/magnific-popup/magnific-popup.css',
		'lib/OwlCarousel2-2.3.4/assets/owl.carousel.min.css',
	];
	protected array $js = [
		//lib
		'lib/magnific-popup/jquery.magnific-popup.js',
		'lib/OwlCarousel2-2.3.4/owl.carousel.min.js',
		//video
		'js/video.js',
	];

	protected array $depends = [
		jquery::class,
		bootstrap::class,
		materialdesignicons::class,
		toastr::class,
		layer::class,
	];

	protected function init(): void
	{
		parent::init(); // TODO: Change the autogenerated stub

		$router = \phpvod::$app->router;
		$controller =$router->get_controller();
		$method = $router->get_method();

		if($controller == home::class && $method == 'index') { //index
			$this->js[] = 'js/index.js';
		} elseif($controller == home::class && $method == 'play') { //play
			$this->css[] = 'lib/jquery-barrating/themes/materialdesignicons-stars.css';
			$this->js[] = 'lib/jquery-barrating/jquery.barrating.min.js';
			$this->js[] = 'js/play.js';
		}
	}


}