<?php

use video\tag\tag;

/**
 * @var \venus\view\view $this
 */
$this->extend('home/layout');
$this->set_vars(['header_class' => 'header fixed transparent']);
?>

<?php $this->section('content'); ?>

<!-- 全屏搜索 -->
<?php $this->include('home/home/subview/search_full'); ?>
<!-- 导航栏 -->
<?php $this->include('home/home/subview/nav'); ?>
<!-- 幻灯 -->
<?php $this->include('home/home/subview/slide'); ?>

<!-- 推荐视频 -->
<?php $recommend_list = tag::video_list()->fetch(recommend: 1, order: ['id' => 'DESC'], limit: 10, depend_key: \video\event\handler::DEPEND_KEY_VIDEO_LIST); ?>
<?php if (!empty($recommend_list['data'])): ?>
	<section class="best-section pt-60 pb-60">
		<div class="container">
			<div class="row mb-5">
				<div class="col-12">
					<div class="title"><?= lang('home.recommend_video') ?></div>
				</div>
			</div>
			<div class="row">
				<div class="col-12">
					<div class="owl-carousel best-slide">
						<?php foreach ($recommend_list['data'] as $video): ?>
							<a class="best-item" href="<?= home_module_uri('play/' . $video['id']) ?>" target="_blank">
								<div class="poster ratio ratio-138">
									<img src="<?= tag::video()->poster($video['poster']) ?>">
									<?php if ($video['kind'] == '1'): ?>
										<div class="corner-mark vip">VIP</div>
									<?php elseif ($video['kind'] == '2'): ?>
										<div class="corner-mark paid"><?= lang('home.kind_paid') ?></div>
									<?php endif; ?>
								</div>
								<div class="subject"><?= $video['subject'] ?></div>
							</a>
						<?php endforeach; ?>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php endif; ?>

<?php foreach (tag::category()->fetch() as $id => $category): ?>
	<section class="video-section pt-60 pb-60">
		<div class="container">
			<div class="row mb-5">
				<div class="col-xl-8 col-lg-8 col-md-8 col-6">
					<div class="title"><?= $category['name'] ?></div>
				</div>
				<div class="col-xl-4 col-lg-4 col-md-4 col-6">
					<div class="more">
						<a href="<?= home_module_uri('category/' . $category['id']) ?>" target="_blank">
							<i class="mdi mdi-chevron-left"></i><?= lang('app.more') ?>
						</a>
					</div>
				</div>
			</div>

			<div class="row gx-3 gy-3 gx-md-4 gy-md-4">
				<?php $list = tag::video_list()->fetch(category_id: $id, order: ['id' => 'DESC'], limit: 12, depend_key: \video\event\handler::DEPEND_KEY_VIDEO_LIST) ?>
				<?php foreach ($list['data'] as $video): ?>
					<div class="col-6 col-sm-4 col-md-3 col-lg-2 video-item">
						<a href="<?= home_module_uri('play/' . $video['id']) ?>" target="_blank">
							<div class="poster-preview-container ratio ratio-138"<?php if (!empty($video['preview'])): ?> data-preview="<?= $video['preview'] ?>"<?php endif; ?>>
								<div class="poster">
									<img src="<?= tag::video()->poster($video['poster']) ?>" />
									<?php if ($video['kind'] == '1'): ?>
										<div class="corner-mark vip">VIP</div>
									<?php elseif ($video['kind'] == '2'): ?>
										<div class="corner-mark paid"><?= lang('home.kind_paid') ?></div>
									<?php endif; ?>
									<?php if (is_numeric($video['duration'])): ?>
										<div class="duration-mark"><?= seconds2duration(intval($video['duration'])) ?></div>
									<?php endif; ?>
								</div>
							</div>
							<div class="subject"><?= $video['subject'] ?></div>
						</a>
					</div>
				<?php endforeach; ?>
			</div>
		</div>
	</section>

<?php endforeach; ?>
<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
<script type="text/javascript">
	//推荐视频
	$(".best-slide").owlCarousel({
		loop: true, //无限循环
		dots: false,
		autoplay: true, //自动播放，可选布尔值或整数，若使用整数，如 3000，表示 3 秒切换一次；若设置为 true，默认 5 秒切换一次
		mouseDrag: true, //关闭/开启鼠标事件
		autoplayTimeout: 3000,
		smartSpeed: 1500,
		margin: 25,
		lazyLoad: true, //延迟加载
		nav: true, //显示“上一个”、“下一个”
		navText: ['<i class="mdi mdi-chevron-left"></i>', '<i class="mdi mdi-chevron-right"></i>'],
		responsive: {
			0: {items: 2},
			767: {items: 3},
			991: {items: 4},
			1140: {items: 5},
		}
	});
</script>
<?php $this->end_section(); ?>
