<?php

use video\tag\tag;
use phpvod\widget\pagination\pagination;

/**
 * @var \venus\view\view $this
 */
$this->extend('home/layout');
$this->set_vars([
	'header_class' => 'header',
	'page_title' => lang('app.search')
]);
?>

<?php $this->section('content'); ?>
	<!-- 全屏搜索 -->
	<?php $this->include('home/home/subview/search_full'); ?>

	<!-- 导航栏 -->
	<?php $this->include('home/home/subview/nav'); ?>

	<div class="container pb-60">
		<div class="row">
			<div class="col">
				<nav aria-label="breadcrumb">
					<ol class="breadcrumb">
						<li class="breadcrumb-item"><a href="/"><?= lang('app.home') ?></a></li>
						<li class="breadcrumb-item active" aria-current="page"><?= lang('app.search') ?></li>
					</ol>
				</nav>
			</div>
		</div>

		<div class="video-section">
			<div class="container">
				<div class="row gx-3 gy-3 gx-md-4 gy-md-4">

					<?php
					//ext
					$ext = tag::field()->get_ext_param();
					//url_pattern
					$get = $_GET;
					unset($get['page']);
					$url_pattern = home_module_uri('search') . '?' . (empty($get) ? 'page=' . pagination::NUM_PLACEHOLDER : http_build_query($get) . '&page=' . pagination::NUM_PLACEHOLDER);

					$list = tag::video_list()->fetch(
						category_id: $_GET['category_id'] ?? null,
						author_id: $_GET['author_id'] ?? null,
						author_identity: $_GET['author_identity'] ?? 1,
						subject: $_GET['subject'] ?? null,
						kind: $_GET['kind'] ?? null,
						recommend: $_GET['recommend'] ?? null,
						ext: $ext,
						order: ['id' => 'DESC'],
						limit: 24,
						current_page: $_GET['page'] ?? 1,
						url_pattern: $url_pattern,
						depend_key: \video\event\handler::DEPEND_KEY_VIDEO_LIST
					);
					?>

					<?php if (!empty($list['data'])): ?>
						<?php foreach ($list['data'] as $video): ?>
							<div class="col-6 col-sm-4 col-md-3 col-lg-2 video-item">
								<a href="<?= home_module_uri('play/' . $video['id']) ?>" target="_blank">
									<div class="poster-preview-container ratio ratio-138"<?php if (!empty($video['preview'])): ?> data-preview="<?= $video['preview'] ?>"<?php endif; ?>>
										<div class="poster">
											<img src="<?= tag::video()->poster($video['poster']) ?>" />
											<?php if ($video['kind'] == '1'): ?>
												<div class="corner-mark vip">VIP</div>
											<?php elseif ($video['kind'] == '2'): ?>
												<div class="corner-mark paid"><?= lang('home.kind_paid') ?></div>
											<?php endif; ?>
											<?php if (is_numeric($video['duration'])): ?>
												<div class="duration-mark"><?= seconds2duration(intval($video['duration'])) ?></div>
											<?php endif; ?>
										</div>
									</div>
									<div class="subject"><?= $video['subject'] ?></div>
								</a>
							</div>
						<?php endforeach; ?>
					<?php else: ?>
						<div class="col">
							<div class="card">
								<div class="card-header"><?= lang('app.message') ?></div>
								<div class="card-body text-center">
									<p class="card-text p-2"><?= lang('home.not_found') ?></p>
								</div>
							</div>
						</div>
					<?php endif; ?>

				</div>
			</div>
		</div>

		<?php if (!is_null($list['pagination_params'])): ?>
			<div class="container">
				<div class="row">
					<div class="col pt-3 text-end ">
						<?= (new pagination(
							$list['pagination_params']['total_items'],
							$list['pagination_params']['items_per_page'],
							$list['pagination_params']['current_page'],
							$list['pagination_params']['url_pattern']
						))->set_template('bootstrap')->set_align(pagination::ALIGN_CENTER)->render(); ?>
					</div>
				</div>
			</div>
		<?php endif; ?>

	</div>
<?php $this->end_section(); ?>