<?php
$register_config = \phpvod\library\config\config::get_instance()->get('config_register');
?>
	<div id="login-register" class="login-register mfp-hide">
		<ul class="nav nav-tabs">
			<li class="nav-item">
				<button class="nav-link active" data-bs-toggle="tab" data-bs-target="#login-tab-pane"><?= lang('app.login') ?></button>
			</li>

			<?php if ($register_config['allow_register'] == '1'): ?>
				<li class="nav-item">
					<button class="nav-link" data-bs-toggle="tab" data-bs-target="#register-tab-pane"><?= lang('app.register') ?></button>
				</li>
			<?php endif; ?>
		</ul>

		<div class="tab-content p-4">
			<!-- login -->
			<div id="login-tab-pane" class="tab-pane fade show active">
				<div class="title"><?= lang('app.login') ?></div>
				<form class="login-form">
					<div class="form-floating">
						<input type="text" class="form-control" name="username" id="login-username" placeholder="">
						<label for="login-username"><?= lang('app.username') ?></label>
					</div>
					<div class="form-floating">
						<input type="password" class="form-control" name="password" id="login-password" placeholder="">
						<label for="login-password"><?= lang('app.password') ?></label>
					</div>
					<div class="forgot-password">
						<a href="<?= uri('member/reset-password') ?>" target="_blank"><?= lang('home.forget_password') ?>?</a>
					</div>
					<button class="w-100 btn btn-success" type="button" id="login-btn"><?= lang('app.login') ?></button>
				</form>
			</div>

			<!-- register -->
			<?php if ($register_config['allow_register'] == '1'): ?>
				<div id="register-tab-pane" class="tab-pane fade">
					<div class="title"><?= lang('app.register') ?></div>
					<form class="register-form">
						<div class="form-floating">
							<input type="text" class="form-control" name="member[username]" id="register-username" placeholder="">
							<label for="register-username"><?= lang('app.username') ?></label>
						</div>
						<div class="form-floating">
							<input type="password" class="form-control" name="member[password]" id="register-password" placeholder="">
							<label for="register-password"><?= lang('app.password') ?></label>
						</div>
						<div class="form-floating">
							<input type="password" class="form-control" name="member[repeat_password]" id="repeat-register-password" placeholder="">
							<label for="repeat-register-password"><?= lang('home.repeat_password') ?></label>
						</div>
						<div class="form-floating">
							<input type="text" class="form-control" name="member[email]" id="register-email" placeholder="">
							<label for="register-email"><?= lang('app.email') ?></label>
						</div>
						<?php if ($register_config['verify_email_address'] == '1'): ?>
							<div class="form-floating">
								<input type="button" class="send-code-btn fs-12 btn btn-secondary" id="send-email-code" value="<?= lang('app.send_code') ?>"/>
								<input type="text" class="form-control" name="member[email_code]" id="email-code" style="padding-right: 98px;" placeholder="">
								<label for="email-code"><?= lang('app.email_code') ?></label>
							</div>
						<?php endif; ?>
						<div class="form-floating">
							<img src="captcha/index/120/46" id="register-captcha-img" style="cursor: pointer;" onclick="this.src='captcha/index/120/46?r='+Math.random();" title="<?= lang('app.click_refresh') ?>" alt="captcha">
							<input type="text" class="form-control" name="member[captcha]" id="register-captcha" style="padding-right: 132px" placeholder="">
							<label for="register-captcha"><?= lang('app.captcha') ?></label>
						</div>
						<button class="w-100 btn btn-success" type="button" id="register-btn"><?= lang('app.register') ?></button>
					</form>
				</div>
			<?php endif; ?>

		</div>
	</div>

<?php $this->section('js'); ?>
	<script type="text/javascript">
		//登录
		$('#login-btn').click(function () {
			$.post("<?=api_uri('member/login')?>", $(".login-form").serialize(), function (r) {
				if (r.id === -1 || r.id === 1) { //已登录或者登录成功
					location.reload();
				} else if (r.id === 0) { //出错
					layer.msg(r.msg);
				}
			});
		});

		//注册
		$('#register-btn').click(function () {
			$.post("<?=api_uri('member/register')?>", $(".register-form").serialize(), function (r) {
				if (r.id === -1) { //已登录
					location.reload();
				} else if (r.id === 0) { //出错
					layer.msg(r.msg);
				} else if (r.id === 1) { //注册成功
					$(".register-form").trigger("reset"); //重置表单
					$("#register-captcha-img").click(); //刷新验证码
					layer.msg(r.msg);
				}
			});
		});

		//发送邮件验证码
		$('#send-email-code').click(function () {
			let email = $('#register-email').val();
			let btn = $(this);
			btn.attr('disabled', true);
			btn.val('<?=lang('app.sending')?>');
			$.post("<?=api_uri('member/send-email-code/register')?>", {email: email}, function (r) {
				if (r.hasOwnProperty('id') && r.hasOwnProperty('msg')) {
					if (r.id === 1) { //发送成功
						layer.msg(r.msg);
						//倒计时
						let s = <?=\phpvod\library\verify_manager::get_instance(phpvod::$app->cache->get_handler())->get_interval()?>;
						let interval = setInterval(function () {
							s--;
							btn.val(s + 's');
							if (s <= 0) {
								clearInterval(interval);
								btn.val('<?=lang('app.send_code')?>');
								btn.removeAttr('disabled');
							}
						}, 1000);
					} else { //发送失败
						btn.val('<?=lang('app.send_code')?>');
						btn.removeAttr('disabled');
						layer.msg(r.msg);
					}
				} else { //其它异常
					btn.val('<?=lang('app.send_code')?>');
					btn.removeAttr('disabled');
					layer.msg('<?=lang('app.unknown_error')?>');
				}
			});
		});

	</script>
<?php $this->end_section(); ?>