<?php
/**
 * @var \venus\view\view $this
 */
$slide_height = '100vh'; //幻灯片高度
$slide_list = \video\tag\tag::slide()->fetch();
if (!empty($slide_list)):
	?>

	<div class="owl-carousel main-slide">
		<?php foreach ($slide_list as $slide): ?>
			<!-- item -->
			<div class="slide-item" style="background-image: url('upload/video/slide/<?= $slide['pic'] ?>')">
				<div class="container">
					<div class="row">
						<div class="col content" style="height: <?= $slide_height ?>">
							<div class="data">
								<?php if (!is_blank($slide['title'])): ?>
									<div class="title f-ts-4"><?= $slide['title'] ?></div>
								<?php endif; ?>

								<?php if (!is_blank($slide['description'])): ?>
									<div class="desc f-ts-1"><?= $slide['description'] ?></div>
								<?php endif; ?>

								<?php if (!is_blank($slide['link'])): ?>
									<a class="play" href="<?= $slide['link'] ?>"><?= !is_blank($slide['link_text']) ? $slide['link_text'] : 'More...' ?></a>
								<?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		<?php endforeach; ?>
	</div>

	<?php $this->section('js'); ?>
	<script type="text/javascript">
		$(".main-slide").owlCarousel({
			loop: true, //无限循环
			dots: true,
			autoplay: true, //自动播放，可选布尔值或整数，若使用整数，如 3000，表示 3 秒切换一次；若设置为 true，默认 5 秒切换一次
			mouseDrag: true, //关闭/开启鼠标事件
			animateOut: "fadeOut",
			animateIn: "fadeIn",
			autoplayTimeout: 10000,
			smartSpeed: 1500,
			lazyLoad: true, //延迟加载
			nav: false, //显示“上一个”、“下一个”
			navText: ['<i class="mdi mdi-chevron-left"></i>', '<i class="mdi mdi-chevron-right"></i>'],
			responsive: {0: {items: 1, nav: false,}, 576: {items: 1}, 1000: {items: 1}}
		});
	</script>
	<?php $this->end_section(); ?>

<?php endif; ?>
