<?php
\phpvod\widget\pagination\asset\pagination_client::register();
/**
 * @var \venus\view\view $this
 * @var array $member
 */
$phpvod_template = \phpvod\library\config\config::get_instance()->get('config_template', 'phpvod');
$template_directory = !is_null($phpvod_template) && !is_blank($phpvod_template) ? $phpvod_template : 'home';
$this->set_view_path(APP_PATH . 'view')->extend($template_directory . '/layout');
$this->set_vars([
	'page_title' => lang('member_center_list.video$my_video'),
]);
?>

<?php $this->section('content'); ?>

<div class="container pb-60">
	<div class="row">
		<div class="col">
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb">
					<li class="breadcrumb-item"><a href="/"><?= lang('app.home') ?></a></li>
					<li class="breadcrumb-item"><?= lang('home.member_center') ?></li>
					<li class="breadcrumb-item active" aria-current="page"><?= lang('member_center_list.video$my_video') ?></li>
				</ol>
			</nav>
		</div>
	</div>

	<div class="row">
		<div class="col-12 col-md-3 col-lg-3 mb-3">
			<?= \phpvod\widget\member_center_list\member_center_list::get_instance()->set_active_item('video$my_video')->render() ?>
		</div>

		<div class="col-12 col-md-9 col-lg-9">
			<table class="table table-hover align-middle" id="purchase-table">
				<thead>
				<tr>
					<th colspan="4" class="fs-18 pb-3"><?= lang('member_center_list.video$my_video') ?></th>
				</tr>
				<tr>
					<th><?= lang('pv_video_purchase.id') ?></th>
					<th><?= lang('pv_video.subject') ?></th>
					<th class="w-25"><?= lang('pv_video_purchase.created_at') ?></th>
					<th class="w-25"><?= lang('app.operation') ?></th>
				</tr>
				</thead>
				<tbody>
				<tr>
					<td class="text-center" colspan="4" id="tips"><?= lang('app.loading') ?></td>
				</tr>
				</tbody>
			</table>
			<div id="pagination-container" class="mt-4"></div>
		</div>
	</div>
</div>

<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
<script type="text/javascript">
	function get_data(limit, page) {
		$.get('<?=api_module_uri('member/my-video') ?>', {limit, page}, function (r) {
			if (r.id === 1) {
				if (Array.isArray(r.data.data) && r.data.data.length >= 1) {
					let tbody = $('#purchase-table tbody');
					tbody.html('');
					for (let row of r.data.data) {
						tbody.append(`<tr>
						<td>${row['video_id']}</td>
						<td>${row['subject']}</td>
						<td>${row['created_at']}</td>
						<td>
							<a href="${row['link']}" class="btn btn-outline-primary btn-sm px-1 py-0" target="_blank">
								<i class="mdi mdi-play me-1"></i><?= lang('home.play')?>
							</a>
						</td>
						</tr>`);
					}
					//pagination
					if (r.data.total > r.data.limit) {
						let url_pattern = `javascript:get_data(${r.data.limit},(:num))`;
						let instance = new pagination(r.data.total, r.data.limit, r.data.page, url_pattern);
						instance.render_bootstrap('pagination-container');
					}
				} else {
					$('#tips').text('<?= lang('app.no_record')?>');
				}
			} else if (r.hasOwnProperty('msg')) {
				layer.msg(r.msg);
			} else {
				layer.msg('<?=lang('app.unknown_error')?>');
			}
		});
	}
	get_data(10, 1);
</script>
<?php $this->end_section(); ?>
